GNU bug report logs - #46621
Copy line

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Juri Linkov <juri@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 17:43:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 13:43:55 2022
Received: from localhost ([127.0.0.1]:39814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4Qrz-0005yx-E1
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 13:43:55 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:59923)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1o4Qrw-0005yg-AQ
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 13:43:54 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 8BAA0240005;
 Thu, 23 Jun 2022 17:43:43 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Mattias =?iso-8859-1?Q?Engdeg=E5rd?= <mattiase@HIDDEN>
Subject: Re: bug#46621: Copy line
Organization: LINKOV.NET
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN> <86o7yl9oc4.fsf@HIDDEN>
 <878rppuo9j.fsf@HIDDEN>
 <4700ED98-0A31-4E78-9626-5F3952351EA8@HIDDEN>
Date: Thu, 23 Jun 2022 20:35:58 +0300
In-Reply-To: <4700ED98-0A31-4E78-9626-5F3952351EA8@HIDDEN> ("Mattias
 =?iso-8859-1?Q?Engdeg=E5rd=22's?= message of "Thu, 23 Jun 2022 17:10:22
 +0200")
Message-ID: <86bkujqo3l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 Simen =?iso-8859-1?Q?Heggest=F8yl?= <simenheg@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> We need experience of how it feels in practice.  That is, bind the
> command to a convenient key in your init.el and try remember to use it
> while editing.  Note where it works as desired and where not.
>
> Some of what I found:
>
> * Having the cursor remain in the same column is very useful as it's
> usually near the spot to be edited in the original or copied line.
> Automatically moving it to the beginning or end of the line would make
> it worse.

I agree that keeping the same column would be more useful.

> * Whether it is better to keep the cursor on the first line (as if
> duplicating downwards) or the last line (as if duplicating upwards) is less
> clear. It basically comes down to whether it is more common to want
> a similar but different line above or below the original line. I weakly
> favour the current design because it generalises better and it's slightly
> more convenient to edit a sequence of lines top-down than bottom-up.

Usually I duplicate only 1 line, and in 100% of cases the cursor needs
to be on the copied line to start editing it.  But when duplicating
more lines with a prefix arg, often it's expected to have the cursor
on the top copied line to start editing copied lines top-down.
I wonder if this is a common use case.

> * A single-key binding (like H-y but not C-x y) makes quite
> a difference because that way I can quickly stutter out copies as
> needed without having to plan ahead and use prefix arguments.

I don't believe everyone would agree on such short keys.
Maybe better to try finding a key in the 'C-x x' keymap
(that already contains a line-related binding 'C-x x t'
`toggle-truncate-lines').

> * Rectangle duplication is very useful when editing tables or code
> with similar structure.  Compared to copy-paste, it saves a lot of
> cursor movement and permits immediate repetition if more than one copy
> is required.

Shouldn't rectangle command be on the 'C-x r' keymap?
There are already copy-rectangle-as-kill and yank-rectangle.
OTOH, it seems 'M-w C-y' already can duplicate rectangle
regions?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 17:38:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 13:38:04 2022
Received: from localhost ([127.0.0.1]:39805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4QmK-0005q2-Hq
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 13:38:04 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:45577)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1o4QmJ-0005pW-1C
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 13:38:03 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.west.internal (Postfix) with ESMTP id E29413200914;
 Thu, 23 Jun 2022 13:37:56 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Thu, 23 Jun 2022 13:37:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=spwhitton.name;
 h=cc:cc:content-type:date:date:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to; s=fm1; t=1656005876; x=1656092276; bh=nF
 3HRfv25Pf/jJjR4KG9pLm9pqyuPMN4SY6Fsa4UXpA=; b=2IzdSy+CjLirUYV6o0
 FkOJBq8MzJU4u9t9fsF05LLzojOgxd3pP4LlgovG7/TDRqT737XT0x9lolo74ZxM
 nampGuQfTFpYHW112usDjS1067lmDmG/nq7Vifk9XUxjcJyAANUFrtiaMGDEh2wX
 5xGGkW7BjtoMlqxNUrc+j/JHalvJTtIqzoS8hrDT3hEy5oOJbdqZnRkJK4+PaQmX
 MasywGAwMeWjZIr3c3T/fOuc0KxW09iy1uNoEwJHq81DZTwd4LTfS9Ep8tWmEh/O
 dig0ND9sLizhlo2Cmt4ah0VeL8j4BhoOqJjsPbLnQ4LSH9AGMzhLh/VXtkKUTBdt
 meCA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; t=1656005876; x=1656092276; bh=nF3HRfv25Pf/jJjR4KG9pLm9pqyu
 PMN4SY6Fsa4UXpA=; b=muXCXf2RkmV0z/vIkmlMFqyf6cH2Q5Ay1V4HZriKEXRO
 5UZnsjsfZk9is4PBxMMXk7Exdcfnw4t6wQ4M6vE+drZ1+rbNuKnRURDk/4rpIFrt
 Uun1mE/SHDg94vK2IUvwK8IrHKkOAL6Y1iITYPFlY/a6xl/KV+U72PDU1i9lTCZw
 Fw1Ee0ock+tJeWpkJiz66ILxkJNaye/88sGzSxTVj+sv+A+PbuIndalzMCgPjErs
 2+TLuIr6Z+9vvLSkl5Ee0y1Xx3rRYiC8FRZ4C0r7Ocrr7mxFGwtxeuP0cQuMbtTh
 Yg/oiki4giT66ycYXA6V/BspRaYPqV+h9ZmxJ0VwCg==
X-ME-Sender: <xms:9KS0Yto_rM_gAaBjw1u2hNWbEJ_UFbKwPqsPa0rZnvG2UqpNIVjHzw>
 <xme:9KS0Yvono16xX2Qjvc94IHTQdKX_gdWdKjYsJXxtdCvoCgVFMBHBP91oOxYZ1xq2E
 e294n7VWccuUU_Qkg>
X-ME-Received: <xmr:9KS0YqP5On8I7n0U7xUxSXJQ8iEOSb7RuUEzG2ASSjshmm7bbNqGEKazcvdCgtNdILFHq5x22InSKUT8FU44k-XVECHSVvo>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrudefjedgudduiecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvfevufgjfhgffffkgggtsehttddttddtredtnecuhfhrohhmpefuvggr
 nhcuhghhihhtthhonhcuoehsphifhhhithhtohhnsehsphifhhhithhtohhnrdhnrghmvg
 eqnecuggftrfgrthhtvghrnhepvdejtedtieetjeegjeekgffghedtkeeltdeftdetkefg
 ueekfedtudfhteeljeeknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrg
 hilhhfrhhomhepshhpfihhihhtthhonhesshhpfihhihhtthhonhdrnhgrmhgv
X-ME-Proxy: <xmx:9KS0Yo4ojOmPL9SsErXEnpzJis1OypuAxMEKVO9p7b4CPHE6RZDpmA>
 <xmx:9KS0Ys6cSCAE-op5YheHDKN0L9UH97aMquQF2ZxrS_6J6D4SZif8Gw>
 <xmx:9KS0Ygh0mq4KK2IDx5GHTi-92_eStbcap2ookDRVoOXuV0WeUjlGHA>
 <xmx:9KS0YqlSyhL4cYLaKHAeF9GXYaDzQmWU29iJC7IicBbM0S84cTpUqw>
Feedback-ID: i23c04076:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 23 Jun 2022 13:37:56 -0400 (EDT)
Received: by athena.silentflame.com (Postfix, from userid 1000)
 id E871E1B6304; Thu, 23 Jun 2022 17:37:54 +0000 (UTC)
From: Sean Whitton <spwhitton@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46621: Copy line
In-Reply-To: <87a6a3nwmi.fsf@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87czf0o2c0.fsf@HIDDEN> <838rpoexs7.fsf@HIDDEN>
 <87a6a3nwmi.fsf@HIDDEN>
User-Agent: Notmuch/0.36 Emacs/29.0.50 (x86_64-pc-linux-gnu)
Date: Thu, 23 Jun 2022 10:37:54 -0700
Message-ID: <871qvfnuvh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, mattiase@HIDDEN, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

On Thu 23 Jun 2022 at 10:00am -07, Sean Whitton wrote:

> Hello,
>
> On Thu 23 Jun 2022 at 08:47am +03, Eli Zaretskii wrote:
>
>>> Resent-Sender: help-debbugs@HIDDEN
>>> Cc: 46621 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
>>> From: Sean Whitton <spwhitton@HIDDEN>
>>> Date: Wed, 22 Jun 2022 13:44:31 -0700
>>>
>>> Just to put it out there, if the result of the current discussion is
>>> that point is left at the beginning of the upper of the two lines, then
>>> using it would feel like using C-o, so duplicate-line could go on M-o.
>>
>> Which will be one more blow to those who don't want to lose facemenu,
>> to whom we told just one major release ago they can get the old
>> behavior back by binding M-o to facemenu-keymap.  If we usurp M-o now,
>> that recipe in NEWS.28 will no longer be completely accurate.
>>
>> Full disclosure: I'm one of those who happen to like facemenu-keymap
>> on M-o.
>
> Maybe it would be good to add M-o to the list of keys explicitly
> reserved to end users, in that case?

Sorry, re-reading, I think you're saying you think it should remain
unbound for longer but not necessarily indefinitely.  In which case it
doesn't make sense to add it to the keybinding conventions.

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 17:00:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 13:00:17 2022
Received: from localhost ([127.0.0.1]:39727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4QBk-0000Wy-O0
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 13:00:17 -0400
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:44297)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1o4QBi-0000We-RA
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 13:00:15 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 80BC33200930;
 Thu, 23 Jun 2022 13:00:08 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Thu, 23 Jun 2022 13:00:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=spwhitton.name;
 h=cc:cc:content-type:date:date:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to; s=fm1; t=1656003608; x=1656090008; bh=Wu
 tYez4JvPBabg5EuHYwGWoeLxxiWUqXBt0L+8sUmgU=; b=i9R9+9w7dQv0fcq5YD
 LdSSnmmLiwqrydT/ZMZhqg9d+8xBzUfkW3tSO27Kh0uhHnBxjGcYbfQVyG5lKCL1
 17vrJHDr1r8QJhwCYwV146nqx06yCF2o0WpYIoySAAlUWZ5fcczS2nSUmi8HNfqX
 +u0bqsx0JvixffH514UBuQmYvSLnb5jcruONOAeJGRiFRLqkOk2eyYUBdHy0EzYN
 zy7/6prdEHQCdc38PsjtqN1KQX55A7nfstzv7dPFbzL4iiyksWa4pQV7SIhKvxko
 nADt4FRRiI44b+TSwaIDQtM5vuReaXMevsSazJykBsFkqI08gWihXcwzERFIXmkK
 qCDw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; t=1656003608; x=1656090008; bh=WutYez4JvPBabg5EuHYwGWoeLxxi
 WUqXBt0L+8sUmgU=; b=d88eFeEqo7ViPQc0TMcMpiLK7vpIvWJU3aCM2DEAadU/
 zi43olSHQ7K7rBRmxBW+L2jmbYIfta6xN667IBdHl8fSV6UfwjdAX7EapPJ5KBSS
 aQRdso4Jcaq0LxZ+Z+B4xuy26hClozsscX6zc5O871yYDMcCjITaPYEYaMlTW9RK
 dHceHmmHhI8nxB0GYanIZUq2Dhj0XvA6IgeZxQ8OSnYkNZS3HfF0zIn1Dn/dmOrT
 K3jOpqkBesauYaV8UtS1h3F/i4D3wV4vFQm2iNbeypmKJXvEFXKwi7xXSn/yHihy
 c0yt7YVUe625Ow9Dn/RVVs68R++Jf1ZhT13OwPVc4Q==
X-ME-Sender: <xms:F5y0Ynq_CpCSN4Bpb4qLBYbPmIThj4M_7VtJff2WMC3Jkd6tGdO5ng>
 <xme:F5y0Yho_CZXlPO3Sia-LgPm-frz4bswlcYSNjq9JKRLoZZnXosXMQ0ZReHSkaj9Cs
 q3F3FLHt-lxH5p_JQ>
X-ME-Received: <xmr:F5y0YkOS-XJIRBTg4Xj7uJ5r0Y-XmAcBMiKFCa-5d6AAwVS5bp_87cxn8BAgLH6EuAW0n57ak492JDej2sddQD1OWHCywoA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrudefjedguddtlecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvfevufgjfhgffffkgggtsehttddttddtredtnecuhfhrohhmpefuvggr
 nhcuhghhihhtthhonhcuoehsphifhhhithhtohhnsehsphifhhhithhtohhnrdhnrghmvg
 eqnecuggftrfgrthhtvghrnhepvdejtedtieetjeegjeekgffghedtkeeltdeftdetkefg
 ueekfedtudfhteeljeeknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrg
 hilhhfrhhomhepshhpfihhihhtthhonhesshhpfihhihhtthhonhdrnhgrmhgv
X-ME-Proxy: <xmx:F5y0Yq7kUmIVFsMhvG5IG8fwqJFfLHgMnFYpwJgi0SqQu4--8lRt4g>
 <xmx:F5y0Ym52a0dO26ZUj6U7ass9oT3jPkSt60bHVkaXJ6OtrhFF5QoTXw>
 <xmx:F5y0YijddgdkPAow8AgPHPSP40BOV99eQSQAkSr_N693RwFy4CLmZQ>
 <xmx:GJy0Ysm_Hn5gaxgqrUKByM0ILf_RXykoIceW-9bA8WdtkYKYdFZjwg>
Feedback-ID: i23c04076:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 23 Jun 2022 13:00:07 -0400 (EDT)
Received: by athena.silentflame.com (Postfix, from userid 1000)
 id 8A5631B6304; Thu, 23 Jun 2022 17:00:05 +0000 (UTC)
From: Sean Whitton <spwhitton@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46621: Copy line
In-Reply-To: <838rpoexs7.fsf@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87czf0o2c0.fsf@HIDDEN> <838rpoexs7.fsf@HIDDEN>
User-Agent: Notmuch/0.36 Emacs/29.0.50 (x86_64-pc-linux-gnu)
Date: Thu, 23 Jun 2022 10:00:05 -0700
Message-ID: <87a6a3nwmi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, mattiase@HIDDEN, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

On Thu 23 Jun 2022 at 08:47am +03, Eli Zaretskii wrote:

>> Resent-Sender: help-debbugs@HIDDEN
>> Cc: 46621 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
>> From: Sean Whitton <spwhitton@HIDDEN>
>> Date: Wed, 22 Jun 2022 13:44:31 -0700
>>
>> Just to put it out there, if the result of the current discussion is
>> that point is left at the beginning of the upper of the two lines, then
>> using it would feel like using C-o, so duplicate-line could go on M-o.
>
> Which will be one more blow to those who don't want to lose facemenu,
> to whom we told just one major release ago they can get the old
> behavior back by binding M-o to facemenu-keymap.  If we usurp M-o now,
> that recipe in NEWS.28 will no longer be completely accurate.
>
> Full disclosure: I'm one of those who happen to like facemenu-keymap
> on M-o.

Maybe it would be good to add M-o to the list of keys explicitly
reserved to end users, in that case?

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 16:07:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 12:07:44 2022
Received: from localhost ([127.0.0.1]:39647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4PMu-0005Oy-Bf
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 12:07:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1o4PMs-0005Ok-Fr
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 12:07:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45470)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o4PMk-000774-Lh; Thu, 23 Jun 2022 12:07:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=7hxa2ZQLKOZPgAeiIWIgHvbfU7JxFsa45TjFFlolo0o=; b=htV1Vd/6To45
 DPNyqhT16vGgYCW9/lrodYnnDA/nKCtr8snvhEOofQe3SCFWbYgwYwM81QuFTrckTn020VEkIyAW+
 Bsmu3xAg+otgwoKoOHMGI1HkWcvnwRLgw4TGIr/+uCuOMnlCBf+xhroGksrbPPRPW8/6lrMeHv0Hw
 VvaZ7W5fuo46SVnkvR/2PP574LQtxrE5kG/NZuqSFCnDbjriL5Dx9NicyuKJjiJGU5UMf+Fd5v9Wv
 uexs/6kyMcgpCy6lIrcg3iX/ArQBJSn9MjniW5sWrBagMdPXmAFExavSccQQZ3oxJ8l9VZc7eEIRb
 N745N9Kmea9xISfSBXLWow==;
Received: from [87.69.77.57] (port=3886 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o4PMk-0002cp-69; Thu, 23 Jun 2022 12:07:34 -0400
Date: Thu, 23 Jun 2022 19:07:26 +0300
Message-Id: <83bkuje535.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Helmut Eller <eller.helmut@HIDDEN>
In-Reply-To: <m2letn756h.fsf@HIDDEN> (message from Helmut Eller on Thu, 23
 Jun 2022 17:47:18 +0200)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87czf0o2c0.fsf@HIDDEN>
 <SJ0PR10MB54880B30B7901C472E230353F3B29@HIDDEN>
 <m2letn756h.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Helmut Eller <eller.helmut@HIDDEN>
> Date: Thu, 23 Jun 2022 17:47:18 +0200
> 
> > Please don't give this command a default key binding.
> >
> > There are a zillion commands that deserve a default
> > binding more than this one does.  And nearly all of
> > those zillion also don't need a default binding.
> 
> There is are default bindings for transpose-lines and for
> count-lines-page.  Neither of those seems particularly useful.

I use both all the time, so they are definitely very useful to me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jun 2022 15:47:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 11:47:32 2022
Received: from localhost ([127.0.0.1]:39633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4P3M-0004sA-1c
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 11:47:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:49818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o4P3H-0004rz-JN
 for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 11:47:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44546)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o4P3H-0001y3-Bg
 for bug-gnu-emacs@HIDDEN; Thu, 23 Jun 2022 11:47:27 -0400
Received: from ciao.gmane.io ([116.202.254.214]:49202)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o4P3G-00043g-1J
 for bug-gnu-emacs@HIDDEN; Thu, 23 Jun 2022 11:47:27 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o4P3E-0002cP-6D
 for bug-gnu-emacs@HIDDEN; Thu, 23 Jun 2022 17:47:24 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Helmut Eller <eller.helmut@HIDDEN>
Subject: Re: bug#46621: Copy line
Date: Thu, 23 Jun 2022 17:47:18 +0200
Message-ID: <m2letn756h.fsf@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87czf0o2c0.fsf@HIDDEN>
 <SJ0PR10MB54880B30B7901C472E230353F3B29@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Cancel-Lock: sha1:E/FkIYI6T4i1yMMW6jHg4ZNwhEs=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

> Please don't give this command a default key binding.
>
> There are a zillion commands that deserve a default
> binding more than this one does.  And nearly all of
> those zillion also don't need a default binding.

There is are default bindings for transpose-lines and for
count-lines-page.  Neither of those seems particularly useful.

Maybe there could be a prefix map for "line commands".  Something like
ctl-x-r-map for rectangle commands.  Perhaps ctl-x-l-map.

Helmut





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 15:20:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 11:20:44 2022
Received: from localhost ([127.0.0.1]:39607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4OdQ-0004BE-BC
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 11:20:44 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o4OdM-0004Aw-Di
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 11:20:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=fyhmsqVGlxg3bNV558R2jh1wm1sXJKF317nDnX4iT0w=; b=dW1h9qwL2OpKCefEGVda9DrDRs
 0Q/LC4E25COcW0Rud/IiW3zNHUPDRoJbgrb/xZkn+a8sKI9E4aMpSLSEoW0V38cwPhh/q+Bse5WOm
 kiFe5+4Fk67ovB4cbzSjQndmNoJAY0ar+AaeeXYRklXGahRPHYnE6e2tEG2hxg/azCjE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o4OdC-0007z8-1c; Thu, 23 Jun 2022 17:20:32 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN> <86o7yl9oc4.fsf@HIDDEN>
 <878rppuo9j.fsf@HIDDEN>
 <4700ED98-0A31-4E78-9626-5F3952351EA8@HIDDEN>
X-Now-Playing: Little Annie Anxiety & Hiro Kone's _Repossessed_: "Burnt
 Offerings"
Date: Thu, 23 Jun 2022 17:20:27 +0200
In-Reply-To: <4700ED98-0A31-4E78-9626-5F3952351EA8@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Thu, 23 Jun 2022 17:10:22
 +0200")
Message-ID: <87czezwgn8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Mattias Engdegård <mattiase@HIDDEN> writes: > * Having the
    cursor remain in the same column is very useful as it's > usually near the
    spot to be edited in the original or copied > line. Automatically moving
   it to the beginning or end of the lin [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 Simen =?utf-8?Q?Heggest=C3=B8yl?= <simenheg@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> * Having the cursor remain in the same column is very useful as it's
> usually near the spot to be edited in the original or copied
> line. Automatically moving it to the beginning or end of the line
> would make it worse.

[...]

> * A single-key binding (like H-y but not C-x y) makes quite a
> difference because that way I can quickly stutter out copies as needed
> without having to plan ahead and use prefix arguments.

I think that means that it might make sense to keep the command as is
(point movement wise).  I.e., if we move point to the duplicated line,
then hitting `H-y' a whole bunch of times would leave point at the final
line.=20

> Moreover, even if you don't find the region-sensitive behaviour,
> others do -- for rectangular regions in particular. Nobody is going to
> complain that there are functions in Emacs that they don't care to
> use, especially when they don't take up extra keybindings.

If we decide to move to the duplicated line, but keep the same column --
then that makes no sense in a region-sensitive context at all.  If you
mark a word and hit `H-y', then there's no way to keep the "current
column".

Unless the region commands are also line-based, so the word is copied to
a new line on its own, then you could keep to the same "column" in the
word.

In short: It makes no sense to mash up these two totally different
things into one command, and people do complain about commands that make
no sense.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 15:10:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 11:10:31 2022
Received: from localhost ([127.0.0.1]:39596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4OTX-0001mS-8o
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 11:10:31 -0400
Received: from mail150c50.megamailservers.eu ([91.136.10.160]:44976
 helo=mail50c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1o4OTT-0001mF-5D
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 11:10:29 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1655997025;
 bh=/vgj8yTdKupmTsIyJI1NWFAfpo8hSXvsFn9OQZFBD7w=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=NKRrwdp8ze9VSNCVeUouuA+OfpzZjZ6Ybh83AwKHSdvoFs368LleCPBvTitjf3aTf
 lej5TQgxBcvKDnZLse9dA2Lfg6UTMKAUP++R6RA2dlDQuDXvvEMT/vSHEaF+KGUsht
 phW/WvJBaXm+fYzQWNCp8m4Mh7NiTtlI/wu6gS7U=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail50c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 25NFAMTi007529; 
 Thu, 23 Jun 2022 15:10:24 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#46621: Copy line
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <878rppuo9j.fsf@HIDDEN>
Date: Thu, 23 Jun 2022 17:10:22 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <4700ED98-0A31-4E78-9626-5F3952351EA8@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN> <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN> <87bkum1eyc.fsf@HIDDEN>
 <861qvikk4l.fsf@HIDDEN> <87zgi5uyr1.fsf@HIDDEN>
 <86o7yl9oc4.fsf@HIDDEN> <878rppuo9j.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A782F24.62B48261.0023, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: 22 juni 2022 kl. 09.54 skrev Lars Ingebrigtsen
 <larsi@HIDDEN>:
 > It was also suggested to leave point at the start of the duplicated > lines.
 I think that makes more sense -- the use case here is to copy > lines so
 that you can start altering them, after all. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 =?utf-8?Q?Simen_Heggest=C3=B8yl?= <simenheg@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

22 juni 2022 kl. 09.54 skrev Lars Ingebrigtsen <larsi@HIDDEN>:

> It was also suggested to leave point at the start of the duplicated
> lines.  I think that makes more sense -- the use case here is to copy
> lines so that you can start altering them, after all.

We need experience of how it feels in practice. That is, bind the =
command to a convenient key in your init.el and try remember to use it =
while editing. Note where it works as desired and where not.

Some of what I found:

* Having the cursor remain in the same column is very useful as it's =
usually near the spot to be edited in the original or copied line. =
Automatically moving it to the beginning or end of the line would make =
it worse.

* Whether it is better to keep the cursor on the first line (as if =
duplicating downwards) or the last line (as if duplicating upwards) is =
less clear. It basically comes down to whether it is more common to want =
a similar but different line above or below the original line. I weakly =
favour the current design because it generalises better and it's =
slightly more convenient to edit a sequence of lines top-down than =
bottom-up.

* A single-key binding (like H-y but not C-x y) makes quite a difference =
because that way I can quickly stutter out copies as needed without =
having to plan ahead and use prefix arguments.

* Rectangle duplication is very useful when editing tables or code with =
similar structure. Compared to copy-paste, it saves a lot of cursor =
movement and permits immediate repetition if more than one copy is =
required.

I would be very interested in your own experience (much more than =
anyone's theoretical speculation).

> The benefit of adding the region sensitive behaviour seems even
> slighter, and the problem is, as I said, that it subverts the
> (currently) clear semantics the new command has.

It's not an unnatural combination; several other editors have similar =
commands.

Moreover, even if you don't find the region-sensitive behaviour, others =
do -- for rectangular regions in particular. Nobody is going to complain =
that there are functions in Emacs that they don't care to use, =
especially when they don't take up extra keybindings.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 11:34:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 07:34:23 2022
Received: from localhost ([127.0.0.1]:37611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4L6N-0008CW-CM
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 07:34:23 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o4L6K-0008CJ-RM
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 07:34:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=sV07OuuDx1Bry7NQQAor3kyFyXY3/jp+M/q25hMRGMk=; b=e+rdZENw5Dq2ubTfNFKf+Dn9ae
 mTd0c/BOrRCjMn/C6Y65+UVumsTZKC52ZAmNbyoLA9LrghCF9mqNjkmHYXk2XovGllrvbfSKXPqQE
 JblU6bsADDMXilGlBCy3z0gaw/eBt4LpR8zOfhfZfIiiuIjWT11wb5DjlKGSpOfZYlxs=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o4L6A-0006OZ-Mb; Thu, 23 Jun 2022 13:34:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN> <86o7yl9oc4.fsf@HIDDEN>
 <878rppuo9j.fsf@HIDDEN> <87wnd8r4v2.fsf@HIDDEN>
 <87y1xnzuog.fsf@HIDDEN> <87a6a3ree0.fsf@HIDDEN>
 <mvma6a3pzen.fsf@HIDDEN> <87tu8bwx7u.fsf@HIDDEN>
 <87a6a3r5oq.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUtMTxYWmd+d32n
 m57XzdL///+nVHuPAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YGFwkFAUvmN+UAAAGtSURBVDjLpZPb
 deQwCIbROgUAcgFjqQFLqIDdI/Vf0wKSJ5M5Tl7Cw1z4DPxcDPCDIacj0cF81BRTIoQABGR2ENOb
 TRAI57/wBm7s9yD2cAtyxzvAbVz+ZIBzLiQibYxHSJSOKNUAp+lUOyHr75QcIFUWcX+BFLMBNWBk
 iUO6hvyDTfSZaTqtUOLoYv4gonPM0ionQJ1uOKiNDiEWregDVaCCdcy7+xNnIwaqRsQS4tAGkhXI
 XFcfClATIfzR8lJ1NatzgIBBGxNWvRXmRg4HANsDZoNdwTUrVaUC9nFZ+UwFEMer9cJpAYRNU3Vp
 NjQEPK6IdwvfAboFCH5tM5Tz6MSFffozl4P9qypdL9AzqS3nauHb4lZEH87lXe0JlszWqKsTfGxo
 Oy2wd8KlWcF4/N1xDtKmUBz4lcH5AlT0BRKVJjegPdsQEDszkE7x3Nbgu1/U8E+7yfPj/BS7wzAC
 rvAVxPAEVsVuIqaaxHe2Ki1daIUa7H753UAlnu9LzkNwguE1ajw//MRVCcYXIHRGu4NexSLGAm2o
 y7l9nWtrM0KD2wS9fAHTlLpSB/8BlpCDa1pgnbwAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDYt
 MjNUMDk6MDU6MDErMDA6MDCFL0pMAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA2LTIzVDA5OjA1
 OjAxKzAwOjAw9HLy8AAAAABJRU5ErkJggg==
X-Now-Playing: Supertramp's _Even in the Quietest Moments_: "Fool's Overture"
Date: Thu, 23 Jun 2022 13:34:08 +0200
In-Reply-To: <87a6a3r5oq.fsf@HIDDEN> (Pankaj Jangid's message of
 "Thu, 23 Jun 2022 16:46:05 +0530")
Message-ID: <87mte3y5ov.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Pankaj Jangid <pankaj@HIDDEN> writes: >> Seriously,
    itʼs a primitive operation, so Andreas is right. Anyone who >> wants to
   customize the behaviour can advise it. > > I like Andreas' suggestion also.
    Now, as I am thinkng, it looks more > [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, Andreas Schwab <schwab@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Pankaj Jangid <pankaj@HIDDEN> writes:

>> Seriously, it=CA=BCs a primitive operation, so Andreas is right. Anyone =
who
>> wants to customize the behaviour can advise it.
>
> I like Andreas' suggestion also. Now, as I am thinkng, it looks more
> natural.

I think we'll go with that, but note that it basically saves you only
one single key press -- <down>.

> Instead of hooks, how about just a customisation variable?
> duplicate-line-point-postion - start, same, end?

I doubt that'll find much use.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 11:16:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 07:16:18 2022
Received: from localhost ([127.0.0.1]:37602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4Kos-0005bZ-Ba
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 07:16:18 -0400
Received: from mail-pj1-f50.google.com ([209.85.216.50]:55219)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1o4Koo-0005bK-NK
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 07:16:16 -0400
Received: by mail-pj1-f50.google.com with SMTP id cv13so15815314pjb.4
 for <46621 <at> debbugs.gnu.org>; Thu, 23 Jun 2022 04:16:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=BWMl6mhRslsBlBS7aan64CPvjGOlhlvnqTrWuffZ+cY=;
 b=sS0b52VNZib1zIjtU/4WwJkP+CYmVb7Ny/iFhvRrSfOrLNC1rYXk/JaSWCozpvJbkO
 08oXnQGNN7+Y2Z8NC+ozROVeJOcdr6gOdXiYMbQMNOn48Jk4ChV7VKP63PYQ3s5Hc8Vh
 ZGUdLxgRwZWzKikuFft6Y/nRBAesd4HDxZWEBIFu4RGrusljoI+PUgJlDN+6Fkd50191
 JI/IP7HpbFlQpeZYa8EO3yUaMcXqOgP4CoEuMiA5KcXRvrETyKTGdMb+o5zy6rcGI8T5
 Y0sk9bHpUHvuXqqNRsVFcBNl+IsOh5pgB1CEKtSsXFcUw4bGhaH2BChoTmksUj/aby/5
 KPgQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=BWMl6mhRslsBlBS7aan64CPvjGOlhlvnqTrWuffZ+cY=;
 b=HZ0KCJIM0dn8N8fb1fk48lV/sKkmDZ2CUcQy/FORzPDZ4B65qz/LFohswAuNwVPWDe
 6XII4veREtuPnk8IO4E51EVywPahdEquI84WeAAq9fZkxk6E2dFSp45ZjU0tzLpfEny+
 LsmbEGakZxO/d2lE9dyhhFyBvCEXaowTnS8gWM1pd2mou4hDNDlXDCNDugin2Fe1hhrn
 vMUU9MUV/xfFU65tjukKYALmP3BSLfQR4CyeJv9why8m4qsn8Ag4+FkOu8y9us6ly73u
 R1OrvBG5M7NQk7JHrktbMLVFIsmpRRL4zlN0csQXeoax1q0lRi4S0MeLYEv4cZLYcSJs
 /cPA==
X-Gm-Message-State: AJIora9SvyUqfx7/GbOJx+M09NEPiiTxi15hMsZqvqvKroZTxWtxGruw
 PqMz4ZzRhusV4X2x8NDqg16+9EJjGDm8bg==
X-Google-Smtp-Source: AGRyM1u0njMBYjLNy8a3URZ7lxsJ00ujPHfB6a8OPi3NlaqCT3I7P+uUvFmY82itS+GIEviFFFvzeQ==
X-Received: by 2002:a17:90a:2e87:b0:1e8:895c:e543 with SMTP id
 r7-20020a17090a2e8700b001e8895ce543mr3606649pjd.100.1655982969080; 
 Thu, 23 Jun 2022 04:16:09 -0700 (PDT)
Received: from anant ([49.36.238.183]) by smtp.gmail.com with ESMTPSA id
 u8-20020a62d448000000b00518285976cdsm15710406pfl.9.2022.06.23.04.16.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 23 Jun 2022 04:16:08 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN> <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN> <87bkum1eyc.fsf@HIDDEN>
 <861qvikk4l.fsf@HIDDEN> <87zgi5uyr1.fsf@HIDDEN>
 <86o7yl9oc4.fsf@HIDDEN> <878rppuo9j.fsf@HIDDEN>
 <87wnd8r4v2.fsf@HIDDEN> <87y1xnzuog.fsf@HIDDEN>
 <87a6a3ree0.fsf@HIDDEN> <mvma6a3pzen.fsf@HIDDEN>
 <87tu8bwx7u.fsf@HIDDEN>
Date: Thu, 23 Jun 2022 16:46:05 +0530
In-Reply-To: <87tu8bwx7u.fsf@HIDDEN> (Robert Pluim's message of "Thu, 23
 Jun 2022 11:22:29 +0200")
Message-ID: <87a6a3r5oq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, Andreas Schwab <schwab@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Robert Pluim <rpluim@HIDDEN> writes:

>     Andreas> duplicate-line should keep point at the same column.
>
> duplicate-line-pre-hook and duplicate-line-post-hook anyone? =F0=9F=98=9B
>
> Seriously, it=CA=BCs a primitive operation, so Andreas is right. Anyone w=
ho
> wants to customize the behaviour can advise it.

I like Andreas' suggestion also. Now, as I am thinkng, it looks more
natural.

Instead of hooks, how about just a customisation variable?
duplicate-line-point-postion - start, same, end?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 11:12:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 07:12:34 2022
Received: from localhost ([127.0.0.1]:37598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4KlF-0005VX-SS
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 07:12:34 -0400
Received: from mail-pl1-f181.google.com ([209.85.214.181]:46760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1o4KlD-0005VJ-5q
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 07:12:32 -0400
Received: by mail-pl1-f181.google.com with SMTP id q18so6439074pld.13
 for <46621 <at> debbugs.gnu.org>; Thu, 23 Jun 2022 04:12:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=gJCoFM9LLjQ3IJ+axhRKGfVOfUCmyVD8NHO5WX6ZEUY=;
 b=DxX+YQ2d5kKKKAoSpCpcAet85HaeXvJpFjeL5hkfmbiBAScH4km1XzGISZdFlUIC0G
 YLePcYZwgfrnywuKCaniV3CmKaxJ+DahobzODXPQq28MUBvOcsXxOdwOX1D275Oypbzn
 0eBU6w/Uhjl9Bf10/9+njaha3SRVP7I4e4wPT2UAwEpauGRB1VNIfy/Zl+YMQxkEloTo
 ehUg/HMLYnAhyq3Or2bnDgBIxNOIeY7rGuDsbnnwCVLFjLXInYJICNsMUhXO+cfvaQAq
 pGgfKbYl2bea7fToNs42wZ1tlULqJqJmPjaz9Og+agYAx4CStWskEX2HuLXhUfCiEx8O
 mqGw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=gJCoFM9LLjQ3IJ+axhRKGfVOfUCmyVD8NHO5WX6ZEUY=;
 b=gk5pT0RW3Bz47Vt6yglNwnJTYUdvzhh/iJnd+wia3OOqpwjWjTu5IjjSwnQeNIQ25H
 FZkuKHRrZxBBKEqd4m5nlPLW9FWT/HZFTvVcNsTpDe/Tl+ShaYUQFjtIpz/KrJsdt6ZJ
 EDIIYe+WL/FbTDbKhAhzXiiAQpJk6UYFk8uWxm7rbsX8NK4CIGw5qDnNYhQFiZ0/oD4q
 4Z/G4cfc3YQIh84LsGDi24yZzrDTJxnGnKLOooZCUkkyLaDnY5zf0s5GPyBaaaIi2IsD
 UTMMwcTrOsVrI3NEVmQU0rek2XL6EepYFIe9/BTzFrJ5TY11aUiF2Q7ZT6L2pqVYIS3m
 Nh0g==
X-Gm-Message-State: AJIora+e6Dn6YT3FplsY8JobF2jdfU4twR2l/1bH9GxouTkk97UwvHlC
 KlxLlWY4IA80ixxNVnp3Nj3axOuN5+bi+g==
X-Google-Smtp-Source: AGRyM1ssiuViloi2+oIIJDLMSo69I+3djMLVGiJuij4kh3hK0Dy9zVVUOBMIfzQ5p5xHxCHM2BaNmA==
X-Received: by 2002:a17:90a:c81:b0:1ec:7760:fcbd with SMTP id
 v1-20020a17090a0c8100b001ec7760fcbdmr3510029pja.208.1655982745238; 
 Thu, 23 Jun 2022 04:12:25 -0700 (PDT)
Received: from anant ([49.36.238.183]) by smtp.gmail.com with ESMTPSA id
 l10-20020a17090a660a00b001ec7c8919f0sm1592190pjj.23.2022.06.23.04.12.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 23 Jun 2022 04:12:24 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN> <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN> <87bkum1eyc.fsf@HIDDEN>
 <861qvikk4l.fsf@HIDDEN> <87zgi5uyr1.fsf@HIDDEN>
 <86o7yl9oc4.fsf@HIDDEN> <878rppuo9j.fsf@HIDDEN>
 <87wnd8r4v2.fsf@HIDDEN> <87y1xnzuog.fsf@HIDDEN>
 <87a6a3ree0.fsf@HIDDEN> <871qvfzr60.fsf@HIDDEN>
Date: Thu, 23 Jun 2022 16:42:22 +0530
In-Reply-To: <871qvfzr60.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 23 Jun 2022 11:04:55 +0200")
Message-ID: <87edzfr5ux.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Pankaj Jangid <pankaj@HIDDEN> writes:
>
>>> But why do you want point at the end?  You want to edit those duplicated
>>> lines, presumably.
>>
>> Yes I want to edit it from the end. Beginning of the statement is mostly
>> common, I just want to replace "b.h>" with "c.h>".
>
> "The end" here would be after the final duplicate line -- not at the end
> of the final duplicated line, though.  So I think that putting it at the
> start of the duplicated lines would make more sense even here.

If it is /after/ the final duplicate line than that is not what I was
vouching for. I wanted it /at/ the end.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 09:22:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 05:22:42 2022
Received: from localhost ([127.0.0.1]:37373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4J2w-0006Xn-Gj
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 05:22:42 -0400
Received: from mail-wm1-f44.google.com ([209.85.128.44]:53049)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1o4J2r-0006XX-Kg
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 05:22:41 -0400
Received: by mail-wm1-f44.google.com with SMTP id q15so10651048wmj.2
 for <46621 <at> debbugs.gnu.org>; Thu, 23 Jun 2022 02:22:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=KRfwraz68Xnzyu8WvmSYmrEl9Q8XckQwHs8LQnV7srQ=;
 b=IGfhjAaPx8awBpL1oZzaXQc21mIUyKaExalbq3KdACuQ9dhaJ0VQFUkVH7/aaxAE3I
 FGgbqQ3kyWhtAoYcXlhNX3cMV0yz9w7pMmeC0U90Z4PVCqI4jWmcKWxtL0OPRCTf6Adv
 338ua3F7ennG7Z9dMyoeD8IOh7NPs9VZrXfim67YEXPoC2FrPnzpoQLOGPZuhDz4sEpC
 /+k3x/Gh5/1xoCl1g5Pw8Q60+NXazOjNux78rB3MFC0nwqF2IaT+8TWjSaVZz+tEUiru
 kqtnhFlYkKY9cJ2c/DpO8oIO19vIMBiTRJtUsxRXcblq8Z2STR1ry34SIUemSLwHvzpa
 nRxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=KRfwraz68Xnzyu8WvmSYmrEl9Q8XckQwHs8LQnV7srQ=;
 b=XlMEBw7cBn5ufxC5o7xCwyOA3hHZX6c/Nhqx5eOmBAzoGGXSK+vQCexZJJXU458do3
 RutVuT2XrSuWvWkZTywLfzFMbpuZIsDBHREYJGJHCG7DeMkSzs2FyS8ZuDkd0GvAUfV8
 AnA1wdtVqSu+rhXJbOZjyvPbkrHfZlvimFgaXyetBZ+JlL3yT1z4V3VdELuYptCFAgZs
 UVXnu+IteSwAoPqBqnhNGVz23GwIlNfw/NupV/czRCEVxK1OKE5mAevgcwMpCJv5P0z6
 zKX3OvO/UBbcbbLeJOE4yRo6KqRZWlYBTlYle63u3ED9Q7c8aZZZ7g7UG0KIDrsFOlwF
 wr5Q==
X-Gm-Message-State: AJIora+W7WtCHlFIN3jBRa+RpIcMRHEnTpBCgGiKANO+t9TdRAT7H/4l
 YeW+gb7N1kbz7VyyjsXZWfo=
X-Google-Smtp-Source: AGRyM1tdT8gSJKZRTKsVHyjzM/2gDfL9m3FwBdRIkYWIioJuUXGvAIm4tfQ5XniF+O9Ipt8pFcf/JQ==
X-Received: by 2002:a05:600c:1f0f:b0:39e:f836:d7eb with SMTP id
 bd15-20020a05600c1f0f00b0039ef836d7ebmr3128253wmb.160.1655976151563; 
 Thu, 23 Jun 2022 02:22:31 -0700 (PDT)
Received: from rltb ([2a01:e0a:3f3:fb50:7da1:5829:f7f3:85f2])
 by smtp.gmail.com with ESMTPSA id
 m3-20020a7bcf23000000b0039c457cea21sm2311041wmg.34.2022.06.23.02.22.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 23 Jun 2022 02:22:30 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN> <86o7yl9oc4.fsf@HIDDEN>
 <878rppuo9j.fsf@HIDDEN> <87wnd8r4v2.fsf@HIDDEN>
 <87y1xnzuog.fsf@HIDDEN> <87a6a3ree0.fsf@HIDDEN>
 <mvma6a3pzen.fsf@HIDDEN>
Date: Thu, 23 Jun 2022 11:22:29 +0200
In-Reply-To: <mvma6a3pzen.fsf@HIDDEN> (Andreas Schwab's message of "Thu, 23
 Jun 2022 10:17:04 +0200")
Message-ID: <87tu8bwx7u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Pankaj Jangid <pankaj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 23 Jun 2022 10:17:04 +0200, Andreas Schwab <schwab@HIDDEN> s=
aid:

    Andreas> On Jun 23 2022, Pankaj Jangid wrote:
    >> Lars Ingebrigtsen <larsi@HIDDEN> writes:
    >>=20
    >>>> Behaviour could be different, depending upon what programming cons=
truct
    >>>> your are in. For example, in C,
    >>>>=20
    >>>> #include <a.h>
    >>>> #include <b.h>
    >>>> ...
    >>>>=20
    >>>> if I have to include a new library I=E2=80=99ll go to line-no 2 ca=
ll
    >>>> duplicate-line and then I want the point at the end.
    >>>=20
    >>> But why do you want point at the end?  You want to edit those dupli=
cated
    >>> lines, presumably.
    >>=20
    >> Yes I want to edit it from the end.

    Andreas> duplicate-line should keep point at the same column.

duplicate-line-pre-hook and duplicate-line-post-hook anyone? =F0=9F=98=9B

Seriously, it=CA=BCs a primitive operation, so Andreas is right. Anyone who
wants to customize the behaviour can advise it.

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 09:05:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 05:05:26 2022
Received: from localhost ([127.0.0.1]:37347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4ImE-0003xo-Bn
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 05:05:26 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36378)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o4ImC-0003xa-M2
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 05:05:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2ENGuGbOU4lN888SLeL9zCg5Jcc3fbA3wCFO82zvp/Y=; b=VSRxygLVRBX3o777L+tg5szsTS
 5RXUUqhuw8whDKtQKWOoqchuAe9TKhU4d5tCs3NQnPlFQhrG1Uw6LPl0T3wFlbjzEr8/X3CJ7/h6U
 a/9mTaNRh903q7Cxgg4nh5jpetbO7xjrcveiFzJNMUr1Z9U/OJ7YzVaWcZop9bVo9xOo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o4Im3-0005Go-Oj; Thu, 23 Jun 2022 11:05:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN> <86o7yl9oc4.fsf@HIDDEN>
 <878rppuo9j.fsf@HIDDEN> <87wnd8r4v2.fsf@HIDDEN>
 <87y1xnzuog.fsf@HIDDEN> <87a6a3ree0.fsf@HIDDEN>
 <mvma6a3pzen.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUtMTxYWmd+d32n
 m57XzdL///+nVHuPAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YGFwkFAUvmN+UAAAGtSURBVDjLpZPb
 deQwCIbROgUAcgFjqQFLqIDdI/Vf0wKSJ5M5Tl7Cw1z4DPxcDPCDIacj0cF81BRTIoQABGR2ENOb
 TRAI57/wBm7s9yD2cAtyxzvAbVz+ZIBzLiQibYxHSJSOKNUAp+lUOyHr75QcIFUWcX+BFLMBNWBk
 iUO6hvyDTfSZaTqtUOLoYv4gonPM0ionQJ1uOKiNDiEWregDVaCCdcy7+xNnIwaqRsQS4tAGkhXI
 XFcfClATIfzR8lJ1NatzgIBBGxNWvRXmRg4HANsDZoNdwTUrVaUC9nFZ+UwFEMer9cJpAYRNU3Vp
 NjQEPK6IdwvfAboFCH5tM5Tz6MSFffozl4P9qypdL9AzqS3nauHb4lZEH87lXe0JlszWqKsTfGxo
 Oy2wd8KlWcF4/N1xDtKmUBz4lcH5AlT0BRKVJjegPdsQEDszkE7x3Nbgu1/U8E+7yfPj/BS7wzAC
 rvAVxPAEVsVuIqaaxHe2Ki1daIUa7H753UAlnu9LzkNwguE1ajw//MRVCcYXIHRGu4NexSLGAm2o
 y7l9nWtrM0KD2wS9fAHTlLpSB/8BlpCDa1pgnbwAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDYt
 MjNUMDk6MDU6MDErMDA6MDCFL0pMAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA2LTIzVDA5OjA1
 OjAxKzAwOjAw9HLy8AAAAABJRU5ErkJggg==
X-Now-Playing: Supertramp's _Even in the Quietest Moments_: "Give a Little Bit"
Date: Thu, 23 Jun 2022 11:05:14 +0200
In-Reply-To: <mvma6a3pzen.fsf@HIDDEN> (Andreas Schwab's message of "Thu, 23
 Jun 2022 10:17:04 +0200")
Message-ID: <87wnd7ycl1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andreas Schwab <schwab@HIDDEN> writes: > duplicate-line
 should
 keep point at the same column. Ah, yes, that might be nice... 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, Pankaj Jangid <pankaj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andreas Schwab <schwab@HIDDEN> writes:

> duplicate-line should keep point at the same column.

Ah, yes, that might be nice...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 09:05:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 05:05:08 2022
Received: from localhost ([127.0.0.1]:37344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4Ilw-0003xD-26
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 05:05:08 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o4Ilt-0003we-UQ
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 05:05:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bAJwM4bXYpgS8INnK2C0C0/cYsIcyKwSt++pE6HRVSw=; b=jRpdiPC/lkTI3B7umcFN3+Z8OV
 9/+c3VyLycR8SugZPjwKhDszzBFlr5asx4T59D4Q4kxmbspaqllhcvmNL0zvSur4M20KPXFTWttFV
 zvfufFSdCr7YJCLwmhL4ExXbYe5EGl8OplUgob4S7W9u6vu5nT6N0giGSPk3Y4SOPWFA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o4Ill-0005GZ-Al; Thu, 23 Jun 2022 11:04:59 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN> <86o7yl9oc4.fsf@HIDDEN>
 <878rppuo9j.fsf@HIDDEN> <87wnd8r4v2.fsf@HIDDEN>
 <87y1xnzuog.fsf@HIDDEN> <87a6a3ree0.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEUaFBRbPTSTZEq+
 n4b///9UFFcIAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YGFwgrCtbxjXYAAAGvSURBVDjLpVQJbsQw
 CDTZDwD7gYA/0MD//9bBdg5VrVqpKNrEDOeAtzVu3wvt3ykFP/wTsD7rIcg8+hdDaguQdYaG14ub
 nG6/CwnkrgWH9RJRt3miCxh6xqfIw4NlCruLXsFILnln+iPNDXQAPAxvDy3bLKCdtU19COIPgPQJ
 9ENMLTOEtyaPQg93ay6dUdle0RegFcU274p4SEN2Aig0gzLUtYC2PNReBXBHCe8oYFJCwupIX42b
 ik6AHISYehqyoxdVnVtAxtRT0QHMUZt1rwoBcNugxYMEaoxGJwABRYa8iGfcXAHsY7goP8CfywBK
 D17GqoAprbzQCJXe5za5Rw8PK1sTqwGzVFWeABCmvEKO6re4gm/CnkB3TaTbCIlkFMjdA4xuiIP6
 ECkFK0qIEl4fVKqEA9gBLZTotx9jp6HrGHLIBGCf+yQUA4HXcQNyzItCmFTx4FUVWLJ3AftMWEUW
 WQT2ND/WnSimok/AUHCeywd+/UCIsXFbWlyLrGgvFoBgHzdARdha+ZQLQP8+mJ6DelwjVtOYt4fb
 +9aT1NDXtWqvx3/AeSP+em//JZ+t20YWgZsQdAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wNi0y
 M1QwODo0MzoxMCswMDowMI+jmyYAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDYtMjNUMDg6NDM6
 MTArMDA6MDD+/iOaAAAAAElFTkSuQmCC
X-Now-Playing: Kraftwerk's _Trans-Europe Express_: "Endless Endless"
Date: Thu, 23 Jun 2022 11:04:55 +0200
In-Reply-To: <87a6a3ree0.fsf@HIDDEN> (Pankaj Jangid's message of
 "Thu, 23 Jun 2022 13:38:07 +0530")
Message-ID: <871qvfzr60.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Pankaj Jangid <pankaj@HIDDEN> writes: >> But why
 do you want point at the end? You want to edit those duplicated >> lines,
 presumably. > > Yes I want to edit it from the end. Beginning of the statement
 is mostly > common, I just want to r [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Pankaj Jangid <pankaj@HIDDEN> writes:

>> But why do you want point at the end?  You want to edit those duplicated
>> lines, presumably.
>
> Yes I want to edit it from the end. Beginning of the statement is mostly
> common, I just want to replace "b.h>" with "c.h>".

"The end" here would be after the final duplicate line -- not at the end
of the final duplicated line, though.  So I think that putting it at the
start of the duplicated lines would make more sense even here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 08:17:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 04:17:16 2022
Received: from localhost ([127.0.0.1]:37220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4I1Y-0000Cj-Fl
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 04:17:16 -0400
Received: from smtp-out2.suse.de ([195.135.220.29]:56640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1o4I1W-00006b-IB
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 04:17:11 -0400
Received: from relay2.suse.de (relay2.suse.de [149.44.160.134])
 by smtp-out2.suse.de (Postfix) with ESMTP id 633FB1FB3F;
 Thu, 23 Jun 2022 08:17:04 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=suse.de; s=susede2_rsa;
 t=1655972224; h=from:from:reply-to:date:date:message-id:message-id:to:to:cc:cc:
 mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=vTv6xS9aheM5XF/bB7FdTlQwEtbquWWFF6fWAEpAJbM=;
 b=jsFwgjbZY5XHsutZ0GybJKcvo4ULMg3thl5F6GeuYTt6VX4eYDnsNEyJaigR7Xxw1ssag/
 DzzQeQ6v8lPArKAdPKOt3LcQTo0E49gEfyvgEGlOcwtvbGN8Rg8yAAyohD6sHgPaFqwoig
 KkfjGlC+2rKROVw4B9MK6lZVHRgb3Kg=
DKIM-Signature: v=1; a=ed25519-sha256; c=relaxed/relaxed; d=suse.de;
 s=susede2_ed25519; t=1655972224;
 h=from:from:reply-to:date:date:message-id:message-id:to:to:cc:cc:
 mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=vTv6xS9aheM5XF/bB7FdTlQwEtbquWWFF6fWAEpAJbM=;
 b=0yfueESilzuPIdVAbUJ6KIAXsSQL23WPkRP6PTWAS9M/8qM6ukgwO6Ltjyz7kpreUn9+Y4
 XNHrkRD9f8jgCOAw==
Received: from hawking.suse.de (unknown [10.168.4.11])
 by relay2.suse.de (Postfix) with ESMTP id A38392C142;
 Thu, 23 Jun 2022 08:16:58 +0000 (UTC)
Received: by hawking.suse.de (Postfix, from userid 17005)
 id 1DA26444B83; Thu, 23 Jun 2022 10:17:04 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN> <86o7yl9oc4.fsf@HIDDEN>
 <878rppuo9j.fsf@HIDDEN> <87wnd8r4v2.fsf@HIDDEN>
 <87y1xnzuog.fsf@HIDDEN> <87a6a3ree0.fsf@HIDDEN>
X-Yow: It was a JOKE!!  Get it??  I was receiving messages
 from DAVID LETTERMAN!!  YOW!!
Date: Thu, 23 Jun 2022 10:17:04 +0200
In-Reply-To: <87a6a3ree0.fsf@HIDDEN> (Pankaj Jangid's message of
 "Thu, 23 Jun 2022 13:38:07 +0530")
Message-ID: <mvma6a3pzen.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Jun 23 2022, Pankaj Jangid wrote:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>>> Behaviour could be different, depending upon what programming construct
>>> your are in. For example, in C,
>>>
>>> #include <a.h>
>>> #include <b.h>
>>> ...
>>>
>>> if I have to include a new library I’ll go to line-no 2 call
>>> duplicate-line and then I want the point at the end.
>>
>> But why do you want point at the end?  You want to edit those duplicated
>> lines, presumably.
>
> Yes I want to edit it from the end.

duplicate-line should keep point at the same column.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 08:08:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 04:08:17 2022
Received: from localhost ([127.0.0.1]:37207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4Hsv-0006X9-JC
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 04:08:17 -0400
Received: from mail-pg1-f171.google.com ([209.85.215.171]:36675)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1o4Hst-0006Wu-Uz
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 04:08:16 -0400
Received: by mail-pg1-f171.google.com with SMTP id s185so12694025pgs.3
 for <46621 <at> debbugs.gnu.org>; Thu, 23 Jun 2022 01:08:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=EqgWt4YB4M0KzUGVoOF5G5z3LdpNMoKsEc/EYRY58ic=;
 b=SYFaHrQ32g9uW/UuxYgqPWS3Bgm5R7HIbKOVNmGAv0W1wGDyLrxhzwWZ+XVo/EhTH+
 OUfLVtiMeV2rhkC5pamG0dRddGM1v7rwn2ovZsiPGlMifJpx7UQmRfzihkVmFU/Pb3Xd
 C7Wu+yfdqT5eLXa033Jjj/m+6tyYNbmDTaRQUPoGiaGOH9t9tPS/MabKOmGYHiQzOKHw
 1nXODKH/IqP3S2YT46Rk8A+GvMoLTtAnpX3Rw+Q64Gs0UyaBhiLZi6Ao8BCyiYAAJWOQ
 NZngBiLnbtjEdAJTms1rn7cSq9RuOlXbsji7XMtim+Uhqr0q80FHatz9RWsT9t2qNd8X
 I+Dg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=EqgWt4YB4M0KzUGVoOF5G5z3LdpNMoKsEc/EYRY58ic=;
 b=nXNSkQZjLJsnPL6QsE4N+uKEk/6T13k011XNaa7L1OHm0ZjQqEMEj4pEFX0mXAGYyS
 NVlNGOcfsifL22PTygeFShTfmPa2bJRUXeBGko5aTG3u1DfC57sV+fS4KgLY53TONQlR
 ci0WRrP8XPpK1ToJ6qFB1Oa3O0QIJViJGSTjkGiQk+3Ny2ADI8tuiEhcE19A+D4MER11
 1m+wj1C210LN8CztByshIB63ADLX1FtxFBDyuD/Ls0gNboipzZ2bPdqd2UnVM9ffXqTT
 mecZWPzerMN+IhCEfXYxsSHO3uEdIA6IcnKX4JMAVIu8D2jDDPxCZI8gwpnJvjC5VBl3
 L36A==
X-Gm-Message-State: AJIora9t8Cv4Po1HLPdvZcAb3/44T+bT7cSjufpVL5Efw4dyVj3bqCNC
 /q/K0pf1ivyUkZd04m77TscXlsG/TNxhDw==
X-Google-Smtp-Source: AGRyM1ty6wgtrSYO9baxWoNq7Zq4vVGDRadaCmPzLTnGOHoDRcLc3ndi14cHfSThB9rE6c9y/xNVlQ==
X-Received: by 2002:a63:3e0e:0:b0:40c:9d29:9a6c with SMTP id
 l14-20020a633e0e000000b0040c9d299a6cmr6613081pga.396.1655971689981; 
 Thu, 23 Jun 2022 01:08:09 -0700 (PDT)
Received: from anant ([49.36.238.183]) by smtp.gmail.com with ESMTPSA id
 a19-20020aa795b3000000b00525550222edsm969683pfk.214.2022.06.23.01.08.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 23 Jun 2022 01:08:09 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN> <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN> <87bkum1eyc.fsf@HIDDEN>
 <861qvikk4l.fsf@HIDDEN> <87zgi5uyr1.fsf@HIDDEN>
 <86o7yl9oc4.fsf@HIDDEN> <878rppuo9j.fsf@HIDDEN>
 <87wnd8r4v2.fsf@HIDDEN> <87y1xnzuog.fsf@HIDDEN>
Date: Thu, 23 Jun 2022 13:38:07 +0530
In-Reply-To: <87y1xnzuog.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 23 Jun 2022 09:49:03 +0200")
Message-ID: <87a6a3ree0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> Behaviour could be different, depending upon what programming construct
>> your are in. For example, in C,
>>
>> #include <a.h>
>> #include <b.h>
>> ...
>>
>> if I have to include a new library I=E2=80=99ll go to line-no 2 call
>> duplicate-line and then I want the point at the end.
>
> But why do you want point at the end?  You want to edit those duplicated
> lines, presumably.

Yes I want to edit it from the end. Beginning of the statement is mostly
common, I just want to replace "b.h>" with "c.h>".

In some languages (like Java), it is even more required because the class
hierarchy is usually very deep. For example,

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Configurable;

and now I want to import "Value" or "Required" class from the same
package. So I would like to do,

M-x duplicate-line RET M-<backspace> V a l u e ;

And repeating would be even more easier,

M-x RET M-<backspace> R e q u i r e d ;

If the pointer is at the beginning then it might be slightly
inconvenient.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 07:49:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 03:49:15 2022
Received: from localhost ([127.0.0.1]:37144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4HaV-0005zp-Kx
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 03:49:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o4HaT-0005zW-GZ
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 03:49:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=3Meb9Qtz+32OnxTBLq/Is1Xwb2EtPnNSeBWzfsUw0yo=; b=Cf5D2ahjRKAUcP4/JD+HT6cE3F
 6Xed99KY/Mv5Ph8nSNLypZ7jJGibQUFdFNUKDMfVcGEvhhbUZ5NIOVGrtyVXyzPMgKb+ImNbb49ik
 es9vdhdiJvT0Jiuk9AnTdgxPPcTIEuRgclRNB0mN9vOXCUGxRuMMbOv5mHAYPs77nHuw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o4HaK-0004c7-OP; Thu, 23 Jun 2022 09:49:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN> <86o7yl9oc4.fsf@HIDDEN>
 <878rppuo9j.fsf@HIDDEN> <87wnd8r4v2.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVcd5vLy9s8KU6I
 MCj////w2edLAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YGFwcsHog2iPEAAAGYSURBVDjLhZNrloMw
 CIUBNwB2AwQ3oGb/e5sLMT2245zJD9Py5fIKIfpnrfFs5wh+BvQHIFJ7sgbW43FJ4o+gydDEN3At
 hcQfrm4Oe63Is9LPdkmwvcGWO+syDB3gMGMSyX872Su/A7CZEhdwJyg4PwBmJuTboQtCS3yAlcSh
 QyfFpR/iCThBA+gnAETLofBLO+ymHq2AZkFwDZACs4Cn1y6+Zq3ksXUqu0kD6CzIAqflG3iQ+pIg
 BlBEN4NlR2aoOCYIRC9gRujMDrAVQAZimi0ze4NBIGJYnBTgLICWEQJE43eTL1CFoDAD2A6KNxjp
 ohupOLL9d5A3m6BN0OmYoKUr8wJtHYCmolUdCbZqYoGM6jayctmgaOosE6SiV/BjZbyN/Fmtkgvg
 PqIFDUE31kuBttekS8Xeg9ligrRdAIPgegcxJldzsFf5BVZTFGBfCsduma7JPbhkEJw+nS6AdBcU
 iiwx+TVZFBNUM+HJg19p6h8g8v3nTZ2/gdcTOqnPXk0Q42XlPdInqKcWmVRedIJ+A9c6Y/sBUdlz
 AnD0b+cAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDYtMjNUMDc6NDQ6MzArMDA6MDAIKlIXAAAA
 JXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA2LTIzVDA3OjQ0OjMwKzAwOjAweXfqqwAAAABJRU5ErkJg
 gg==
X-Now-Playing: Joni Mitchell's _Don Juan's Reckless Daughter_: "Paprika Plains"
Date: Thu, 23 Jun 2022 09:49:03 +0200
In-Reply-To: <87wnd8r4v2.fsf@HIDDEN> (Pankaj Jangid's message of
 "Wed, 22 Jun 2022 22:51:37 +0530")
Message-ID: <87y1xnzuog.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Pankaj Jangid <pankaj@HIDDEN> writes: > Behaviour
    could be different, depending upon what programming construct > your are
   in. For example, in C, > > #include <a.h> > #include <b.h> > ... > > if I
   have to include a new library I’ll go t [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Pankaj Jangid <pankaj@HIDDEN> writes:

> Behaviour could be different, depending upon what programming construct
> your are in. For example, in C,
>
> #include <a.h>
> #include <b.h>
> ...
>
> if I have to include a new library I=E2=80=99ll go to line-no 2 call
> duplicate-line and then I want the point at the end.

But why do you want point at the end?  You want to edit those duplicated
lines, presumably.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Jun 2022 05:47:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 01:47:54 2022
Received: from localhost ([127.0.0.1]:37025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4Fh4-0002xc-EY
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 01:47:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1o4Fh1-0002xO-T7
 for 46621 <at> debbugs.gnu.org; Thu, 23 Jun 2022 01:47:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34966)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o4Fgv-00051N-UR; Thu, 23 Jun 2022 01:47:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=B0Utt3nElRi1Swp7irnylja6t0mJv7x8lSgal5b1wHY=; b=BlJ9j7F7dPY3
 Kr2u1pT8alu20HcmBR+8xJptW0srOLXZ6KkJR6utr5go5CHn7g4/VFvB41A8WxEa1Zh9VLHvi02dt
 /VSfZu0ZU4vJFj0UfnoDz+KwQyo885Ux6iuDnES/oepSYBeaRC1NXoy33Cwh3RPwJ5c7pKrXlQ7yf
 8irf9ZrHC2v6Sqka2PWjuNxRHfyrtwnraVkxBgF+l4Ss1TD8h/8Kay4xuDgL1OxuBNf5Nasz9n4nl
 WErXUkDMVIUNrzDDy/A/D8+IfMv0RvSEPvQxFSxcH+DhKA1NEXix9ZTDgkPHBStimXgf0znb1BOM9
 TLCWorz8CGy3UBUcmTsFzg==;
Received: from [87.69.77.57] (port=4762 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o4Fgv-0004Kc-BM; Thu, 23 Jun 2022 01:47:45 -0400
Date: Thu, 23 Jun 2022 08:47:36 +0300
Message-Id: <838rpoexs7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Sean Whitton <spwhitton@HIDDEN>
In-Reply-To: <87czf0o2c0.fsf@HIDDEN> (message from Sean
 Whitton on Wed, 22 Jun 2022 13:44:31 -0700)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87czf0o2c0.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, mattiase@HIDDEN, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Resent-Sender: help-debbugs@HIDDEN
> Cc: 46621 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
> From: Sean Whitton <spwhitton@HIDDEN>
> Date: Wed, 22 Jun 2022 13:44:31 -0700
> 
> Just to put it out there, if the result of the current discussion is
> that point is left at the beginning of the upper of the two lines, then
> using it would feel like using C-o, so duplicate-line could go on M-o.

Which will be one more blow to those who don't want to lose facemenu,
to whom we told just one major release ago they can get the old
behavior back by binding M-o to facemenu-keymap.  If we usurp M-o now,
that recipe in NEWS.28 will no longer be completely accurate.

Full disclosure: I'm one of those who happen to like facemenu-keymap
on M-o.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Jun 2022 20:50:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 16:50:43 2022
Received: from localhost ([127.0.0.1]:36731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o47JD-0000CL-29
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 16:50:43 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:30868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1o47JA-0000CA-0u
 for 46621 <at> debbugs.gnu.org; Wed, 22 Jun 2022 16:50:41 -0400
Received: from pps.filterd (m0246629.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.5/8.17.1.5) with ESMTP id 25MJ5wjb027251;
 Wed, 22 Jun 2022 20:50:35 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=3GkVgxNSYNeOvYFFtQ8h5MCgEURwiAJyTwN6nUUw1rY=;
 b=JBp8w2WcWHtVVAHo6GwyIKFgqRE4RQqJN4RgRymMLXvsK2c6VnkWPAM9xUDdg5vMVD1R
 vy5CgdnyorApfRW/q1cKex1wNMKhpZkD5DZ0tI5qy+/ii89jsuO/DSKvQbD7oLn9bdVS
 TI5PfjYqMUWsy6RHsC2OKXM/fEb2tAn49EpCiGFdh6hpaEgvruJdKLOxR2BGUrWZDC2r
 juPNETOBtHWHwrxq78V+oGmEvsZ9Saf6qUdwYDKQ0itJ1GQcYcbp+pW/NyvSI2rjLIbx
 JhIHC3nrDEjgmekNRPbGfJh9UGSoMUP4C447+r/2svVXh8HnThh03xos3GlCOpB3XB3z eA== 
Received: from phxpaimrmta01.imrmtpd1.prodappphxaev1.oraclevcn.com
 (phxpaimrmta01.appoci.oracle.com [138.1.114.2])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3gs6kf9bhr-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 22 Jun 2022 20:50:35 +0000
Received: from pps.filterd
 (phxpaimrmta01.imrmtpd1.prodappphxaev1.oraclevcn.com [127.0.0.1])
 by phxpaimrmta01.imrmtpd1.prodappphxaev1.oraclevcn.com (8.16.1.2/8.16.1.2)
 with SMTP id 25MKoYQS019173; Wed, 22 Jun 2022 20:50:34 GMT
Received: from nam12-mw2-obe.outbound.protection.outlook.com
 (mail-mw2nam12lp2040.outbound.protection.outlook.com [104.47.66.40])
 by phxpaimrmta01.imrmtpd1.prodappphxaev1.oraclevcn.com with ESMTP id
 3gth8xwfph-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 22 Jun 2022 20:50:34 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=L6jtxrw1yZpPVLZ8QPwDYVKXG0l3Eq7zHE0JEENtQhG2XM+ppB/bgwRRIacyQ096OqEYPrB9kLb5OLtqbk+JjZ/5HmVqN3mF9JSEOuAeqKp6eSspOvF0D9LzOB/qR4PkcA6zxiHSxGzJvw96gdmnG0QJ0fLzKaoLJW65LUjhDZZLZu0Ahr/Oy61drZ1LEULd2QMhGBeo1N38eZci3JQHUZjs12RH/n+KwANfEhKGANAOSIWDvsl2P2rXHa51XJWovGTxFcVPnkSUDK9JjJKe0llkKo7wJox0iZrvAO+bwsAyHl8fi9yKAY0i7xlBibvMHOaH6KcLdONbtGaNUgrS5w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=3GkVgxNSYNeOvYFFtQ8h5MCgEURwiAJyTwN6nUUw1rY=;
 b=A8Ww5nNg8l1zsWPLntDhyz4S9+jzr41JMyWz+FQl7OFziwEepOokFehQ5/w7VRX8Ur4zfv2TmGmWH+lbyuO9TnX/V14YpfWbedfjqsjm+zcttR2zIYytDLAoQQoiaYCjUWYsLmhxc51MMomuS48p4SbE35owo3F2HcU463ceslJIzy/zo4yF26jgiW3FZKUZsZCsp4c9SG5tHYIWCms9ileK3MISQCY7FQoO8jnvzq4IRyMnP+VCG/lXpbcZZKIG6J5AvL0WWtIpJL8fX6r5N5ya/YIE0db2CZSW8jkg0FmSihJEW2uvdCVR+tOvUtSt1bd2FD8y6g2O9noCiT7UVg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=3GkVgxNSYNeOvYFFtQ8h5MCgEURwiAJyTwN6nUUw1rY=;
 b=fYMRihF7pSlSWI+L0RqSefPao9bG/T7A/OpfSd/7oQm35D2WJP2ea/ogEulIL5yGmzXXVpCrD/cMM1BYMq0dPqKN77rzAsXt3Mox5oZhcIxyszuh6RFlN+MTrDGmkPZuXkozzydXKQbDTeB1AD+kekupTLWG5tZG0TIkspI2dq4=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by DM6PR10MB3466.namprd10.prod.outlook.com (2603:10b6:5:17e::11) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5353.18; Wed, 22 Jun
 2022 20:50:29 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::cccb:35bd:9922:dcf5]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::cccb:35bd:9922:dcf5%7]) with mapi id 15.20.5353.022; Wed, 22 Jun 2022
 20:50:29 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Sean Whitton <spwhitton@HIDDEN>,
 =?utf-8?B?TWF0dGlhcyBFbmdkZWfDpXJk?= <mattiase@HIDDEN>, Lars Ingebrigtsen
 <larsi@HIDDEN>
Subject: RE: [External] : bug#46621: Copy line
Thread-Topic: [External] : bug#46621: Copy line
Thread-Index: AQHYhnj3MeRS0nnmmUmeOKDhPOYKGa1b5h+Q
Date: Wed, 22 Jun 2022 20:50:29 +0000
Message-ID: <SJ0PR10MB54880B30B7901C472E230353F3B29@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87czf0o2c0.fsf@HIDDEN>
In-Reply-To: <87czf0o2c0.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 75c39ee5-c977-491f-54db-08da5490d763
x-ms-traffictypediagnostic: DM6PR10MB3466:EE_
x-microsoft-antispam-prvs: <DM6PR10MB3466524DFACAFB861E9D3E4FF3B29@HIDDEN>
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: obVM6gRU5h7ud0Au78kbLfLBV+M//oR25mTQEs63cG09U3rLXeL2GVVyhlZ/58Uc4pJ9A/ScrGyCZI32a01OOG/Qek96/eBpiWxWO49zz/7mI6iMPfSAzks/fBe6ONN3eGlIFRFi+e6bV38Wzgl2l1UBsDDsTzVZuWgwHR8qoZZyGJl5uThIcDgsSwb+5+yrW/ySR5C6pOFlBQbEk6uFCJCTUtbBkV5ARVxa86akSN+goI17DCkSV49Hk1RUYeDRZxTTs43vC8/QZZbmNP5712NoZFJXsqMsGi2WBKRKg7e7DXMeUnyKSh+0ZMJxOE6jZvvsNi3IZQcUKUPp+pZ6FKXrx1MLrOoI5ou/FGDxvauyxwIEKtsy9EdDMb/FvHaUXER/1cNzad5wfGZVV1e7eyY1t1uD6C6WAZ3vPjATlDsIhTjNC6FfHm8BrjEZ+9fQoOFTQ/ggWMBpYjjvSV7ZsEvPTZvIHtyw/4BtadST/WUJa6XxeTr6bdfW9NICdcUK2M2vBp9wAbTMV4PO0L4kXubH9/M5WHMefQk8IH6DRJsSHXmjV+XaIbUVqzV49LA07a+yYWvirAr89+49Bqia2roDGrAVkn9LRX8lYyoLg4DMqYWZTavxS5BXdxQmuPAdFVbTC16/4/SJAtvAxonV7V4n4O5XPiEPVAQiJZ6mGkeCnTatsvjTOVmxZo396QBwQjqJeXoYrnZPpkQKxqMA1oMbSECqoLp4UCLnlua1sAGgPslBFU4UV/Ka8r/7eKheCpkIpeNZ/u2/+k33aeSgRA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230016)(39860400002)(136003)(346002)(396003)(366004)(376002)(4326008)(5660300002)(44832011)(8676002)(55016003)(64756008)(52536014)(4744005)(8936002)(38070700005)(2906002)(122000001)(38100700002)(66556008)(66446008)(86362001)(33656002)(186003)(71200400001)(66476007)(41300700001)(110136005)(7696005)(54906003)(76116006)(26005)(478600001)(66946007)(316002)(9686003)(6506007);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?utf-8?B?RElsTGNkcmRtdS9Kd25lV1Zray9mb0tFYzFheWJuZnZoeUFrTmxyZUlmVTJm?=
 =?utf-8?B?UzlycGNNN2lKcUtWVEhiYU1WeFp1S3NLeVdvVS9kWjVKM01uRFRIalNKY1g1?=
 =?utf-8?B?UVI3Sm1RVW1tOHQzRW5QZjRZNEIwN0RsUUgwWHRFNkw3R0tMWS8vVllENVlX?=
 =?utf-8?B?NzBUQ1c0YnRHUmlrbmFBOVR0alRWMU5peU1Eb3Q3d21UMXZsNFhXUzlJL2Jj?=
 =?utf-8?B?eXhNVjh5NEpSWkh2bTVWNjREZk5VSmZLczROV1JyKzNseDh2QWpXSU5tSE9F?=
 =?utf-8?B?MTZkZHg5Yi9kN0g3cGZHMVQ1RGgxMUVCVTBpWm9qZjB0NDVnOXBTdEFHaFow?=
 =?utf-8?B?ZkI2T2EvUTA3NUpNWFFaQ1ZML09EUVl4dTdGQjlKMnJjZlQ4ZE02cnNCRnFD?=
 =?utf-8?B?Qk1EZjIxQUhjZjF6Nm1LcXA5bUdTYnowT3JoTFJMN3BoMTRubUxpaUFmZkhF?=
 =?utf-8?B?VmNQZ2gzM3FxZTAxalBRMHoyMk5sRDR6QWQrNGk4VWw0SXU3bEMycldnRC80?=
 =?utf-8?B?aXBEZUNjdktPSnNCQ1ZEdWZ0V3I2ZHQvbGcxeWQ1clk0cWdRczh0L0ZrMk9v?=
 =?utf-8?B?OFFUUGg3YWdYWkJNTGV1dzdnVlpFY1BPNlRzZ3c3eU5HZDRhbEdIU21PbnpU?=
 =?utf-8?B?NGQ0bGxoaWxlNEs1Q1pCVTVhV1h6ek1HYXVsOEVvb3pTVW9UdTdwcmlveGd1?=
 =?utf-8?B?RnYybC9PZzhqcm5oR3AxM2xZYU8wSWg0ZTlkK1IwRWp0Mk9CTmNsS2xhZFpj?=
 =?utf-8?B?Uk1Qd0Z4cUhBRnpBdUp1ZTlrZW0rOG5PSkY0MDRxWTlhdG9ZR1BEMzlsQmZW?=
 =?utf-8?B?aGFxb2JYVnUxRXJoR2NySm9jNkpmS2oybmdJbFpZNFlnOEdJSjNDSmIrWUhE?=
 =?utf-8?B?Y3dqWnhhRXQvTjhUbmxvdWhIajZoaEpYcHkwWmxNTFNIemFUUmtYU3V5WE5J?=
 =?utf-8?B?YStoRitxRWZ2a2Nsc0JUUjRHWVU4Vkt4NG9Ea0dacVB4aUIyRW1ienNFUjNk?=
 =?utf-8?B?TFp2T2hVellNTXRYYnpqbkFjU3VEZWFvT3N5bGF6TGhZamZJZC9tcWxOS25G?=
 =?utf-8?B?bWxrdEt1Si96WkNQZkFhMnhKcXlJNGl2YWpCdzFlMUwrWTNORnJDZUs5TVVG?=
 =?utf-8?B?S0JodFFiVzhRbytkbjNENk1PUGpDREEzdmVpNHUvMk9PVk1oRk0yMU5UU2lQ?=
 =?utf-8?B?aWtoNlA5QjYvekZBSU9adGFMZUFzZWIzWHhhN3BhakNVSzBlZmxSSS9hdVpW?=
 =?utf-8?B?SE9qVUJvZkZoV2NLejVnRG4zZ0pWczVzNitoWmZqWnpxZ1pMSmxzbEFURUhi?=
 =?utf-8?B?cWIvdW5MNjRoN3drbXhQSzJCSmZrYndEc3lMOGRRQkdWVFoxTHh4M2FUSEZC?=
 =?utf-8?B?ajVBWk95UG5EVFg1U2dqeXRVWnZSWkdINlVxT1cydTBoaWcwbTU1ZDJOWFRF?=
 =?utf-8?B?VzhONk5tZHRTeG16R3J2Y2x2QW1DMkdsOTZrKzJVTnFsZ2ZORTFMaE0yOGhW?=
 =?utf-8?B?Vm9lZTVqT0MrYlhyYTZCd0lEeGVzaTg3a21BanZTWWZzbkN6UHFpS2FHK0s4?=
 =?utf-8?B?OXZrUTNYaVNJQTMwSm9oeXJMRGRHclpwSVlMbmpXNVpjcUxFck12S1dzK2kr?=
 =?utf-8?B?aDlUeTJGZG9LcStxcjNoWnhjSUtSQTV6SGxoQnd5K2U5OGtJcGR6Mm56RlY3?=
 =?utf-8?B?ZTYxVnJiZEhGS0RJdlBwRWt5TDJaZzVzeVdZVjE3OVdEQUtpRmdiVjk4TTRQ?=
 =?utf-8?B?MWJwUUFCVkVaWUZsbmtORTlGQUVFRDBXUkUyZE5GcGFtazVFbVJVbStXNnN6?=
 =?utf-8?B?M2FSTmppdEowYTJaOThIQ1NPcklDVEdYbTNVczc2bHc2SUsrSC9idExWMlZt?=
 =?utf-8?B?Vlpkb0RaM0xjUmJhWHhENm5DU2xuSzl4T2cwdXhMTzNQcmZOMHNpVStBckNU?=
 =?utf-8?B?S2R3YTdMUHlUZ3Q1alpUWE5odmlJSUx0Yk1EV3ExTzlGb2tOd0crKzJJZGdq?=
 =?utf-8?B?alh4V1V3TkJqbnpSZGhqQ0wvVkRmQm11U1Q5bFNzdUI3N0VFRytnemR4MlBH?=
 =?utf-8?B?M2dJM0Y1aG0yTGdiL1lzcjdaS0FTbUlQRHFKM20zemowYVAxTDdQWnFTZGFL?=
 =?utf-8?Q?jmXYEuzcHZNvUBrl0GGX4sLy2?=
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 75c39ee5-c977-491f-54db-08da5490d763
X-MS-Exchange-CrossTenant-originalarrivaltime: 22 Jun 2022 20:50:29.1512 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: qGTQTRf4FE1LTa6f/XVpCsr+ltGFwVaziQkSFtvgtrHt7wOSBj2k88NtmeuPHJenoPGW5ERF8oaZVirhG1u9lw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM6PR10MB3466
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.517, 18.0.883
 definitions=2022-06-22_08:2022-06-22,
 2022-06-22 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 malwarescore=0 mlxscore=0
 phishscore=0 adultscore=0 suspectscore=0 mlxlogscore=999 bulkscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2204290000
 definitions=main-2206220096
X-Proofpoint-ORIG-GUID: Oy2cjSAHvJjEMNJiJefTcReztl1XiLK-
X-Proofpoint-GUID: Oy2cjSAHvJjEMNJiJefTcReztl1XiLK-
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: "46621 <at> debbugs.gnu.org" <46621 <at> debbugs.gnu.org>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

PiA+IERvIHlvdSBmZWVsIGF1ZGFjaW91cyBlbm91Z2ggZm9yIGEgc3RhbmRhcmQga2V5IGJpbmRp
bmc/DQo+IA0KPiBKdXN0IHRvIHB1dCBpdCBvdXQgdGhlcmUsIGlmIHRoZSByZXN1bHQgb2YgdGhl
IGN1cnJlbnQgZGlzY3Vzc2lvbiBpcw0KPiB0aGF0IHBvaW50IGlzIGxlZnQgYXQgdGhlIGJlZ2lu
bmluZyBvZiB0aGUgdXBwZXIgb2YgdGhlIHR3byBsaW5lcywgdGhlbg0KPiB1c2luZyBpdCB3b3Vs
ZCBmZWVsIGxpa2UgdXNpbmcgQy1vLCBzbyBkdXBsaWNhdGUtbGluZSBjb3VsZCBnbyBvbiBNLW8u
DQoNClBsZWFzZSBkb24ndCBnaXZlIHRoaXMgY29tbWFuZCBhIGRlZmF1bHQga2V5IGJpbmRpbmcu
DQoNClRoZXJlIGFyZSBhIHppbGxpb24gY29tbWFuZHMgdGhhdCBkZXNlcnZlIGEgZGVmYXVsdA0K
YmluZGluZyBtb3JlIHRoYW4gdGhpcyBvbmUgZG9lcy4gIEFuZCBuZWFybHkgYWxsIG9mDQp0aG9z
ZSB6aWxsaW9uIGFsc28gZG9uJ3QgbmVlZCBhIGRlZmF1bHQgYmluZGluZy4NCg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Jun 2022 20:44:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 16:44:41 2022
Received: from localhost ([127.0.0.1]:36713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o47DN-0008QU-L2
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 16:44:41 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:40627)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1o47DL-0008QG-Az
 for 46621 <at> debbugs.gnu.org; Wed, 22 Jun 2022 16:44:40 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 301D65C00CE;
 Wed, 22 Jun 2022 16:44:33 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Wed, 22 Jun 2022 16:44:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=spwhitton.name;
 h=cc:cc:content-transfer-encoding:content-type:date:date:from
 :from:in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm1; t=1655930673; x=
 1656017073; bh=pdcjAbGnG7P7Mo3QvbgQg2527Py+/wIAnQnBKQyyK8c=; b=O
 zcK8YZlHT9bU9Yj8iHMO24PlLN8/LAaqhfU6cMas0fIreU/6tycUrpjnQiiZksQd
 mUd9FFq+Se697wveymkS5MRAiPDGhMebq9cvDDFwcRAPfIUiZimzFpmv9BXBp351
 5J/r1lVTJTsXJiObziiDv8lwjCv1sAXeGrZxzlxfviBKjg4eWx7jcTKE3/gx1kCM
 i2Hb4z53X8ASl19YhGqq7hSYX2AkPgtwTjrjER2H0jsvRerGN8wqdALngRNufpnL
 SzJfb03ZvKe+A3XtadWoMpIUhUiuk9+eTWsHRB4QjmndoeS8J2ws0VOUiIfC9bYy
 NYBq/9Y58IiTx4VA3Xofw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:feedback-id:feedback-id:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm2; t=1655930673; x=
 1656017073; bh=pdcjAbGnG7P7Mo3QvbgQg2527Py+/wIAnQnBKQyyK8c=; b=o
 JBMD7+LwgdiqmoI2ccZ+ZYRA29E+bLM5Hbcs/7zGQm/h2Og9TYbfXp2U6IBHNlpc
 7XS7V8TxPQ4wHw3r7z20RPaq6kpLhFofU3t5N6TXAJcVR4rqJ0MndnyjvohMVoU0
 LZpy/Ozb77rXZ1E7z5F7W9IAVYqQ9M9sYI28Z05hspmus+0wRsFjz4W3glTS93nK
 CcxRb7ndwXIVWJpnpqSjk/o5Z77T6TVF4OuLqMDLW9gHGYuPJpJlmf6hz+pV08/F
 eAOS44rRh50uS7HcIJeN+omFX29VFHHcSwB8loMgzBBYbzd/x/3r1s4rhlL/vrlB
 i6gSFodX+54dJu0iyYVtw==
X-ME-Sender: <xms:MX-zYpTbMhwpU8X43Wwg_d7m1aJpRFaf9-Cz-5O5HDa8vQycFEdspg>
 <xme:MX-zYiySVL8eLA5gYGeRgfu8GW9-c__TSEwVC1Uhrgu1o2uZbu-kuWGrh5BkUhiRa
 mM3P3l4hXpsAAeypg>
X-ME-Received: <xmr:MX-zYu0cRlKBTuZOv47R0GLdOD6-NzZIdG8yCBEXXxNUkdQ1NeY4duxo595UqZugD2pizfdulMYjpkHsrlOvdWNYOxnji2s>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrudefhedgudehgecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvfevufgjfhgffffkgggtgfesthhqtddttderjeenucfhrhhomhepufgv
 rghnucghhhhithhtohhnuceoshhpfihhihhtthhonhesshhpfihhihhtthhonhdrnhgrmh
 gvqeenucggtffrrghtthgvrhhnpeelfeeuvedtkefgudekhefhtedvkeegieekudevfedv
 ueetffdvfeelieefvdduhfenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmh
 grihhlfhhrohhmpehsphifhhhithhtohhnsehsphifhhhithhtohhnrdhnrghmvg
X-ME-Proxy: <xmx:MX-zYhCrNntnGl699uzj_u4LsLAzxGKmGd29ERtbULh3H17VtUblGA>
 <xmx:MX-zYij6-mJIo23ml9OqaytETQ09MXHjhvXAgmtx6ivRZfOPTL15vQ>
 <xmx:MX-zYloPY2_3qXLkIn7pMVgRyAnFGSvMsY3Vk0-Q8d4b_MCpjMho5A>
 <xmx:MX-zYlskTGDYuH7wioGY1AUh2cAUooCNKPsMW1BJ28-vxOlrHqculw>
Feedback-ID: i23c04076:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Wed,
 22 Jun 2022 16:44:32 -0400 (EDT)
Received: by athena.silentflame.com (Postfix, from userid 1000)
 id D26211B6513; Wed, 22 Jun 2022 20:44:31 +0000 (UTC)
From: Sean Whitton <spwhitton@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>, Lars Ingebrigtsen
 <larsi@HIDDEN>
Subject: Re: bug#46621: Copy line
In-Reply-To: <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
User-Agent: Notmuch/0.36 Emacs/29.0.50 (x86_64-pc-linux-gnu)
Date: Wed, 22 Jun 2022 13:44:31 -0700
Message-ID: <87czf0o2c0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

On Sat 18 Jun 2022 at 08:02pm +02, Mattias Engdeg=C3=A5rd wrote:

> Do you feel audacious enough for a standard key binding?

Just to put it out there, if the result of the current discussion is
that point is left at the beginning of the upper of the two lines, then
using it would feel like using C-o, so duplicate-line could go on M-o.

--=20
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Jun 2022 18:45:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 14:45:42 2022
Received: from localhost ([127.0.0.1]:36583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o45ME-0007Mz-3J
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 14:45:42 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o45M9-0007Mj-7U
 for 46621 <at> debbugs.gnu.org; Wed, 22 Jun 2022 14:45:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pWKtg8nDo+c+1YsIkc/qrfxCNoy+KHqhyfywRYTg1cc=; b=kc58GpHNBpm0arZ3SSdzVeL+xT
 hHq+de0tTI8zFRjbKRB8tOr4ZlAOucIdD7Bu3iGFIcMqFNnV3+818cg9uwQg+JAErtqKV8z10Fu9c
 XSO+P5HDpae72qQ9+j+c1GHBGi6XKeJid7yivZ9kLYQ6FesAEPQlrou4hN48ZYgzAR7Q=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o45Lz-00060A-AA; Wed, 22 Jun 2022 20:45:29 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN> <86o7yl9oc4.fsf@HIDDEN>
 <878rppuo9j.fsf@HIDDEN> <87wnd8r4v2.fsf@HIDDEN>
 <86iloseeto.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEUtDg0MBQY+KhFi
 HBKlShdsTx3IQyKgFB3Zq1CpCB3////wlhtJAAAAAWJLR0QKaND0VgAAAAd0SU1FB+YGFhIsJOxr
 V70AAAGSSURBVDjLvZJNS8NAEIZn2VjxNkuC4K1f3tPs2tpb0mykx6btDyi0xGshYMhRkNK7Qtx/
 6+ajtmL24MW5BOaZ952PDZAuQ0YQu4gE+9Bj+kPQJhCurUEQO1SOLW8lZejYoRB26IOk63hLHE8K
 MQi4JW4HnuzwgMATlb4YWbOdI/nmwdlYq8VOp1yt8EM76EeSR0s+dMJ+5Mmu9H1YRL7oxcF6GV7N
 hsKxAhkJzxYBsNZAZgDsfwGagBW2A3w5kHZwnMftVmMTsOfEAN5M47qtQG8RG4DzatjjaADsPjYA
 4xGB/FVxDlyW6jbFwmyFBoCEIfx+1KqanhU/xkUXTqlxMrowpgTqVqyTJNvKuBHUNQRokijlXp4B
 Siccl3mVXgg0sDlhjweVqeJbQavNKefwedCCIm0OWb0yAOdT9fGsyqglyEsOE85z1UQNrvdV/2mq
 QYMqL1pADYqzogSY7+uJb1R6BtprWtQTwJ0qTqDIXKAqbXa0VdMhLzINpqr5IwF1ZV2ug0/UOzmd
 vjHKKpCfBOwLdgKl/oCptJoAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDYtMjJUMTg6NDQ6MzYr
 MDA6MDB/7cL/AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA2LTIyVDE4OjQ0OjM2KzAwOjAwDrB6
 QwAAAABJRU5ErkJggg==
X-Now-Playing: Joan Armatrading's _Joan Armatrading_: "Down to Zero"
Date: Wed, 22 Jun 2022 20:45:24 +0200
In-Reply-To: <86iloseeto.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 22 Jun 2022 21:24:51 +0300")
Message-ID: <877d581qrf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > It seems in both
 cases
 you expect point to be at the duplicated line, > either at the beginning
 or the end of the duplicated line. But the > problem is that currently point
 stays at the original lin [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, Pankaj Jangid <pankaj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> It seems in both cases you expect point to be at the duplicated line,
> either at the beginning or the end of the duplicated line.  But the
> problem is that currently point stays at the original line.

Everybody agrees that that should be fixed.  I haven't done so yet
because people are submitting patches to the function, and I don't want
to get in the way of those.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Jun 2022 18:37:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 14:37:18 2022
Received: from localhost ([127.0.0.1]:36565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o45E6-00078j-Bd
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 14:37:18 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:44387)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1o45E0-00078H-AP
 for 46621 <at> debbugs.gnu.org; Wed, 22 Jun 2022 14:37:16 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 0B64B60002;
 Wed, 22 Jun 2022 18:37:03 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#46621: Copy line
Organization: LINKOV.NET
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN> <86o7yl9oc4.fsf@HIDDEN>
 <878rppuo9j.fsf@HIDDEN> <87wnd8r4v2.fsf@HIDDEN>
Date: Wed, 22 Jun 2022 21:24:51 +0300
In-Reply-To: <87wnd8r4v2.fsf@HIDDEN> (Pankaj Jangid's message of
 "Wed, 22 Jun 2022 22:51:37 +0530")
Message-ID: <86iloseeto.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>> BTW, what do you think about the already suggested leaving point
>>> at the end of duplicated lines?  This means removing save-excursion
>>> and adding backward-char to the end of `duplicate-line' to move point
>>> before the last newline.
>>
>> It was also suggested to leave point at the start of the duplicated
>> lines.  I think that makes more sense -- the use case here is to copy
>> lines so that you can start altering them, after all.
>
> Behaviour could be different, depending upon what programming construct
> your are in. For example, in C,
>
> #include <a.h>
> #include <b.h>
> ...
>
> if I have to include a new library I’ll go to line-no 2 call
> duplicate-line and then I want the point at the end. But in the
> following lines, I want the opposite behaviour if I want to declare a
> variables of other types.
>
> int a1, b1, c1
> float a2, b2, c2
> // now I want variables of type char
>
> In this case I want the cursor at beginning.
>
> But I feel that former is more useful i.e. point at the end. Think of
> different types of statements in a programming language.

It seems in both cases you expect point to be at the duplicated line,
either at the beginning or the end of the duplicated line.  But the
problem is that currently point stays at the original line.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jun 2022 17:27:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 13:27:25 2022
Received: from localhost ([127.0.0.1]:36539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o448T-0003Ie-7W
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 13:27:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:43824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o448R-0003IX-T5
 for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 13:27:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43284)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o448R-0006h0-Ma
 for bug-gnu-emacs@HIDDEN; Wed, 22 Jun 2022 13:27:23 -0400
Received: from ciao.gmane.io ([116.202.254.214]:53982)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o448Q-0000R2-Ae
 for bug-gnu-emacs@HIDDEN; Wed, 22 Jun 2022 13:27:23 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o448P-0003kK-5V
 for bug-gnu-emacs@HIDDEN; Wed, 22 Jun 2022 19:27:21 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#46621: Copy line
Date: Wed, 22 Jun 2022 22:57:11 +0530
Message-ID: <87r13gr4ls.fsf@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN> <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN> <87bkum1eyc.fsf@HIDDEN>
 <861qvikk4l.fsf@HIDDEN> <87zgi5uyr1.fsf@HIDDEN>
 <86o7yl9oc4.fsf@HIDDEN>
 <SJ0PR10MB548845EC0592059D8008972FF3B29@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Cancel-Lock: sha1:ih4ZLoofDiB2IjP8QiY/VmzrWu8=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Drew Adams <drew.adams@HIDDEN> writes:

> But please don't succumb to giving them key
> bindings just because some new contributor
> requested them.  Even if you feel you want
> to encourage new participants, that's not
> appropriate.  (My impression is that this is
> in fact sometimes a thing with Emacs dev.)
>
> Emacs has gotten along quite well for a very
> long time without feeling the crying need
> for a `duplicate-line', a `copy-line' or a
> `mark-line' command.  Maybe ask yourself why.
>
> Just imagine that some such request doesn't
> come from a new contributor - treat it as
> you would from a longtime participant.

I agree. But please, maintainers, keep the duplicate-line command. :-)

I have started using it 2 days back and I might have used it 100s of
times already. Really useful.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jun 2022 17:21:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 13:21:57 2022
Received: from localhost ([127.0.0.1]:36529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o443B-0003AG-Ab
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 13:21:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:41570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o4436-0003A5-A4
 for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 13:21:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42308)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o4436-0004u4-2h
 for bug-gnu-emacs@HIDDEN; Wed, 22 Jun 2022 13:21:52 -0400
Received: from ciao.gmane.io ([116.202.254.214]:35472)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o4434-000834-8W
 for bug-gnu-emacs@HIDDEN; Wed, 22 Jun 2022 13:21:51 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o4430-0006ou-Dx
 for bug-gnu-emacs@HIDDEN; Wed, 22 Jun 2022 19:21:46 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#46621: Copy line
Date: Wed, 22 Jun 2022 22:51:37 +0530
Message-ID: <87wnd8r4v2.fsf@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN> <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN> <87bkum1eyc.fsf@HIDDEN>
 <861qvikk4l.fsf@HIDDEN> <87zgi5uyr1.fsf@HIDDEN>
 <86o7yl9oc4.fsf@HIDDEN> <878rppuo9j.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Cancel-Lock: sha1:qbnyU+5sBMbI4hIP4AXmiFxRwyk=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> BTW, what do you think about the already suggested leaving point
>> at the end of duplicated lines?  This means removing save-excursion
>> and adding backward-char to the end of `duplicate-line' to move point
>> before the last newline.
>
> It was also suggested to leave point at the start of the duplicated
> lines.  I think that makes more sense -- the use case here is to copy
> lines so that you can start altering them, after all.

Behaviour could be different, depending upon what programming construct
your are in. For example, in C,

#include <a.h>
#include <b.h>
...

if I have to include a new library I’ll go to line-no 2 call
duplicate-line and then I want the point at the end. But in the
following lines, I want the opposite behaviour if I want to declare a
variables of other types.

int a1, b1, c1
float a2, b2, c2
// now I want variables of type char

In this case I want the cursor at beginning.

But I feel that former is more useful i.e. point at the end. Think of
different types of statements in a programming language.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Jun 2022 14:10:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 10:10:57 2022
Received: from localhost ([127.0.0.1]:36198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o414K-0002Hm-G3
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 10:10:56 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:63824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1o414G-0002Hb-5Y
 for 46621 <at> debbugs.gnu.org; Wed, 22 Jun 2022 10:10:55 -0400
Received: from pps.filterd (m0246631.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.5/8.17.1.5) with ESMTP id 25MCXdEF009478;
 Wed, 22 Jun 2022 14:10:44 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=O644Nbfx9rCM5R9r8YdCOhEJp2vw7NLia/sPxEqG0Ns=;
 b=QEFZzwDyy40Ul/dTO54Pte/MfGVrKiGuc83G+frorwIOSVTohv8tE0GtV+n7PXvS//Qv
 PSttgIcOVZJaf1I9sX7CzaYoiyAbmrwgIKZRLp23B0H/7ESO4F9m4D7aFja6k8u9yDNX
 o8jlgsuhpss7CKnfDHQsV5zwAySUIxRWJZaZnskDAr+G7bQq4sY+vhkz6KBuzWxs02kl
 /LNWRUIY7l5Cw8Chjmc+YY7CpDumeTtHVlSuso77lUyj1PteNLZPHY+m9VAjLmi98Aqv
 2PtWvE2L7KtLygIpKMQ5s9+fyQOoHyXgs36R/y1kDkmNt8dcNiTKWYgnsLRZzzh1STmK SQ== 
Received: from phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com
 (phxpaimrmta02.appoci.oracle.com [147.154.114.232])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3gs5g20nc6-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 22 Jun 2022 14:10:42 +0000
Received: from pps.filterd
 (phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com [127.0.0.1])
 by phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com (8.16.1.2/8.16.1.2)
 with SMTP id 25MEAdin025853; Wed, 22 Jun 2022 14:10:40 GMT
Received: from nam10-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2107.outbound.protection.outlook.com [104.47.58.107])
 by phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com with ESMTP id
 3gtg3we994-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 22 Jun 2022 14:10:40 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=IaCa/1tC2P4lJ0MKp4JFsc5M4BZuPCI8GkE5u7oDIpBodWEWjoAJhD+PH8LnU8zX0pdOdz81puRhJ6jzw5zMBPgy1hVPOgZbHprfrIHXIAEoJVkvN4jlUzuEs4vNyDcDZ5KBENdmso4wKnJGmZZOyMqubrmr40abP+KqI1mb2sgcOtSQr0T36iI9ID7YqSDCr8adPzKSt45jciSqr7Zv1I9r/nrhon/crBay1bVSYz+OYwdezhssaIheNw4iCtPob5m7lHGvQxhbss9xMlskNkgOqnG6H/DT3GjvHhGdjDxp3YUZDSDzAmvo8+plxjueLpFtNOU5FoiSH1dTw4flbQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=O644Nbfx9rCM5R9r8YdCOhEJp2vw7NLia/sPxEqG0Ns=;
 b=cqe3lo+BjX2HKpCVmLqQMPcCruZSzB/2yrKH6smWsd027Y6o2/pLyXmw2qckpPdMLhAbvisajmcWcQMrAYYm99u58O4jV/8ffJir+2H8lTfDyfafwziq368bt9XM997GQh7X8cPZ9KQRBOzZnOuTiaFjs0QTvbeNHx0KPhBmFl6pC0+7fobjCLXjWJYBcnZ+Of+ngCgJrujE927iAd2cGgJmfvFcw3T6DMEu/fixA5KA0E3yM56QXLmY6UmMuEVf3F5MsVTVqTi/rWDxvIxcVb7uUiJyWsvOlkRNgpai8Lhzj01bstFHC3omSdweAMJ/jIb2EHdbdhtWhv6zj/1FJw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=O644Nbfx9rCM5R9r8YdCOhEJp2vw7NLia/sPxEqG0Ns=;
 b=BjifvKjhGh1224YJnW5R0dWeQTCRazR0oaC8UeQ5l7ONSdrI69lHjDNvvnHrfwzW8uB5D2l6lHhjmEH5kkg1L6z7GJ9UTJ6Xkh5xZ7eo9o2tBPSpK3mBOOfrYg/mpi2YBid2X8n/03dlyWOxP8Y6Edbg/RnA9QZZ30pzj6gyvK4=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BN8PR10MB3714.namprd10.prod.outlook.com (2603:10b6:408:b8::21)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5353.17; Wed, 22 Jun
 2022 14:10:30 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::cccb:35bd:9922:dcf5]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::cccb:35bd:9922:dcf5%7]) with mapi id 15.20.5353.022; Wed, 22 Jun 2022
 14:10:30 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : bug#46621: Copy line
Thread-Topic: [External] : bug#46621: Copy line
Thread-Index: AQHYhg0dUNR2I6iVhka7cYX3uMDARa1bcxOw
Date: Wed, 22 Jun 2022 14:10:30 +0000
Message-ID: <SJ0PR10MB548845EC0592059D8008972FF3B29@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN> <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN> <87bkum1eyc.fsf@HIDDEN>
 <861qvikk4l.fsf@HIDDEN> <87zgi5uyr1.fsf@HIDDEN>
 <86o7yl9oc4.fsf@HIDDEN>
In-Reply-To: <86o7yl9oc4.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: d629f06c-6420-4bea-d38c-08da5458f6f5
x-ms-traffictypediagnostic: BN8PR10MB3714:EE_
x-microsoft-antispam-prvs: <BN8PR10MB3714110205723308C5FA642AF3B29@HIDDEN>
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: Jd2nR0gXPL7fltsH9oN/Nd0468QLyj8JEortLQPb0XYC6lajVT1TNE3INGH/ES2f5q0BfogX33URb/ZsuXFI2FiGQsONK77Moi7fXNDySVUQLUDFwXgjkdSu1Bq3CqJPeYcvkgwhsAx//ZNrcQvghwrvPG7d3hdWk2HrY0IKD3zHM79lybEyOBMMLyRWizlizdn+d3BY85zqZ5abQq20j4oW71Os0r9KTrdYItW4hbu3DEh8CuGEe3gDB7X5ztd28VH9lMPqmH4bbQNh57E34PBHvqaaeETSKevxwSIIKrVAIEZUSy9uvsIh19jNyvnR2WUZe8rRcB2U+JjDGr43gOjAH27mpi3TdtW3R1f3iJj+llxJAJp4QjngvcaQE2p8J9jzquEozaTFh2VNBxJA293SUvmpwhy8MtYFgweFnG4D99/P8XbToaLbc/EI+5ID/fnev4FuW01aO+MtF8WsNwMW1rragvgBfEmI1eURv15SIY2be8Iqf4rgI8QVzhLmpq7ohSsBXYAUOSC8uRcjyUBwpqayQ+qtdz5D3n4gOqWSQb7RT78U0NBxXVmo/jfy+G4ADYVkAsd0+ayIsU6dLAH45p0R7kNKxElnFaLVpO4EIwspqroqV3T5sCDfeaTHuSiTkBrTtpHU6agTo4PgKcKh58GdKvV4HG2wUoBZGuHiZO0PIv2nvewndbBhpYIfBsK4nmNwG2llypNNWccPfRIc5rDyBBdYc5y3HDZgdPamizOXpZE7cNNqlBdAyc9Um52Bi1bgimUBBkl9d9TurQ==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230016)(396003)(376002)(136003)(346002)(39860400002)(366004)(66946007)(64756008)(66556008)(66446008)(186003)(76116006)(44832011)(4326008)(71200400001)(26005)(66476007)(8676002)(86362001)(8936002)(83380400001)(9686003)(41300700001)(52536014)(5660300002)(33656002)(122000001)(478600001)(2906002)(7696005)(38100700002)(55016003)(316002)(110136005)(38070700005)(6506007)(54906003);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?iso-8859-1?Q?ygSgGxECVA5sBTtt3HLAcGNOFfC6DsBHy3HNMi8oODL92alvaQqoEa4XIX?=
 =?iso-8859-1?Q?4OYUtWknnZ5pwpMyClXD+IUUGzoaRO3qv4Op0TxlOWlHbsIuHFJ9M0l3H2?=
 =?iso-8859-1?Q?jo/o0P7vS/5OLgQ+3fMrFPYgPcj5NH3rLsgl1lrnY8evdjUJkr8bopFf7P?=
 =?iso-8859-1?Q?kEG0eQuOURtRENptxlXzW2eiSRfc2hFDiDtljkRGMwaeSO9QFF2Rbqip0T?=
 =?iso-8859-1?Q?xSkjQ9mdfgDrht7yzLmwz8g63ZmKjBBAXld8xJePi00FsWRlVIGO64AVuD?=
 =?iso-8859-1?Q?3IPXdx1nuW6pt/QB92Nhgmk6+1ooYq5SAlhXjoJkEJd+pAIRETtFo1/UmP?=
 =?iso-8859-1?Q?u03GKbZI0B84E+d08Bwj37aI59LJQxxNV+fEBpmKBSusdJJxC1x8B1hm96?=
 =?iso-8859-1?Q?SHajc6Od4JPKInjOneT03pe7h3l+Sf+HwIXlMaRoPYBjPt23ZX5DrTY7dR?=
 =?iso-8859-1?Q?TMPNy5WmXOYU1hVmPGwupAius0BVI0ctd2F5/Rm+w+emORFN/t0uRhjtp0?=
 =?iso-8859-1?Q?0BLCbcaTE0FpvBHf05kJypJeyyH9CO4mbJF/HVr7P6QjZp+uRgkIcc/e1j?=
 =?iso-8859-1?Q?xYaB+Az4qIbhh7CJOGcUpl2APcU9XsHeyEtRx/opOiGAGoq3dXdSZfbeub?=
 =?iso-8859-1?Q?oN/7HTMi7tGbCGnSKEm8Hj9KO/+SbgmqLZchcJFYHG1uy3/I36TXAkAnQb?=
 =?iso-8859-1?Q?wwTH2+fkQFXaV69GFR02bFlcr1tW/01XcQiLpHU5qEbk+sLMDKKmctIP4l?=
 =?iso-8859-1?Q?WiMdCAsShv3b3SgcbO+rXMh0hRtqMXvDf3v31vBB902GEY5UQxsSGl7xrH?=
 =?iso-8859-1?Q?gOAN4Jdt7tVCb/o/dSi56xj1dZFcWtrNPsgfGxX+cIiV1nQbuo/oX/gkds?=
 =?iso-8859-1?Q?n9wJ7kFCLSm+kFCsY8u+GN/G7IsleIgfv557EOxHSdthXVFK62Yuo3Ppll?=
 =?iso-8859-1?Q?+nBhrdbyyT9kN4PI2r6JVONc6MLmdmjdkqJf0aXotKodmbdPwOZe64qRZg?=
 =?iso-8859-1?Q?U3uLs+Mou+s4Aa5/frUCSZg781r5t2AVOnxHEpwkJP/rEKJ7gvC/0MwS1R?=
 =?iso-8859-1?Q?ji2/l2BT23EuCi1UVPTAgF8qWom2RCoQi/MEKraeyppcpyQLLLdRrmDTZq?=
 =?iso-8859-1?Q?XDipsJ7kRyvhysJsqvX/RIVUJjmPyBhgKzLrD4xQl8zu48kx0BLf7IXvgI?=
 =?iso-8859-1?Q?uKd8mA5YrcN26SbgcLKmxXAe6fYeSTBXuhAWwDgx+jN/xVVpHMcLwvZ9lG?=
 =?iso-8859-1?Q?VWYHCq/dcZLSkAOqMwi/Ldxo25jo37cik4jUfoli80+csqzSzp1djd2tcA?=
 =?iso-8859-1?Q?LEuxKQoy/mJAUIvoXhlynOzxsAnjze6P9BgcWGO0SjKSSB1buXn+Ouw2GL?=
 =?iso-8859-1?Q?zceFKJQC8GoNLnaJww+vILrjuCYayh/oHCsTkmkVmGY885xCviFEvqEGen?=
 =?iso-8859-1?Q?91lspPvZLS38drud8EESaKVIDTF7liXBQTaO2gmi8Irt1rSFjBEgBci33O?=
 =?iso-8859-1?Q?e8fafCldwRKdJB0O2aeanz3GWl7cmADc14xYX/6b9RyXpRnDbdNH4I0GD1?=
 =?iso-8859-1?Q?ovrkVyXLbVJhY3Fjw9ROmzPlnUBpIGVcOQtnYoD1pgi+I56TckeABIePKy?=
 =?iso-8859-1?Q?UQC76CETLl/LQpZ2Pru/ZIw86K7fF7pEo8evOGy37FGBRb6UpbsNRrGemT?=
 =?iso-8859-1?Q?HtoOkJ+QE6g4APav3QirM7Ll6pMO6gd7dK5pcJS1+h/j+LaIOQgXJdM4Cg?=
 =?iso-8859-1?Q?UnBUPRtyr4eiV28Zo3anDocjFceZ2KlpWY0QuKL/gP2+AtvTi2+tAT/5Ka?=
 =?iso-8859-1?Q?rvKprAFvgA=3D=3D?=
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: d629f06c-6420-4bea-d38c-08da5458f6f5
X-MS-Exchange-CrossTenant-originalarrivaltime: 22 Jun 2022 14:10:30.3194 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: bemOmkt6hzS/H+sndZe0Ufy/x+RqTtisnyVk0ngPAPbeZRpIZ/NwRjTK2GRWAl+8UFMi6wN0E6Vl2hABih3SKA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN8PR10MB3714
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.517, 18.0.883
 definitions=2022-06-22_04:2022-06-22,
 2022-06-22 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 mlxlogscore=999
 malwarescore=0 adultscore=0 phishscore=0 bulkscore=0 mlxscore=0
 spamscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2204290000 definitions=main-2206220073
X-Proofpoint-GUID: 9ZzPy3QEU5krCkqCTV4at4Ut_EtYoMMt
X-Proofpoint-ORIG-GUID: 9ZzPy3QEU5krCkqCTV4at4Ut_EtYoMMt
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: "46621 <at> debbugs.gnu.org" <46621 <at> debbugs.gnu.org>,
 =?iso-8859-1?Q?Mattias_Engdeg=E5rd?= <mattiase@HIDDEN>,
 =?iso-8859-1?Q?Simen_Heggest=F8yl?= <simenheg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Now I realized what's actually missing is a command `mark-line'.

About a decade ago I added command `mark-line' to my
ad hoc library `misc-cmds.el', with this comment:

  ;; Probably not very useful.

And yeah, IMO it's not very useful (for me, at least).

> After marking the line it could move point to the
> beginning of the next line.

FWIW, my version moves to the end of the marked line.
IOW, it marks only the line, not its trailing newline.

(defun mark-line (&optional arg)
  "Put mark at end of line, point at beginning.
A numeric prefix arg means move forward (backward if negative) that
many lines, thus marking a line other than the one point was
originally in."
  (interactive "P")
  (setq arg  (if arg (prefix-numeric-value arg) 0))
  (let ((inhibit-field-motion  t))
    (forward-line arg)
    (push-mark nil t t)
    (goto-char (line-end-position))))

> Then the key sequence would be `mark-line M-w C-y'.  And the case of
> a missing trai[l]ing newline is very rare, so an extra RET is not a
> problem.
>=20
> > I.e., `duplicate-line' offers both a practical and
> > mental simplification over what we have today,

Bof.

> > but making that command do region stuff doesn't
> > really give anything except muddling up the command semantics.
>=20
> The above suggestion is just an alternative way to do the same.
>=20
> BTW, what do you think about the already suggested leaving point
> at the end of duplicated lines?  This means removing save-excursion
> and adding backward-char to the end of `duplicate-line' to move point
> before the last newline.

IMO, it's fine to add any commands you like,
whatever their general use(ful|less)ness.

But please don't succumb to giving them key
bindings just because some new contributor
requested them.  Even if you feel you want
to encourage new participants, that's not
appropriate.  (My impression is that this is
in fact sometimes a thing with Emacs dev.)

Emacs has gotten along quite well for a very
long time without feeling the crying need
for a `duplicate-line', a `copy-line' or a
`mark-line' command.  Maybe ask yourself why.

Just imagine that some such request doesn't
come from a new contributor - treat it as
you would from a longtime participant.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Jun 2022 07:54:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 03:54:30 2022
Received: from localhost ([127.0.0.1]:33887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3vC2-0008S0-7Q
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 03:54:30 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o3vBz-0008Rk-Ld
 for 46621 <at> debbugs.gnu.org; Wed, 22 Jun 2022 03:54:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Xyy0ygsN9D3n5LCoYr3UVmY+m0pHn+I312Zd0Q+/Bqc=; b=VdY2NzT+XySJnI7ODAT6ZXGyFH
 oxCsrO0i4kknFATxTTYpHWL8l8gp8dH/4PZxbSrnJ47sdAdaKGu8Lkg8QJlEyLS0YTYwHYb0Rna0B
 fz5GCRZqMYNQrc08RDkFfZSg20iJ9YXMRsh5w6VOrFZFl9ipRsg23T98IYot9bIS0iBo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o3vBq-0008JF-5x; Wed, 22 Jun 2022 09:54:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN> <86o7yl9oc4.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVGRkVJRTk5OjSS
 gHVAbJn///+7yQujAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YGFgc1CF9e890AAAG+SURBVDjLdZTr
 odsgDIWFrwdA0AFAzQDhigGcmP1nqh6E+Kat8sOJPg5HYCkAAAFXpErygRho5omoMjI3sqghQQRZ
 Zz8wBlvhAQVcQGUfA+gKgknK0Di2BSK4ZDcAi0BRE0yeF8khblUWQrUy41ixed0T7G8wqBoobwGP
 ccrjKVu9gAqYB4AtKDVM4NYngsY+tgpBAUTf6eRJnqggYkA59MnMZ4tGjio5AXK8mtmiaSGwa1la
 bpK8SSbtG0LSY8t1A+38ji1UAoxYLsstvhOSKm7j7D/AXWy1qtv4KeB7Teax/w1Itwr7hwV3B/jF
 n4D+A3iC/JnXJrIXlZOdklkXydcFsLnMHqXy3UH60tS8xMwxT0BJylXQskoYcz8cyJUYsGTj2sfT
 QZS7amqhxqIbDoq8wPG6Xmy5/ZpAqrK2PR9o5t9dem5WlbwXUPZqjAJoKmbj5oax38XiWODmvSnF
 9tbdwk/uszEeAvJwCwFiQpb+PUI++nALUxDpXo86u/25QPI5S3kOyAXQZT6OOWrVZrlcJuoF/Hn7
 ECywNlvjvCZ+v66/gipzBulfwF7hG2xUNtLSpAfyPdnfiowc/QGESKt1AwBolAAAACV0RVh0ZGF0
 ZTpjcmVhdGUAMjAyMi0wNi0yMlQwNzo1MzowNyswMDowMM44PlIAAAAldEVYdGRhdGU6bW9kaWZ5
 ADIwMjItMDYtMjJUMDc6NTM6MDcrMDA6MDC/ZYbuAAAAAElFTkSuQmCC
X-Now-Playing: Julie Tippetts's _Sunset Glow_: "What Is Living"
Date: Wed, 22 Jun 2022 09:54:16 +0200
In-Reply-To: <86o7yl9oc4.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 22 Jun 2022 10:28:19 +0300")
Message-ID: <878rppuo9j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > BTW,
 what do you think
 about the already suggested leaving point > at the end of duplicated lines?
 This means removing save-excursion > and adding backward-char to the end
 of `duplicate-line' to mov [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Simen =?utf-8?Q?Heggest=C3=B8yl?= <simenheg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> BTW, what do you think about the already suggested leaving point
> at the end of duplicated lines?  This means removing save-excursion
> and adding backward-char to the end of `duplicate-line' to move point
> before the last newline.

It was also suggested to leave point at the start of the duplicated
lines.  I think that makes more sense -- the use case here is to copy
lines so that you can start altering them, after all.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Jun 2022 07:52:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 03:52:11 2022
Received: from localhost ([127.0.0.1]:33875 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3v9n-0008Nn-Av
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 03:52:11 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:33061)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1o3v9l-0008NW-4M
 for 46621 <at> debbugs.gnu.org; Wed, 22 Jun 2022 03:52:09 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 8B546FF80B;
 Wed, 22 Jun 2022 07:52:00 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#46621: Copy line
Organization: LINKOV.NET
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
 <87zgi5uyr1.fsf@HIDDEN>
Date: Wed, 22 Jun 2022 10:28:19 +0300
In-Reply-To: <87zgi5uyr1.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 22 Jun 2022 06:07:46 +0200")
Message-ID: <86o7yl9oc4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 Mattias =?iso-8859-1?Q?Engdeg=E5rd?= <mattiase@HIDDEN>,
 Simen =?iso-8859-1?Q?Heggest=F8yl?= <simenheg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> This would also mean that the problem is a missing command that
>> saves the current line to the kill-ring?  If such a command existed,
>> then duplicating the line would take two keys as well: the first
>> key to save the current line to the kill-ring, and the second key
>> to yank it.
>
> A command to save the current line to the kill ring might be nice (if it
> settles on some definition of "line"), but it doesn't really offer the
> convenience.
>
> To insert a copy of a region: `M-w C-y'.
>
> To insert a copy of the current line with such a command: `NEW-COMMAND
> C-n' (see if you landed on the next line or whether that took you to the
> end of the buffer) `RET'/`C-a' `C-y'.

Now I realized what's actually missing is a command `mark-line'.
After marking the line it could move point to the beginning of the next line.
Then the key sequence would be `mark-line M-w C-y'.  And the case of
a missing training newline is very rare, so an extra RET is not a problem.

> I.e., `duplicate-line' offers both a practical and mental simplification
> over what we have today, but making that command do region stuff doesn't
> really give anything except muddling up the command semantics.

The above suggestion is just an alternative way to do the same.

BTW, what do you think about the already suggested leaving point
at the end of duplicated lines?  This means removing save-excursion
and adding backward-char to the end of `duplicate-line' to move point
before the last newline.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Jun 2022 04:12:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 00:12:00 2022
Received: from localhost ([127.0.0.1]:33674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3rih-0008PM-U8
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 00:12:00 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o3rig-0008P7-9O
 for 46621 <at> debbugs.gnu.org; Wed, 22 Jun 2022 00:11:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=+/wh7MpyejV1vPi0Rg7Lepqgtd1wknivxuiGIUOZ0SU=; b=gkDubIU0w1YKUa2Pnt7woerhaJ
 HvA+aYZ+WMuVCvEux62vDDC9Lwv0YB58JyuwgPAz+UCEvjnQDBDf8hBrGmgtqEp/JzJk+Vf31VsFJ
 IeUjkSZPJnk8eBTPE02UTUiQb5dRnaE/jkp8J3RZ+4qYrDhG9uTbb6CHEHzIv+jgtqEk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o3riW-00061s-HM; Wed, 22 Jun 2022 06:11:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN>
 <99D6E38E-B61A-4044-96B9-5D091D0EFD92@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXaixKce2Cwmkj/
 //99tgMYAAAAAWJLR0QDEQxM8gAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0SU1FB+YGFgQDJObc
 sBIAAAEASURBVCjPrdKxTsMwEAbgS9RISacMZGcAhj5Fli5MEeK3iCeElEr1UwSk7l2MgAkGo/qe
 kovtBCTW3nSfdL47JyY6exRD3835JeUjlQk1FR2tFlTtAroZ87c5z9l4HmO+Kt6123WhQ0kbVpZP
 qYw9YDhhtwf2fj4/laUO0ky7BVgb79XLlGcZ+HFt0cade30agC7BOAD3CRZThA0KbTHMdV/KYjsD
 CpA8IEOKB0H1H9qFMkEPSJMJBZRT06TbAO0VC64iWPGrw1FwHSBXjzCs+cOjjvCav90vZAqeBFYG
 yt5tc4g4aKvGpgnorbK6tc2f31eF7/5c0ucF0V195sfxAyqmZ7+Lo700AAAAWmVYSWZNTQAqAAAA
 CAAFARIAAwAAAAEAAQAAARoABQAAAAEAAABKARsABQAAAAEAAABSASgAAwAAAAEAAgAAAhMAAwAA
 AAEAAQAAAAAAAAAAAEgAAAABAAAASAAAAAEfUvc0AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA2
 LTIyVDA0OjAzOjM1KzAwOjAwG7XoFAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNi0yMlQwNDow
 MzozNSswMDowMGroUKgAAAAXdEVYdGV4aWY6WUNiQ3JQb3NpdGlvbmluZwAxrA+AYwAAAABJRU5E
 rkJggg==
X-Now-Playing: Mice Parade's =?utf-8?Q?=5FLapap=E1=BB=8D=5F=3A?= "Eisa Dancers"
Date: Wed, 22 Jun 2022 06:11:46 +0200
In-Reply-To: <99D6E38E-B61A-4044-96B9-5D091D0EFD92@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Tue, 21 Jun 2022 13:13:42
 +0200")
Message-ID: <87v8stuykd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Mattias Engdegård <mattiase@HIDDEN> writes: > There does
    not seem to be any significant benefit from omitting the > region-sensitive
    behaviour. The benefit of adding the region sensitive behaviour seems even
    slighter, and the problem is, as I said, that it subverts the (currently)
    clear semantics the new command has. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 Simen =?utf-8?Q?Heggest=C3=B8yl?= <simenheg@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> There does not seem to be any significant benefit from omitting the
> region-sensitive behaviour.

The benefit of adding the region sensitive behaviour seems even
slighter, and the problem is, as I said, that it subverts the
(currently) clear semantics the new command has.

For instance, if you mark one and a half line, and say `C-u 5 M-x
duplicate-line', you'll get something that nobody wants -- ever.  There
might be some utility if the region version also worked on lines -- that
is, it inserts that it only inserts new complete lines.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Jun 2022 04:08:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 00:08:03 2022
Received: from localhost ([127.0.0.1]:33669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3ret-0008JG-Cx
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 00:08:03 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o3ren-0008If-Sx
 for 46621 <at> debbugs.gnu.org; Wed, 22 Jun 2022 00:08:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=aEHhHgRIkLV0sStc4LWo500M6D4BDvAkDthJR4oR/30=; b=cgEMoygTrGGqcpVC0565fXNsqU
 eBrN+0aN3IOPIkwVCs330OGbgVt8+02rcgiVuuNr16HqZXGD9eVv++DRKSv++ClLsGQrOew3wBQ3o
 MNqKLMeqw1QypMp4eryiykVxSILC3Tz+EKSxjBip2/J4JZSndmYefXRgdsTvdeUnn0so=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o3red-0005tr-EW; Wed, 22 Jun 2022 06:07:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN> <861qvikk4l.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXaixKce2Cwmkj/
 //99tgMYAAAAAWJLR0QDEQxM8gAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0SU1FB+YGFgQDJObc
 sBIAAAEASURBVCjPrdKxTsMwEAbgS9RISacMZGcAhj5Fli5MEeK3iCeElEr1UwSk7l2MgAkGo/qe
 kovtBCTW3nSfdL47JyY6exRD3835JeUjlQk1FR2tFlTtAroZ87c5z9l4HmO+Kt6123WhQ0kbVpZP
 qYw9YDhhtwf2fj4/laUO0ky7BVgb79XLlGcZ+HFt0cade30agC7BOAD3CRZThA0KbTHMdV/KYjsD
 CpA8IEOKB0H1H9qFMkEPSJMJBZRT06TbAO0VC64iWPGrw1FwHSBXjzCs+cOjjvCav90vZAqeBFYG
 yt5tc4g4aKvGpgnorbK6tc2f31eF7/5c0ucF0V195sfxAyqmZ7+Lo700AAAAWmVYSWZNTQAqAAAA
 CAAFARIAAwAAAAEAAQAAARoABQAAAAEAAABKARsABQAAAAEAAABSASgAAwAAAAEAAgAAAhMAAwAA
 AAEAAQAAAAAAAAAAAEgAAAABAAAASAAAAAEfUvc0AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA2
 LTIyVDA0OjAzOjM1KzAwOjAwG7XoFAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNi0yMlQwNDow
 MzozNSswMDowMGroUKgAAAAXdEVYdGV4aWY6WUNiQ3JQb3NpdGlvbmluZwAxrA+AYwAAAABJRU5E
 rkJggg==
X-Now-Playing: Mice Parade's =?utf-8?Q?=5FLapap=E1=BB=8D=5F=3A?= "Eisa Dancers"
Date: Wed, 22 Jun 2022 06:07:46 +0200
In-Reply-To: <861qvikk4l.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 21 Jun 2022 20:41:30 +0300")
Message-ID: <87zgi5uyr1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > This would also mean
 that the problem is a missing command that > saves the current line to the
 kill-ring? If such a command existed, > then duplicating the line would take
 two keys as well: the fir [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Simen =?utf-8?Q?Heggest=C3=B8yl?= <simenheg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> This would also mean that the problem is a missing command that
> saves the current line to the kill-ring?  If such a command existed,
> then duplicating the line would take two keys as well: the first
> key to save the current line to the kill-ring, and the second key
> to yank it.

A command to save the current line to the kill ring might be nice (if it
settles on some definition of "line"), but it doesn't really offer the
convenience.

To insert a copy of a region: `M-w C-y'.

To insert a copy of the current line with such a command: `NEW-COMMAND
C-n' (see if you landed on the next line or whether that took you to the
end of the buffer) `RET'/`C-a' `C-y'.

I.e., `duplicate-line' offers both a practical and mental simplification
over what we have today, but making that command do region stuff doesn't
really give anything except muddling up the command semantics.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Jun 2022 18:10:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 21 14:10:09 2022
Received: from localhost ([127.0.0.1]:33227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3iKG-0006qY-Vi
	for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 14:10:09 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:42695)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1o3iKD-0006pu-Jo
 for 46621 <at> debbugs.gnu.org; Tue, 21 Jun 2022 14:10:08 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 49C201BF206;
 Tue, 21 Jun 2022 18:09:56 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#46621: Copy line
Organization: LINKOV.NET
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
 <87bkum1eyc.fsf@HIDDEN>
Date: Tue, 21 Jun 2022 20:41:30 +0300
In-Reply-To: <87bkum1eyc.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 21 Jun 2022 12:35:55 +0200")
Message-ID: <861qvikk4l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 Mattias =?iso-8859-1?Q?Engdeg=E5rd?= <mattiase@HIDDEN>,
 Simen =?iso-8859-1?Q?Heggest=F8yl?= <simenheg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I found the concept of "an easy command to duplicate the current line a
> number of times" to be slightly useful in general, but I'm not sure
> about whether extending it to regions makes much sense.  If you have a
> region already, then `M-w C-y' will be more convenient to say, anyway.

This would also mean that the problem is a missing command that
saves the current line to the kill-ring?  If such a command existed,
then duplicating the line would take two keys as well: the first
key to save the current line to the kill-ring, and the second key
to yank it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Jun 2022 11:13:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 21 07:13:50 2022
Received: from localhost ([127.0.0.1]:59240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3bpO-000396-05
	for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 07:13:50 -0400
Received: from mail226c50.megamailservers.eu ([91.136.10.236]:52880
 helo=mail36c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1o3bpM-00038x-3S
 for 46621 <at> debbugs.gnu.org; Tue, 21 Jun 2022 07:13:49 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1655810025;
 bh=vOUoFr3rb9ZLgrSuuZIFJuJ0k2qFlDUXCdI+jI6HZI4=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=UR2Pwi8U3rswxCVc7bBCDCot5BEAKS1xAK9s4dU13hYO256ikc+PgJ75WwGzArs79
 5O9q9z2+iDiSYtRwmLD6scsNF8kdgiI0g3PBt5mSMCsfwI7ckLSewP41S56mqyOXDb
 j93pX/zM6h4yH94Vo3loalT6CWeV5GHVs6JgRbH0=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail36c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 25LBDhFs118483; 
 Tue, 21 Jun 2022 11:13:44 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#46621: Copy line
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <87bkum1eyc.fsf@HIDDEN>
Date: Tue, 21 Jun 2022 13:13:42 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <99D6E38E-B61A-4044-96B9-5D091D0EFD92@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN> <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN> <87bkum1eyc.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A782F28.62B1A7E9.009B, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: 21 juni 2022 kl. 12.35 skrev Lars Ingebrigtsen
 <larsi@HIDDEN>:
 > If you have a region already, then `M-w C-y' will be more convenient to
 say Two commands are not necessarily more convenient than one command. There
 is also the advantage of not disturbing the kill ring. (And for rectangular
 regions the benefit of a duplication command is eve [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 =?utf-8?Q?Simen_Heggest=C3=B8yl?= <simenheg@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

21 juni 2022 kl. 12.35 skrev Lars Ingebrigtsen <larsi@HIDDEN>:

> If you have a region already, then `M-w C-y' will be more convenient =
to say

Two commands are not necessarily more convenient than one command.
There is also the advantage of not disturbing the kill ring.
(And for rectangular regions the benefit of a duplication command is =
even greater.)

There does not seem to be any significant benefit from omitting the =
region-sensitive behaviour.
We could add `duplicate-dwim` as a separate command but then there would =
be no reason to use the neutered variant, would there?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Jun 2022 10:36:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 21 06:36:09 2022
Received: from localhost ([127.0.0.1]:59185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3bEv-0008NJ-C6
	for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 06:36:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43408)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o3bEs-0008Mm-SJ
 for 46621 <at> debbugs.gnu.org; Tue, 21 Jun 2022 06:36:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=+gL+DYsUczltebikxKfCgzoAdpNbuqRwiCkWSRmxAHg=; b=tXpeayQ8yCBUtjGQfbtDY8A/c1
 e6OuvXoBoor0ZF2UMCBKA8U038UKKLEnpYjzLoSdMZ71aCjhXeqPK+b0BoDUQUmesWjRhGBdq6UeT
 c+QV3oU9LLBER+mppIrrprTNHi0ASqkgzPFOWRDNWapOSUmd6JR9ufknKVx6hWWjr4og=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o3bEi-00047r-OL; Tue, 21 Jun 2022 12:35:59 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
 <871qvkvft6.fsf@HIDDEN>
 <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVTKi2kKjm6QkzJ
 jJb///9f8wvTAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YGFQoPDon5tCwAAAG6SURBVDjLbZTtucMg
 CIWJWUDMAgoLpLL/bveAkrb3aX6kxpePI0KJ8mFmoiY9v+t7vxKLjjeAIR3sgJua3m9LXm8+sD9V
 NmhuGg7MaiacoUQG76f5fv0Bps3xC1wdagcf/8EQKioqIcbBHJ6/iciFHOZ2FfIdyAIvM2QJAJUA
 4kBEAeCyQ9cNPFKCIADi3v79ujyWLOSqZIPJ8JjbBUCncACpZOngyT+eWh6PbzBI12IBbq5pBGiS
 sQivtYdLqVQkXQDCfhe1fHjE4fKmP8A6Q/0GHioiPaC9QSwzxSN+n2NsjwJ9nMXaZ077EVqEv4Av
 MonsUEGO0JnVab7q4dEQp2YveXO2uWQxHY0/gdmQlp18JBBCKxs/J4HmBZDD7Lqz/1DUkaEA7uj9
 U8o8ogG8iFwRyfpBp00qVnpL4FNhN3XBKCnZjeZYoAnmqHugG0o0hod32c2gSRGmyPTWWslxPDVP
 PUs3hdEcW5VOna7/Ll3d+7Wami+d5lN/evJOu62Q4zKZfuyze32ZnpK0aTHznYo3A0XDYKJaw34U
 xPCDP4E1OH4JuuoXobiuzHE7T10BtD8gpud52kjwB71NYRuukxQhAAAAJXRFWHRkYXRlOmNyZWF0
 ZQAyMDIyLTA2LTIxVDEwOjE1OjE0KzAwOjAwRwl0SAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0w
 Ni0yMVQxMDoxNToxNCswMDowMDZUzPQAAAAASUVORK5CYII=
X-Now-Playing: Depeche Mode's _Speak & Spell_: "Just Can't Get Enough"
Date: Tue, 21 Jun 2022 12:35:55 +0200
In-Reply-To: <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Mon, 20 Jun 2022 11:26:18
 +0200")
Message-ID: <87bkum1eyc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Mattias Engdegård <mattiase@HIDDEN> writes: >> It's edgy
    compared to what it's supposed to be doing -- duplicating >> lines. > > Well,
    now it does more. Do you mean that you prefer it wouldn't, or > that we change
    the name? > I have no strong o [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 Simen =?utf-8?Q?Heggest=C3=B8yl?= <simenheg@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

>> It's edgy compared to what it's supposed to be doing -- duplicating
>> lines.
>
> Well, now it does more. Do you mean that you prefer it wouldn't, or
> that we change the name?
> I have no strong opinion about the name but it would be a shame to
> make the command less useful.

I found the concept of "an easy command to duplicate the current line a
number of times" to be slightly useful in general, but I'm not sure
about whether extending it to regions makes much sense.  If you have a
region already, then `M-w C-y' will be more convenient to say, anyway.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 20 Jun 2022 18:29:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 20 14:29:07 2022
Received: from localhost ([127.0.0.1]:58411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3M95-0002r5-5u
	for submit <at> debbugs.gnu.org; Mon, 20 Jun 2022 14:29:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1o3M93-0002qc-UI
 for 46621 <at> debbugs.gnu.org; Mon, 20 Jun 2022 14:29:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56736)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rms@HIDDEN>)
 id 1o3M8y-0007H6-1a; Mon, 20 Jun 2022 14:29:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=Date:References:Subject:In-Reply-To:To:From:
 mime-version; bh=z/ddm8gQFatm08ZPr/hDL3nO8cwXR9N3IKfYqXdo56E=; b=qdic9Ba8oXzf
 OqpRMrkVucbDkupjYFomzgtIN/jStaGknk6ZTSxTiyMXSSo+wp4uoE9mpx3KuagQzGuJoHTZZKx+c
 mmnNt4LWFxGJzvc1v4QuPcPW+zFsvoV5pP3QVWT7cabBVHcYTgY4W5iEZKhsHRqicVfeid3R2r+Y7
 h9hyz8AuPKZSuQyjXV3Rg56GZSBbvCz1KxpWFHteivwtkYbmdBuWQCFHKnviM2aUBvvzG7Rg8cEoK
 tdTXsugaRcn684J3PYUu8Z7Egj8ky13C/cYWTkIkheM9pQNthlhp4SLF/w0JzvexZ/esJzrMKU0bm
 5jxYdIfi0WrRvBawPjnz7Q==;
Received: from rms by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1o3M8w-0003e8-Ji; Mon, 20 Jun 2022 14:28:59 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87o7yr42k1.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 17 Jun 2022 19:34:06 +0200)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87o7yr42k1.fsf@HIDDEN>
Message-Id: <E1o3M8w-0003e8-Ji@HIDDEN>
Date: Mon, 20 Jun 2022 14:28:58 -0400
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Why there is still no such fundamental command as duplicating the current
  > > line?  This command slightly extends the existing copy-from-above-command:

there is nothng "fundamenal" about that operation.  It's one special case
of a general operation.  The traditional way to do it in Emacs is

  C-p C-a C-k C-k C-y C-y.

Every user who can do basic editing in Emacs knows how to do this,
and givem how (n)frequent this operation is, that's short enough.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 20 Jun 2022 09:26:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 20 05:26:30 2022
Received: from localhost ([127.0.0.1]:54361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3Dfy-0004J8-Gr
	for submit <at> debbugs.gnu.org; Mon, 20 Jun 2022 05:26:30 -0400
Received: from mail1437c50.megamailservers.eu ([91.136.14.37]:46026
 helo=mail263c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1o3Dfv-0004Iq-Tk
 for 46621 <at> debbugs.gnu.org; Mon, 20 Jun 2022 05:26:28 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1655717181;
 bh=RbLBSMyaoxvrY693hQZpj1YecXwPHcdgy9ETBwS0JSo=;
 h=From:Subject:Date:In-Reply-To:Cc:To:References:From;
 b=dVFcUTp3CwNsmyuhKYv2lteAtWKJtCHNQTULbZt2/Kyy3WKUSwYcBI2sSYWsfxauo
 /F/blSG+JbHQIcCvTFZ4fAXltXpgWkKk73Vuck8kHrBQQHhNRLW8WgrQWJeiEmFFFL
 3PHrvUOEGANjOnxr8fOeBI+byt/B3kkHHO8Fb0kA=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail263c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 25K9QIms095627; 
 Mon, 20 Jun 2022 09:26:20 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Message-Id: <181B4CC3-B934-45AE-A7E8-9AF2B70C302E@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_FD6963D3-E822-4B76-82F1-C13517A0EE3B"
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#46621: Copy line
Date: Mon, 20 Jun 2022 11:26:18 +0200
In-Reply-To: <871qvkvft6.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN> <871qvkvft6.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A782F15.62B03D3D.0031, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: 19 juni 2022 kl. 17.22 skrev Lars Ingebrigtsen
 <larsi@HIDDEN>:
 > No, it's consistent -- it always creates a new line. Either behaviour can
 be seen as consistent. I suppose it's a matter of what behaviour we find
 more convenient. It's expected to be a rare case and I have no strong opinion
 about it. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 =?utf-8?Q?Simen_Heggest=C3=B8yl?= <simenheg@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--Apple-Mail=_FD6963D3-E822-4B76-82F1-C13517A0EE3B
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

19 juni 2022 kl. 17.22 skrev Lars Ingebrigtsen <larsi@HIDDEN>:

> No, it's consistent -- it always creates a new line.

Either behaviour can be seen as consistent. I suppose it's a matter of =
what behaviour we find more convenient.
It's expected to be a rare case and I have no strong opinion about it.

> It's edgy compared to what it's supposed to be doing -- duplicating
> lines.

Well, now it does more. Do you mean that you prefer it wouldn't, or that =
we change the name?
I have no strong opinion about the name but it would be a shame to make =
the command less useful.

Here is an updated patch that fixes a bug in the original code (would =
crash when called without an argument) and adds tests.


--Apple-Mail=_FD6963D3-E822-4B76-82F1-C13517A0EE3B
Content-Disposition: attachment;
	filename=0001-Make-duplicate-line-work-on-regions-bug-46621.patch
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="0001-Make-duplicate-line-work-on-regions-bug-46621.patch"
Content-Transfer-Encoding: quoted-printable

=46rom=208f210a9ee0f61c22a2b1996b1b61c7242e2372dc=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20=3D?UTF-8?q?Mattias=3D20Engdeg=3DC3=3DA5rd?=3D=20=
<mattiase@HIDDEN>=0ADate:=20Mon,=2020=20Jun=202022=2011:16:26=20+0200=0A=
Subject:=20[PATCH]=20Make=20duplicate-line=20work=20on=20regions=20=
(bug#46621)=0A=0AWith=20an=20active=20region,=20duplicate=20that=20=
region=20instead=20of=20the=20current=0Aline.=20=20Rectangular=20regions=20=
are=20duplicated=20on=20the=20right-hand=20side.=0A=0A*=20lisp/rect.el=20=
(rectangle--duplicate-right):=20New.=0A*=20lisp/misc.el=20=
(duplicate-line):=20Work=20on=20regions.=20=20Allow=20calls=20without=0A=
an=20argument.=0A*=20test/lisp/misc-tests.el=20(misc--duplicate-line):=20=
New=20test.=0A---=0A=20lisp/misc.el=20=20=20=20=20=20=20=20=20=20=20=20|=20=
48=20+++++++++++++++++++++++++++++++++++------=0A=20lisp/rect.el=20=20=20=
=20=20=20=20=20=20=20=20=20|=2021=20++++++++++++++++++=0A=20=
test/lisp/misc-tests.el=20|=2035=20++++++++++++++++++++++++++++++=0A=203=20=
files=20changed,=2097=20insertions(+),=207=20deletions(-)=0A=0Adiff=20=
--git=20a/lisp/misc.el=20b/lisp/misc.el=0Aindex=203fb30e5372..906d6c2012=20=
100644=0A---=20a/lisp/misc.el=0A+++=20b/lisp/misc.el=0A@@=20-63,19=20=
+63,53=20@@=20copy-from-above-command=0A=20=09=09=09=09=20(+=20n=20=
(point)))))))=0A=20=20=20=20=20(insert=20string)))=0A=20=0A=
+(declare-function=20rectangle--duplicate-right=20"rect"=20(n))=0A+=0A=
+;;=20`duplicate-line'=20preserves=20an=20active=20region=20and=20=
changes=20the=20buffer=0A+;;=20outside=20of=20it:=20disregard=20the=20=
region=20when=20immediately=20undoing=20the=0A+;;=20actions=20of=20this=20=
command.=0A+(put=20'duplicate-line=20'undo-inhibit-region=20t)=0A+=0A=20=
;;;###autoload=0A=20(defun=20duplicate-line=20(&optional=20n)=0A=20=20=20=
"Duplicate=20the=20current=20line=20N=20times.=0A+If=20the=20region=20is=20=
inactive,=20duplicate=20the=20current=20line.=0A+Otherwise,=20duplicate=20=
the=20region's=20contents.=20=20The=20region=20remains=0A+active=20=
afterwards.=0A+If=20the=20region=20is=20rectangular,=20duplicate=20on=20=
its=20right-hand=20side.=0A=20Interactively,=20N=20is=20the=20prefix=20=
numeric=20argument,=20and=20defaults=20to=201.=0A=20Also=20see=20the=20=
`copy-from-above-command'=20command."=0A=20=20=20(interactive=20"p")=0A-=20=
=20(let=20((line=20(buffer-substring=20(line-beginning-position)=20=
(line-end-position))))=0A-=20=20=20=20(save-excursion=0A-=20=20=20=20=20=20=
(forward-line=201)=0A-=20=20=20=20=20=20(unless=20(bolp)=0A-=20=20=20=20=20=
=20=20=20(insert=20"\n"))=0A-=20=20=20=20=20=20(dotimes=20(_=20n)=0A-=20=20=
=20=20=20=20=20=20(insert=20line=20"\n")))))=0A+=20=20(unless=20n=0A+=20=20=
=20=20(setq=20n=201))=0A+=20=20(cond=0A+=20=20=20;;=20Duplicate=20=
rectangle.=0A+=20=20=20((bound-and-true-p=20rectangle-mark-mode)=0A+=20=20=
=20=20(require=20'rect)=0A+=20=20=20=20(rectangle--duplicate-right=20n)=0A=
+=20=20=20=20(setq=20deactivate-mark=20nil))=0A+=0A+=20=20=20;;=20=
Duplicate=20(contiguous)=20region.=0A+=20=20=20((use-region-p)=0A+=20=20=20=
=20(let*=20((beg=20(region-beginning))=0A+=20=20=20=20=20=20=20=20=20=20=20=
(end=20(region-end))=0A+=20=20=20=20=20=20=20=20=20=20=20(text=20=
(buffer-substring=20beg=20end)))=0A+=20=20=20=20=20=20(save-excursion=0A=
+=20=20=20=20=20=20=20=20(goto-char=20end)=0A+=20=20=20=20=20=20=20=20=
(dotimes=20(_=20n)=0A+=20=20=20=20=20=20=20=20=20=20(insert=20text))))=0A=
+=20=20=20=20(setq=20deactivate-mark=20nil))=0A+=0A+=20=20=20;;=20=
Duplicate=20line.=0A+=20=20=20(t=0A+=20=20=20=20(let=20((line=20=
(buffer-substring=20(line-beginning-position)=0A+=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20(line-end-position))))=0A+=20=20=20=20=20=20(save-excursion=0A+=20=20=20=
=20=20=20=20=20(forward-line=201)=0A+=20=20=20=20=20=20=20=20(unless=20=
(bolp)=0A+=20=20=20=20=20=20=20=20=20=20(insert=20"\n"))=0A+=20=20=20=20=20=
=20=20=20(dotimes=20(_=20n)=0A+=20=20=20=20=20=20=20=20=20=20(insert=20=
line=20"\n")))))))=0A=20=0A=20;;=20Variation=20of=20`zap-to-char'.=0A=20=0A=
diff=20--git=20a/lisp/rect.el=20b/lisp/rect.el=0Aindex=20=
e717d2ac7e..c41a545e85=20100644=0A---=20a/lisp/rect.el=0A+++=20=
b/lisp/rect.el=0A@@=20-931,6=20+931,27=20@@=20=
rectangle--unhighlight-for-redisplay=0A=20=20=20=20=20(mapc=20=
#'delete-overlay=20(nthcdr=205=20rol))=0A=20=20=20=20=20(setcar=20(cdr=20=
rol)=20nil)))=0A=20=0A+(defun=20rectangle--duplicate-right=20(n)=0A+=20=20=
"Duplicate=20the=20rectangular=20region=20N=20times=20on=20the=20=
right-hand=20side."=0A+=20=20(let=20((cols=20(rectangle--pos-cols=20=
(point)=20(mark))))=0A+=20=20=20=20(apply-on-rectangle=0A+=20=20=20=20=20=
(lambda=20(startcol=20endcol)=0A+=20=20=20=20=20=20=20(let=20((lines=20=
(list=20nil)))=0A+=20=20=20=20=20=20=20=20=20(extract-rectangle-line=20=
startcol=20endcol=20lines)=0A+=20=20=20=20=20=20=20=20=20(move-to-column=20=
endcol=20t)=0A+=20=20=20=20=20=20=20=20=20(dotimes=20(_=20n)=0A+=20=20=20=
=20=20=20=20=20=20=20=20(insert=20(cadr=20lines)))))=0A+=20=20=20=20=20=
(region-beginning)=20(region-end))=0A+=20=20=20=20;;=20Recompute=20the=20=
rectangle=20state;=20no=20crutches=20should=20be=20needed=20now.=0A+=20=20=
=20=20(let=20((p=20(point))=0A+=20=20=20=20=20=20=20=20=20=20(m=20=
(mark)))=0A+=20=20=20=20=20=20(rectangle--reset-crutches)=0A+=20=20=20=20=
=20=20(goto-char=20m)=0A+=20=20=20=20=20=20(move-to-column=20(cdr=20=
cols)=20t)=0A+=20=20=20=20=20=20(set-mark=20(point))=0A+=20=20=20=20=20=20=
(goto-char=20p)=0A+=20=20=20=20=20=20(move-to-column=20(car=20cols)=20=
t))))=0A+=0A=20(provide=20'rect)=0A=20=0A=20;;;=20rect.el=20ends=20here=0A=
diff=20--git=20a/test/lisp/misc-tests.el=20b/test/lisp/misc-tests.el=0A=
index=20236223ef49..2036488f13=20100644=0A---=20=
a/test/lisp/misc-tests.el=0A+++=20b/test/lisp/misc-tests.el=0A@@=20-80,5=20=
+80,40=20@@=20misc-test-backward-to-word=0A=20=20=20=20=20=
(backward-to-word=203)=0A=20=20=20=20=20(should=20(equal=20(point)=20=
1))))=0A=20=0A+(ert-deftest=20misc--duplicate-line=20()=0A+=20=20;;=20=
Duplicate=20a=20line=20(twice).=0A+=20=20(with-temp-buffer=0A+=20=20=20=20=
(insert=20"abc\ndefg\nh\n")=0A+=20=20=20=20(goto-char=207)=0A+=20=20=20=20=
(duplicate-line=202)=0A+=20=20=20=20(should=20(equal=20(buffer-string)=20=
"abc\ndefg\ndefg\ndefg\nh\n"))=0A+=20=20=20=20(should=20(equal=20(point)=20=
7)))=0A+=20=20;;=20Duplicate=20a=20non-terminated=20line.=0A+=20=20=
(with-temp-buffer=0A+=20=20=20=20(insert=20"abc")=0A+=20=20=20=20=
(goto-char=202)=0A+=20=20=20=20(duplicate-line)=0A+=20=20=20=20(should=20=
(equal=20(buffer-string)=20"abc\nabc\n"))=0A+=20=20=20=20(should=20=
(equal=20(point)=202)))=0A+=20=20;;=20Duplicate=20a=20region.=0A+=20=20=
(with-temp-buffer=0A+=20=20=20=20(insert=20"abc\ndef\n")=0A+=20=20=20=20=
(set-mark=202)=0A+=20=20=20=20(goto-char=207)=0A+=20=20=20=20(should=20=
(use-region-p))=0A+=20=20=20=20(duplicate-line)=0A+=20=20=20=20(should=20=
(equal=20(buffer-string)=20"abc\ndebc\ndef\n"))=0A+=20=20=20=20(should=20=
(equal=20(point)=207)))=0A+=20=20;;=20Duplicate=20a=20rectangular=20=
region.=0A+=20=20(with-temp-buffer=0A+=20=20=20=20(insert=20=
"x\n>a\n>bcde\n>fg\nyz\n")=0A+=20=20=20=20(goto-char=204)=0A+=20=20=20=20=
(rectangle-mark-mode)=0A+=20=20=20=20(goto-char=2015)=0A+=20=20=20=20=
(rectangle-forward-char=201)=0A+=20=20=20=20(duplicate-line)=0A+=20=20=20=
=20(should=20(equal=20(buffer-string)=20"x\n>a=20=20a=20=20=
\n>bcdbcde\n>fg=20fg=20\nyz\n"))=0A+=20=20=20=20(should=20(equal=20=
(point)=2024))))=0A+=0A=20(provide=20'misc-tests)=0A=20;;;=20=
misc-tests.el=20ends=20here=0A--=20=0A2.32.0=20(Apple=20Git-132)=0A=0A=

--Apple-Mail=_FD6963D3-E822-4B76-82F1-C13517A0EE3B--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 19 Jun 2022 15:22:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 11:22:43 2022
Received: from localhost ([127.0.0.1]:52865 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2wl9-0000ze-0e
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 11:22:43 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2wl6-0000zL-82
 for 46621 <at> debbugs.gnu.org; Sun, 19 Jun 2022 11:22:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=zOi8RN6xFGYzMsW5zckjU38QrqixYuZFB1NFKOIzBsM=; b=DGDUzpCrIHYXZ4uA6/U+60FWMe
 ysh8VaPCj3IhHMDoGRaBqFBm71kEg1WsM1NWpe+U5M3xHB7r10z62AfU4pYN5l/GVbW2vAKj64uFT
 C4icaoztABTCz0O5ijPPSHOuXqUt0V3gaBs5CiwnaawSyyDD5Tu6L9Id8wndKSmQWRyo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2wkv-0007Xe-LG; Sun, 19 Jun 2022 17:22:32 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
 <87o7yoyj38.fsf@HIDDEN>
 <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
Date: Sun, 19 Jun 2022 17:22:29 +0200
In-Reply-To: <449B2624-107D-4083-AE74-989F39C93936@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Sun, 19 Jun 2022 17:20:26
 +0200")
Message-ID: <871qvkvft6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Mattias Engdegård <mattiase@HIDDEN> writes: > Actually shouldn't
    duplicating such a line add a newline + a copy of > the current line with
    no terminal newline? Right now the copy is > always newline-terminated even
    if the original wasn't, which [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 Simen =?utf-8?Q?Heggest=C3=B8yl?= <simenheg@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> Actually shouldn't duplicating such a line add a newline + a copy of
> the current line with no terminal newline? Right now the copy is
> always newline-terminated even if the original wasn't, which seems a
> bit inconsistent. What do you think?

No, it's consistent -- it always creates a new line.

>> When dealing with regions, it's not quite
>> clear what the semantics should be in those corner cases (i.e., regions
>> that doesn't end with a newline)...
>
> Not much of a edge case, is it? If you select "bon" and duplicate you
> end up with "bonbon", as promised.

It's edgy compared to what it's supposed to be doing -- duplicating
lines.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 19 Jun 2022 15:20:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 11:20:47 2022
Received: from localhost ([127.0.0.1]:52861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2wjG-0000wL-UX
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 11:20:47 -0400
Received: from mail1452c50.megamailservers.eu ([91.136.14.52]:60012
 helo=mail266c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1o2wj5-0000vy-HV
 for 46621 <at> debbugs.gnu.org; Sun, 19 Jun 2022 11:20:45 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1655652028;
 bh=JtrHwnG5vamkbRLdPsB+BCbu5+C5Hhx5zMBYZw603s8=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=lxNvQ3NJm5N3XIgOUDxPNFQKIwQIhu/d9FXMPvtpDRFwCFFHV1sIODSi6f3CRg8sF
 eDn2CajTIsxs3OixuUPnGffAz4njAqtVIn68TeTc5Np3rHsXrpx+O/JCyrD0ypTnzd
 YNAuEEYYrXrCLNP5ujQ7fYQAzpgmQb0yrE1mr2Vk=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail266c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 25JFKQRD115406; 
 Sun, 19 Jun 2022 15:20:27 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#46621: Copy line
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <87o7yoyj38.fsf@HIDDEN>
Date: Sun, 19 Jun 2022 17:20:26 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <449B2624-107D-4083-AE74-989F39C93936@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> <87o7yoyj38.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A782F24.62AF3EBC.0086, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: 19 juni 2022 kl. 13.43 skrev Lars Ingebrigtsen
 <larsi@HIDDEN>:
 > Simen proposed something quite similar (added to the CCs), and my only
 > objection was that the semantics of the simpler command is quite > clear
 -- it always creates a new line, even if we're at a [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 =?utf-8?Q?Simen_Heggest=C3=B8yl?= <simenheg@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

19 juni 2022 kl. 13.43 skrev Lars Ingebrigtsen <larsi@HIDDEN>:

> Simen proposed something quite similar (added to the CCs), and my only
> objection was that the semantics of the simpler command is quite
> clear -- it always creates a new line, even if we're at a final line =
in
> a buffer without a newline.

Actually shouldn't duplicating such a line add a newline + a copy of the =
current line with no terminal newline? Right now the copy is always =
newline-terminated even if the original wasn't, which seems a bit =
inconsistent. What do you think?

> When dealing with regions, it's not quite
> clear what the semantics should be in those corner cases (i.e., =
regions
> that doesn't end with a newline)...

Not much of a edge case, is it? If you select "bon" and duplicate you =
end up with "bonbon", as promised.

Region-sensitive commands are useful since they multiplex functionality =
on the same keys without added cognitive load. (It's high time we =
rebound M-u to upcase-dwim etc.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 19 Jun 2022 15:02:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 11:02:58 2022
Received: from localhost ([127.0.0.1]:52850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2wS2-0000Un-Bb
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 11:02:58 -0400
Received: from mail18c50.megamailservers.eu ([91.136.10.28]:36740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1o2wS0-0000Ud-8t
 for 46621 <at> debbugs.gnu.org; Sun, 19 Jun 2022 11:02:57 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1655650974;
 bh=ZqTfal7DUV4PTGXp5ZKHby1/4wsDhwiyRjkox/RoWIE=;
 h=From:Subject:Date:In-Reply-To:Cc:To:References:From;
 b=A65hCLKkY1HHMOoAqN+Ouz6ZFbmFsO4tNujMaEZeiWuaFeagWFybvY9iThKPjfhw4
 kVWxc2PJEbPvOCsSmg29rt2g/nEKMDDUvUzoJyWcNT0ISIf97kneofSP4BOBwXXrWB
 16UqDx5zu1di+Qv+OGRSBZFrludwnCvXFweLPJlM=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail18c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 25JF2qpA051334; 
 Sun, 19 Jun 2022 15:02:53 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Message-Id: <8C73661C-566D-42DB-A6E4-F6036C5E4175@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_97637E62-26D4-4013-A286-B8C1E18D0D7A"
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#46621: Copy line
Date: Sun, 19 Jun 2022 17:02:51 +0200
In-Reply-To: <8335g1onbr.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> <8335g1onbr.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A782F20.62AF3A9E.0053, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--Apple-Mail=_97637E62-26D4-4013-A286-B8C1E18D0D7A
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

18 juni 2022 kl. 20.09 skrev Eli Zaretskii <eliz@HIDDEN>:

> There's no need to include "or region" in the command's name and doc
> string's first line.

Changed.

> Passive tense alert!
> Another one!

Both changed.
Thanks for the comments!

The attached patch now handles rectangle duplication better. =
(Rectangular regions are nice to use but can be surprisingly unpleasant =
to program with.)
That code was moved to rect.el where it probably belongs.

There will be tests as well.


--Apple-Mail=_97637E62-26D4-4013-A286-B8C1E18D0D7A
Content-Disposition: attachment;
	filename=duplicate-line.diff
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="duplicate-line.diff"
Content-Transfer-Encoding: 7bit

diff --git a/lisp/misc.el b/lisp/misc.el
index 3fb30e5372..8a1dd76847 100644
--- a/lisp/misc.el
+++ b/lisp/misc.el
@@ -63,19 +63,51 @@ copy-from-above-command
 				 (+ n (point)))))))
     (insert string)))
 
+(declare-function rectangle--duplicate-right "rect" (n))
+
+;; `duplicate-line' preserves an active region and changes the buffer
+;; outside of it: disregard the region when undoing the actions of
+;; this command or the undo wouldn't work properly.
+(put 'duplicate-line 'undo-inhibit-region t)
+
 ;;;###autoload
 (defun duplicate-line (&optional n)
   "Duplicate the current line N times.
+If the region is inactive, duplicate the current line.
+Otherwise, duplicate the region's contents.  The region remains
+active afterwards.
+If the region is rectangular, duplicate on its right-hand side.
 Interactively, N is the prefix numeric argument, and defaults to 1.
 Also see the `copy-from-above-command' command."
   (interactive "p")
-  (let ((line (buffer-substring (line-beginning-position) (line-end-position))))
-    (save-excursion
-      (forward-line 1)
-      (unless (bolp)
-        (insert "\n"))
-      (dotimes (_ n)
-        (insert line "\n")))))
+  (cond
+   ;; Duplicate rectangle.
+   ((bound-and-true-p rectangle-mark-mode)
+    (require 'rect)
+    (rectangle--duplicate-right n)
+    (setq deactivate-mark nil))
+
+   ;; Duplicate (contiguous) region.
+   ((use-region-p)
+    (let* ((beg (region-beginning))
+           (end (region-end))
+           (text (buffer-substring beg end)))
+      (save-excursion
+        (goto-char end)
+        (dotimes (_ n)
+          (insert text))))
+    (setq deactivate-mark nil))
+
+   ;; Duplicate line.
+   (t
+    (let ((line (buffer-substring (line-beginning-position)
+                                  (line-end-position))))
+      (save-excursion
+        (forward-line 1)
+        (unless (bolp)
+          (insert "\n"))
+        (dotimes (_ n)
+          (insert line "\n")))))))
 
 ;; Variation of `zap-to-char'.
 
diff --git a/lisp/rect.el b/lisp/rect.el
index e717d2ac7e..3e29868b24 100644
--- a/lisp/rect.el
+++ b/lisp/rect.el
@@ -931,6 +931,30 @@ rectangle--unhighlight-for-redisplay
     (mapc #'delete-overlay (nthcdr 5 rol))
     (setcar (cdr rol) nil)))
 
+(defun rectangle--duplicate-right (n)
+  "Duplicate the rectangular region N times on the right-hand side."
+  (let ((cols (rectangle--pos-cols (point) (mark))))
+    (apply-on-rectangle
+     (lambda (startcol endcol)
+       (let ((lines (list nil)))
+         (extract-rectangle-line startcol endcol lines)
+         (move-to-column endcol t)
+         (dotimes (_ n)
+           (insert (cadr lines)))))
+     (region-beginning) (region-end))
+    ;; Recompute the rectangle state since the crutches might be outdated.
+    (let ((p (point))
+          (m (mark)))
+      (rectangle--reset-crutches)
+      (goto-char m)
+      (move-to-column (cdr cols) t)
+      ;(rectangle--col-pos (cdr cols) 'mark)
+      (set-mark (point))
+      (goto-char p)
+      (move-to-column (car cols) t)
+      ;(rectangle--col-pos (car cols) 'point)
+      )))
+
 (provide 'rect)
 
 ;;; rect.el ends here

--Apple-Mail=_97637E62-26D4-4013-A286-B8C1E18D0D7A
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii





--Apple-Mail=_97637E62-26D4-4013-A286-B8C1E18D0D7A--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 19 Jun 2022 11:43:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 07:43:38 2022
Received: from localhost ([127.0.0.1]:50727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2tL8-0004vV-Dc
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 07:43:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2tL4-0004vD-L4
 for 46621 <at> debbugs.gnu.org; Sun, 19 Jun 2022 07:43:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Eg5D3Z6egQv0Vfwwb4zBdQBD3q2knsbmJDOlKjRUSMw=; b=h3qCDI3mCQsw1Cs9CRV5DhZvwa
 giKol03VErMdm5ah20BQHTMEDB1KmJSL1Hrsx5TWsC6J/+WVAdrbLOkfZTLzMlPsxe7C7NnF2gTOQ
 e0CaJfJx9PbYJGE52KMHSr7+WN9VnCISJCp4a4qF9q7M2BPjqb0HVhxJisZslxvnT8nY=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2tKt-0005Dv-UY; Sun, 19 Jun 2022 13:43:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
Date: Sun, 19 Jun 2022 13:43:23 +0200
In-Reply-To: <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Sat, 18 Jun 2022 20:02:58
 +0200")
Message-ID: <87o7yoyj38.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Mattias Engdegård <mattiase@HIDDEN> writes: >> I've now
   added this command to Emacs 29 as `duplicate-line'. > > Thank you! There was
    quite some discussion about generalising the > concept last time it came
   up for discussion, and making it work [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 Simen =?utf-8?Q?Heggest=C3=B8yl?= <simenheg@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

>> I've now added this command to Emacs 29 as `duplicate-line'.=20
>
> Thank you! There was quite some discussion about generalising the
> concept last time it came up for discussion, and making it work on the
> region when active was found to be very useful. It comes quite
> naturally in use, much like upcase-dwim etc.
>
> The attached patch does that. For extra convenience, when the active
> region is rectangular it is duplicated to the right, since that is
> what is usually most convenient.

Simen proposed something quite similar (added to the CCs), and my only
objection was that the semantics of the simpler command is quite
clear -- it always creates a new line, even if we're at a final line in
a buffer without a newline.  When dealing with regions, it's not quite
clear what the semantics should be in those corner cases (i.e., regions
that doesn't end with a newline)...

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 18 Jun 2022 18:10:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 14:10:12 2022
Received: from localhost ([127.0.0.1]:50009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2ctg-0007mE-7C
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 14:10:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1o2ctb-0007lr-I3
 for 46621 <at> debbugs.gnu.org; Sat, 18 Jun 2022 14:10:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41212)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o2ctV-0008J4-MV; Sat, 18 Jun 2022 14:10:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=zz1HIpC1TeeE+6L7WrHpjJoyz8zczYNmMi5qb2jyzig=; b=kqEdn40pV1Db1VwJ+t76
 EmZIuBtfqZ9Bv+KsaRJhq10Zqk5eqFKZLt4ExBSvWY8Sgmcfl4ukDJ/M4+hoiQcqSqBlciMua8Z4X
 iDTxfjAWgAwD2hs2pfoPp1sQYDOEx1H9FaWS8DZMknXEtI+5EIQ/LTGMC2JQjdGPbFDSPc4QQAjVr
 f8Cqf2hgQmdLgoCf9epEEpdsvnFKkjNvV5aIjhQUb1yOjnGfBmIKg8CXn4jWzhJatPEY8j8HLeMaw
 Jixsru7raASBx/S2y0wGw4pn4JckIbJHzuiiYntq8Agn2rRhYQSb8A/E7W0kjdkOf4ewNV+y9PPow
 mS7NqmU4Yt4uCg==;
Received: from [87.69.77.57] (port=3765 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o2ctV-0007QY-2z; Sat, 18 Jun 2022 14:10:01 -0400
Date: Sat, 18 Jun 2022 21:09:44 +0300
Message-Id: <8335g1onbr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN> (message from
 Mattias =?utf-8?Q?Engdeg=C3=A5rd?= on Sat, 18 Jun 2022 20:02:58 +0200)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 46621 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
> From: Mattias Engdegård <mattiase@HIDDEN>
> Date: Sat, 18 Jun 2022 20:02:58 +0200
> 
> -(defun duplicate-line (&optional n)
> -  "Duplicate the current line N times.
> +(defun duplicate-line-or-region (&optional n)
> +  "Duplicate the current line or region N times.

There's no need to include "or region" in the command's name and doc
string's first line.  We have quite a few commands that are sensitive
to the active region, and work on region when it's active.  We just
mention this in the doc string, and that's that.

> +If the region is inactive, the current line is duplicated.

Passive tense alert!

> +Otherwise, duplicate the region's contents.  The region remains
> +active afterwards.
> +If the region is rectangular, duplication is made on its right-hand side.

Another one!

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 18 Jun 2022 18:03:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 14:03:11 2022
Received: from localhost ([127.0.0.1]:50004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2cmt-0007cI-EN
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 14:03:11 -0400
Received: from mail1437c50.megamailservers.eu ([91.136.14.37]:44504
 helo=mail263c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1o2cmq-0007bj-4V
 for 46621 <at> debbugs.gnu.org; Sat, 18 Jun 2022 14:03:09 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1655575381;
 bh=wJxd0KTB46uFMuT+/G7+7rQqEaLtDzwXSyqHnNMi43Y=;
 h=From:Subject:Date:Cc:To:From;
 b=eIh1iyadHRQFi0XVmrr0XNLVfooE3aEXV1W2cO7Z77O67v63q4xfB5acHSWwDObS2
 ip1CwVQNJieyin/akdzkeuwdfsY4VMNFjSfyclReE49+9A8E2PH7w1gb0+VmleH/cb
 a5Ts/xP6jak4jEiBcKYGxO2VIKE8AfCAWM+CrkfY=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail263c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 25II2wSR040505; 
 Sat, 18 Jun 2022 18:03:00 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_137EE32B-E9C8-4213-B3D8-97036C227589"
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: bug#46621: Copy line
Message-Id: <07496A25-CD5D-46E6-8F1C-7BD29143F3C8@HIDDEN>
Date: Sat, 18 Jun 2022 20:02:58 +0200
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A782F26.62AE1355.0006, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > I've now added this command to Emacs 29 as
 `duplicate-line'.
 Thank you! There was quite some discussion about generalising the concept
 last time it came up for discussion, and making it work on the region when
 active was found to be very useful. It comes quite [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--Apple-Mail=_137EE32B-E9C8-4213-B3D8-97036C227589
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

> I've now added this command to Emacs 29 as `duplicate-line'.=20

Thank you! There was quite some discussion about generalising the =
concept last time it came up for discussion, and making it work on the =
region when active was found to be very useful. It comes quite naturally =
in use, much like upcase-dwim etc.

The attached patch does that. For extra convenience, when the active =
region is rectangular it is duplicated to the right, since that is what =
is usually most convenient.

There's a few subtleties here: the code takes care to preserve the =
region because the user may want to press the key again for another =
copy. (This means that we need to use undo-inhibit-region for undo to =
work properly.)

Do you feel audacious enough for a standard key binding?


--Apple-Mail=_137EE32B-E9C8-4213-B3D8-97036C227589
Content-Disposition: attachment;
	filename=duplicate-line-or-region.diff
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="duplicate-line-or-region.diff"
Content-Transfer-Encoding: 7bit

diff --git a/lisp/misc.el b/lisp/misc.el
index 3fb30e5372..d5db0a35ae 100644
--- a/lisp/misc.el
+++ b/lisp/misc.el
@@ -63,19 +63,51 @@ copy-from-above-command
 				 (+ n (point)))))))
     (insert string)))
 
+(declare-function extract-rectangle-line "rect" (startcol endcol lines))
+(declare-function apply-on-rectangle "rect" (function start end &rest args))
+
+(put 'duplicate-line-or-region 'undo-inhibit-region t)
+
 ;;;###autoload
-(defun duplicate-line (&optional n)
-  "Duplicate the current line N times.
+(defun duplicate-line-or-region (&optional n)
+  "Duplicate the current line or region N times.
+If the region is inactive, the current line is duplicated.
+Otherwise, duplicate the region's contents.  The region remains
+active afterwards.
+If the region is rectangular, duplication is made on its right-hand side.
 Interactively, N is the prefix numeric argument, and defaults to 1.
 Also see the `copy-from-above-command' command."
   (interactive "p")
-  (let ((line (buffer-substring (line-beginning-position) (line-end-position))))
-    (save-excursion
-      (forward-line 1)
-      (unless (bolp)
-        (insert "\n"))
-      (dotimes (_ n)
-        (insert line "\n")))))
+  (cond
+   ((bound-and-true-p rectangle-mark-mode)
+    (require 'rect)
+    (apply-on-rectangle
+     (lambda (startcol endcol)
+       (let ((lines (list nil)))
+         (extract-rectangle-line startcol endcol lines)
+         (move-to-column endcol t)
+         (dotimes (_ n)
+           (insert (cadr lines)))))
+     (region-beginning) (region-end))
+    (setq deactivate-mark nil))
+   ((use-region-p)
+    (let* ((beg (region-beginning))
+           (end (region-end))
+           (text (buffer-substring beg end)))
+      (save-excursion
+        (goto-char end)
+        (dotimes (_ n)
+          (insert text))))
+    (setq deactivate-mark nil))
+   (t
+    (let ((line (buffer-substring (line-beginning-position)
+                                  (line-end-position))))
+      (save-excursion
+        (forward-line 1)
+        (unless (bolp)
+          (insert "\n"))
+        (dotimes (_ n)
+          (insert line "\n")))))))
 
 ;; Variation of `zap-to-char'.
 

--Apple-Mail=_137EE32B-E9C8-4213-B3D8-97036C227589--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 18 Jun 2022 12:56:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 08:56:27 2022
Received: from localhost ([127.0.0.1]:47790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2Y03-0007rj-K0
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 08:56:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2Y01-0007rV-Tx
 for 46621 <at> debbugs.gnu.org; Sat, 18 Jun 2022 08:56:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=iYnbOreqN4qq//Ai+XASGH0UVp3M9233xHgGH1EOi0A=; b=WcUlJmqbm8MrYX+29cM5f2WZDx
 VnWxN5EdtMIcW14+mfwdYPMY2kKJA28YNqgKRir8ZqIbKFlmXsDF4+dJZQTEOZGuWJsqvPHBdUo7x
 Vxg0Q7Na2mD1egyLoA4qbU4/h2LXBLjQSpgjNbcQfy8x/8iS1Pqjo3ObA44ImKQGuagA=;
Received: from 77.18.220.249.tmi.telenormobil.no ([77.18.220.249] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2Xzs-0006eJ-B5; Sat, 18 Jun 2022 14:56:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Simen =?utf-8?Q?Heggest=C3=B8yl?= <simenheg@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87a6aal3l5.fsf@simenheg@HIDDEN>
Date: Sat, 18 Jun 2022 14:56:14 +0200
In-Reply-To: <87a6aal3l5.fsf@simenheg@HIDDEN> ("Simen =?utf-8?Q?Heggest?=
 =?utf-8?Q?=C3=B8yl=22's?= message
 of "Sat, 18 Jun 2022 11:32:06 +0200")
Message-ID: <87wndeyvtd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Simen Heggestøyl <simenheg@HIDDEN> writes: >> I've now
    added this command to Emacs 29 as `duplicate-line'. > > Cool! I've had a
   similar command defined locally since 2015 (which I've > found so useful over
    time that I've given it a short globa [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
  0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Simen Heggest=C3=B8yl <simenheg@HIDDEN> writes:

>> I've now added this command to Emacs 29 as `duplicate-line'.
>
> Cool! I've had a similar command defined locally since 2015 (which I've
> found so useful over time that I've given it a short global keybinding).
>
> I have some suggestions that I think make the command even more useful:
>
> - Making it more DWIM'y by having it duplicate the region instead when
>   it's active   (perhaps giving it a more general name like
>   `duplicate-thing`, `duplicate-dwim`, or maybe just `duplicate`).

That makes sense, but there are some edge conditions here that the
current implementation avoids by using a "line" definition.  That is, if
we're at the final line in the buffer, and there's no newline at the
end, `duplicate-line' will add one.  That is, it's really line oriented,
and not region oriented, and making it do regions, too, would possibly
make it more confusing.

Unless we ensure a newline at the end of all the regions we paste in.

> - Having point end up at the duplicated line instead of the original
>   one, since that's the line you usually want to edit (in my
>   experience).

Yes, that's true.

> - With a prefix argument, comment out the original line/region after
>   duplicating it. This is perhaps a bit too specialized to be useful in
>   general compared to the other two suggestions, though I've found it
>   very useful personally.

I think that sounds a bit too specialised.=20

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 18 Jun 2022 09:32:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 05:32:21 2022
Received: from localhost ([127.0.0.1]:47518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2UoX-0004fT-7F
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 05:32:21 -0400
Received: from mailtransmit05.runbox.com ([185.226.149.38]:38156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simenheg@HIDDEN>) id 1o2UoV-0004fD-G0
 for 46621 <at> debbugs.gnu.org; Sat, 18 Jun 2022 05:32:20 -0400
Received: from mailtransmit03.runbox ([10.9.9.163] helo=aibo.runbox.com)
 by mailtransmit05.runbox.com with esmtps (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <simenheg@HIDDEN>)
 id 1o2UoO-007sIn-GB; Sat, 18 Jun 2022 11:32:12 +0200
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector1;
 h=Content-Type:MIME-Version:Message-ID:Date:In-Reply-To:Subject
 :Cc:To:From; bh=0xzvzunIP0NlhgJzCOpbZplOsugD4d/zHHYTL24UjQk=; b=tn14ehtyGIl8q
 4hPExz+B6GKDjIwBb6tZT8ty/oWTfFqeScN3hEb2D4xHzgEQFOlsS+v3D3t4rUAZka3RmMtFpyirj
 ESyQTLpeLe14Ed8JHs3G/mwd2Tb2A2Cz2KianoutIjMQJPRR6NOC+mH+/tLXU8sPbIdJt2PRRP3RF
 rgsmgEaerpXDmdJiStoGPxBY+WcnREoWIRh4upIR9/x544gl/tZ5sGEn3lyN+xaTI/75AMCusipFZ
 KhAzn1+rEMULRqNxTvecA3I3NQFZKQb6xfqFCSuNpot9L+x30oUgsd0bLYnjPjyp6X1Nia2oNut9O
 WHjTbEKy28AK4QozW5esw==;
Received: from [10.9.9.72] (helo=submission01.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <simenheg@HIDDEN>)
 id 1o2UoO-00057K-10; Sat, 18 Jun 2022 11:32:12 +0200
Received: by submission01.runbox with esmtpsa [Authenticated ID (963757)]
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 id 1o2UoJ-00058c-Cl; Sat, 18 Jun 2022 11:32:07 +0200
From: =?utf-8?Q?Simen_Heggest=C3=B8yl?= <simenheg@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#46621: Copy line
In-Reply-To: <87o7yr42k1.fsf@HIDDEN> (message from Lars Ingebrigtsen on
 Fri, 17 Jun 2022 19:34:06 +0200)
Date: Sat, 18 Jun 2022 11:32:06 +0200
Message-ID: <87a6aal3l5.fsf@simenheg@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I've now added this command to Emacs 29 as `duplicate-line'.

Cool! I've had a similar command defined locally since 2015 (which I've
found so useful over time that I've given it a short global keybinding).

I have some suggestions that I think make the command even more useful:

- Making it more DWIM'y by having it duplicate the region instead when
  it's active (perhaps giving it a more general name like
  `duplicate-thing`, `duplicate-dwim`, or maybe just `duplicate`).

- Having point end up at the duplicated line instead of the original
  one, since that's the line you usually want to edit (in my
  experience).

- With a prefix argument, comment out the original line/region after
  duplicating it. This is perhaps a bit too specialized to be useful in
  general compared to the other two suggestions, though I've found it
  very useful personally.

Happy to help if any of these sound eligible for inclusion.

Here's my local definition for reference:

(defun duplicate (arg)
  "Duplicate the current line, or region if active.
When called with a prefix argument the current line or region is
commented out before it's copied."
  (interactive "P")
  (setq arg (or arg 1))
  (let ((beg (if (region-active-p)
                 (region-beginning)
               (line-beginning-position)))
        (end (if (region-active-p)
                 (region-end)
               (line-end-position)))
        (point (point)))
    (goto-char end)
    (let ((to-duplicate (buffer-substring beg end)))
      (when (listp arg)
        (comment-region beg end)
        (setq arg 1))
      (dotimes (_ arg)
        (end-of-line)
        (newline)
        (insert to-duplicate)))
    (backward-char (- end point))))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 46621 <at> debbugs.gnu.org and Juri Linkov <juri@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 17 Jun 2022 17:34:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 13:34:19 2022
Received: from localhost ([127.0.0.1]:46893 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2FrP-00048G-8i
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 13:34:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2FrN-00047z-HP
 for 46621 <at> debbugs.gnu.org; Fri, 17 Jun 2022 13:34:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=53QIITaGIrWIUo/5jEY9TQjQPMxRkCXKy8CVuOfr4y0=; b=mFnh8U0bbcp2edSQ6xI1SB0LS+
 ZXCyHM/plPe1gjSJIMI/Yjw6162mkQk0mFjfU0ksa0sIZYXDPO1BA3m5zBfNOjCfdMmPRVPQTkd5e
 CkD9giBfzHT5uXWlAWu0QuQ1d+aJmPbImIK+x0oZ9bb78SKsk0VpNEsKGqGX4TjPquNw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2FrE-0005Vw-5E; Fri, 17 Jun 2022 19:34:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
X-Now-Playing: David Bowie's _Conversation Piece (4): 1969 Stereo Mixes_:
 "Ragazzo Solo, Ragazza Sola (Full Length Version)"
Date: Fri, 17 Jun 2022 19:34:06 +0200
In-Reply-To: <87tuq99ova.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 18 Feb 2021 21:07:05 +0200")
Message-ID: <87o7yr42k1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > Why there is still
 no such fundamental command as duplicating the current > line? This command
 slightly extends the existing copy-from-above-command: I've now added this
 command to Emacs 29 as `duplicate-line'. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Why there is still no such fundamental command as duplicating the current
> line?  This command slightly extends the existing copy-from-above-command:

I've now added this command to Emacs 29 as `duplicate-line'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 23 Feb 2021 19:30:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 23 14:30:07 2021
Received: from localhost ([127.0.0.1]:60573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEdNn-0004EQ-AU
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2021 14:30:07 -0500
Received: from mail-wm1-f50.google.com ([209.85.128.50]:38069)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lEdNl-0004CQ-Bs
 for 46621 <at> debbugs.gnu.org; Tue, 23 Feb 2021 14:30:06 -0500
Received: by mail-wm1-f50.google.com with SMTP id f137so3495969wmf.3
 for <46621 <at> debbugs.gnu.org>; Tue, 23 Feb 2021 11:30:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=pri8gFP5vAAyIpY0FqjI15Ns8cdWwssbACvNgVuU4HA=;
 b=UGnS5ha8C/811336dFiSkHCPVtjR4LV2VPPboZGYsfYWLdE1j0qWuRkrMxuKPWoF5e
 jSeS2JYX4a8XqFOfpEjdc9lVKUvICj2d2RyYn1XmIfIMpGtB0QsUTJYfA9adB4yNTLVR
 TktOAqgYoigy2PdASnRNl43li0IMYr7fu7P0ZTi35XksDRQ7k5v/OsJgXDy+Gx+RN9ev
 LP6rwDXj0b24FJVnWnlH77UAAGu3TIypuQOr1eKqxus98a6EdqIgzHGlRbA5yGVegmGr
 t18uUSHNhx5Xf0MU1ijG1VhZxtPcGMtEQnNW5wpMEeyDyCuw4BE2CQ9OTmp2zDtOBTh/
 laqw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=pri8gFP5vAAyIpY0FqjI15Ns8cdWwssbACvNgVuU4HA=;
 b=YQdHEfNgIf7zzsC9dm2e6KbWQMlwfBEhpW38p4bagcU7b9Nyjta1IcPxFob64oDBFZ
 vMQRZd4OE0p/tmy37YA3KpeIHtYsbTspptoXk8URxtTBFZl8f4QwlRkuFREcIQ+/CvpU
 NYfm6QAW7lv7QgaoTS4WBV/86sRNOZD5UJrTkRTe28K8JenqOkKweBq/+xgcNVeT3a32
 DjsacVHraYG/JCzexPyhE43DLnY8OB/i9kxqNnE3kg+1GpUwND6Z9VP7vKHnqbHXGrg+
 O4M30zdMXsn9L+4lRnVoeNg3jS8F/ruOd5gmz9LEn8SK/YtKNOVz47RF9WRkc2KXZBVg
 bnrw==
X-Gm-Message-State: AOAM531/R4sd+x0KrS+/0mQP7TyBvMm1kO+hQP7k+yRfHfaGHDfh1VB6
 4CkbYhFTTQeFBXTpThJABBRfJBzszgM=
X-Google-Smtp-Source: ABdhPJx0i2rqpOo3mi4cL32NzGT4etdvX68NtxsLKWE/gUZGRtz4sfH4mT+TqG/bsXm13onESWB8pQ==
X-Received: by 2002:a05:600c:2301:: with SMTP id
 1mr281574wmo.166.1614108599395; 
 Tue, 23 Feb 2021 11:29:59 -0800 (PST)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id c133sm3747477wme.46.2021.02.23.11.29.57
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 23 Feb 2021 11:29:58 -0800 (PST)
Subject: Re: bug#46621: [External] : bug#46621: Copy line
To: Drew Adams <drew.adams@HIDDEN>, Howard Melman <hmelman@HIDDEN>,
 "46621 <at> debbugs.gnu.org" <46621 <at> debbugs.gnu.org>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
 <m21rd8kqx4.fsf@HIDDEN> <87wnv09gza.fsf@HIDDEN>
 <m2k0r0j6lo.fsf@HIDDEN> <ly8s7fevqm.fsf@HIDDEN>
 <SA2PR10MB4474D0F873B59268E019857EF3819@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <a163f596-36c8-b064-440d-d42c697158f3@HIDDEN>
Date: Tue, 23 Feb 2021 21:29:55 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <SA2PR10MB4474D0F873B59268E019857EF3819@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46621
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 22.02.2021 21:46, Drew Adams wrote:
> Why on earth is this called `copy-from-above-command'?
> 
> "-command"?
> 
> Maybe it would help to add a more discoverable alias?

Both good points.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 20:51:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 15:51:55 2021
Received: from localhost ([127.0.0.1]:57714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEIBP-00023N-ES
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 15:51:55 -0500
Received: from mout.gmx.net ([212.227.15.19]:50075)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1lEIBN-000239-GH
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 15:51:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614027106;
 bh=YXjGo/iVAXx03Bcb9MtwJ0yg+PvOGJblrO2UksOWkhM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=ktXPNHOafZuO/IUssLGzDj4MMY2XrECpPi25XBaFbHIh4ODG4ud6if/v6G0BDqvSJ
 BhrVrLjBN07r1FjDv53BIZ7piSYuIn3yHS1oIYDcF9yitx7Xu2Vled4nt6D1w8CeMR
 m2rtLApIvFofuO37fll8qePFmLKvDI6CPh6d5zz4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-jhalfs ([188.109.152.52]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MdvmO-1ln5Il3pJu-00b36d; Mon, 22
 Feb 2021 21:51:46 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
Date: Mon, 22 Feb 2021 21:51:40 +0100
In-Reply-To: <83eeh8w1jz.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 22 Feb
 2021 17:43:28 +0200")
Message-ID: <87v9ajsu5f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:PAAAjd9jX0182wR4WgDfY06OFpH9sDJUpqHPac7/OEkToc7tWEu
 EJSjb4tcyhsAy1L79Qb4J8kx4nkLuWGIi8zZRRFEXXfBg+wM9XqM+puvlxoUh55uliu3QKA
 mpK5dVYah7MRWj2IrRG6+wCDlAv45cs85eavlMXQQY5GKGRRxmoUEme0W9WT3Pcbs3+Oaej
 kjy7L5yDWwhs7AJWyXzag==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:u0c65idhU80=:YCVfrHOiBGzObLR3cg3hLY
 QM2voOoO6V/FZBZi4pqsxUVTP7cf1bcJIQPaOXla5U+zwCI8z06KoVCLIa04/phr9hMQF2YqU
 Qxoo1tmibsfmlfEUjNZYB4TvOctb8W7ttmt4TWqKYA0DMmu6vhaaT6pM6l2Sj1FBCWOFGdjGE
 NaNmCMc+03i7ZiyjEKMQ3yV7yw73mTW4tZRStz1mt1DJhbasbdjgrxGmKtWD846d/W6lPDJzF
 4vQ/C24J0mY8Y67AoPoLtPPe9vlUEjThgcIA0twk9H2I16aPUbZdCtofbi7c1jf2PY4r9zvef
 L7+5W5KdJaDuvfZuA+n27AggiBmXKGQ2ogWwwPTTNzeUmIYM9PYeECwfn7I0u+d3+jbxxy3+J
 CYXNeeun4xtezNHJOF3iNqhOsiI37ITeL6R45v56Fv1fvESMm1jPb0z3Ie8H8GpWj2ZQ5Lx6y
 ZrWwNl9KNZZJVu6Ebw3RekfFPZIXs1GDlFS7oVNUOB1+5gfHZluHkg9XaTocYwER1MGhwhL2i
 rQwotKE/2YHXG1mG8nHe5eVQVuqeRfj+YiUTdzgKBQ+zIcYJIqCjD+1d4YVQbaX/DSMUESzTi
 jJ1etqo4BAdoFdU0WYOSHn7nlmtR6hXTBZb/+iOrdk9hOibcp3Gr63qEYf/IhzCupiFeLLlQr
 1vFshYA+I5LmFBCUZFnHDjQAWrUAhH0WaJ7WJZRbP989zX+qfIJJXygGasldP8o1JEaux33tP
 b10KGAZbPAEEiDAlFi938yMMhjpfuGiU5S/5K1bw3ZXFcoOZqZtzqcNYUOSYaA8/B7Iz9N80A
 wziXc2+fMKgBVJAY7vYNVq7pEYo5mALekot8VwnhyTLjSnx+nVDRltwCyrUU4XNTOAviDI6EX
 GxhwkeXNLWJQTY5k170Q==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, mardani29@HIDDEN, rms@HIDDEN,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, 22 Feb 2021 17:43:28 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

> Bottom line, if we want to consider this command, we should somehow
> come up with the relevant use cases, and then weigh them against the
> added complexity and maintenance costs.  I therefore urge people who
> think they know these details to please speak up and contribute to
> this discussion.

I frequently use the following command (bound to `C-c l'), which suits
my needs better than the proposed command would or dabbrev-expand does:

(defun srb-select-line ()
  "Select line at point and copy to kill ring."
  (interactive)
  (copy-region-as-kill (line-beginning-position) (line-end-position)))

A common use case for me is copying somewhat complex shell commands I
keep stored in a file; they are stored as one liners to be easy to copy.
I don't want them to be immediately yanked into the file and for these
cases I don't need the feature of multiple copies via a prefix argument
(though in some documents I often do want multiple copies of a single
line, but usually at different parts of the document, so then just
yanking at the different locations is better than moving the copies).

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 19:46:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 14:46:37 2021
Received: from localhost ([127.0.0.1]:57600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEHAC-0006jp-Pk
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 14:46:37 -0500
Received: from userp2130.oracle.com ([156.151.31.86]:41072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lEHAA-0006jd-UY
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 14:46:35 -0500
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11MJZRB8078461;
 Mon, 22 Feb 2021 19:46:28 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=5sAKFi0x5tdFKyX15y8ajjNAHVr+eHFL/5TvXxUId1g=;
 b=r3rheym+eHmSegMUaRWTAfsgeS3bJuxO4Cz04yJQPTKiELdwQYjYAlIEGfPB8AQ8CW6O
 sKdnXRorzaX+0KNUrLiphMRdVVpQEtdkPGZMyZ6l1UN/MpC9B5KKlaIlwoanaUpVvdPH
 DznUi2sRGiz9NK8XYuWHoaNvJtxE8qOMRDlWJLk8Ov/KYUvlFgeTW+TjzrEhDOErYo97
 xiiagUL7f/IdQRUWy6pI4u/mMzxtJOQGeO1ihqmpcA/xdT1dGGkg/SxJ472E63N67arS
 kL8oWTKO7s9tR4Bi3Tuhb0C+RS3n6B9MhYFhf1tMLwy/TeO7pL9/lyCNi8gKiCleZKtQ GQ== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 36tsuqvxkq-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Feb 2021 19:46:27 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11MJa4C3098210;
 Mon, 22 Feb 2021 19:46:27 GMT
Received: from nam11-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam11lp2176.outbound.protection.outlook.com [104.47.57.176])
 by userp3020.oracle.com with ESMTP id 36uc6qt541-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Feb 2021 19:46:27 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=MSoStZD4yQ0iNQMoBk1wX0f3BFvKVo+1tEoXHgNJFEcP2ZTho02pEyaUJR6xZ3+6XEVBNSDqfX2NiNoC++FlXjGR/lL6LET46aPf0XfoCSDzLMM1fpruTtWyKIVMOXnfRVE2Wtt3c31r7N9YxKCi4+ILouAXOdjUzD+yGwMvZjdmgtU8cTF17P5+ZDFUOMcLvDzayEntePE38oIqtdAchgDYGeVOlj7VWIuoTnBLOEOI6aiLMpUoX1unksIJhaD0zvTpQWoHePfcDcMaJjmos4hBJqXnlZi7F/DR43ipv40MGBKdy8DSaK3thUuiNh6ZqGyH9purgUDawPJYZ0+3Yw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=5sAKFi0x5tdFKyX15y8ajjNAHVr+eHFL/5TvXxUId1g=;
 b=TV5OIQd2uzHnT0BAuIT3n0abr1lSg46eyDyYVKAIGfp3ULuY3r1s1Pq1m/yoFU9Gi8UAdTGMsOyb5oKTmJRw5SOkX6JxCrebjyVJ9NLeTY/Uek1+V/VDNDDnXnGElpRrQxgRpgajF62CbM1nENsM5MVK143Lgm7j0knoyI6P1LlSrHo08Rfit05GG8kbBD/O5FHqXfURSkirBuApkyO2ehSex5j6YUgEn8gwtGdmJX+MDmffpeyKh3tCAyjh/dYGU8Fx6WrHiCznuk+u7svln5vySibgJ/ij2jSucxLRTv6DnhZSx69qxTpXf0soEsMZ/fEo4I5PxEtkFBqzT4HoSg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=5sAKFi0x5tdFKyX15y8ajjNAHVr+eHFL/5TvXxUId1g=;
 b=qjzCLKEXf2P3Hm+6zweeJltzQhyM09pyuVpFHZpe89G3u/qRP9gl4vkETLyOGyIYno4neogiroM7lGnCmwA1emJa4nKyDJwnFb86hS627RnhPo5ayzmk9jdgQ+lUu11VnQvtL9EfCyxn6N92d7DVL9F9tbhGfNNuiGM8F7gyvn0=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4618.namprd10.prod.outlook.com (2603:10b6:806:11f::12)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3868.30; Mon, 22 Feb
 2021 19:46:25 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3868.032; Mon, 22 Feb 2021
 19:46:25 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Howard Melman <hmelman@HIDDEN>, "46621 <at> debbugs.gnu.org"
 <46621 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#46621: Copy line
Thread-Topic: [External] : bug#46621: Copy line
Thread-Index: AQHXCVLQWVcVKhVYHk6f5ycmSocjRapkk8BQ
Date: Mon, 22 Feb 2021 19:46:25 +0000
Message-ID: <SA2PR10MB4474D0F873B59268E019857EF3819@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
 <m21rd8kqx4.fsf@HIDDEN> <87wnv09gza.fsf@HIDDEN>
 <m2k0r0j6lo.fsf@HIDDEN> <ly8s7fevqm.fsf@HIDDEN>
In-Reply-To: <ly8s7fevqm.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gmail.com; dkim=none (message not signed)
 header.d=none;gmail.com; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: c9975ce4-4f93-4f84-f830-08d8d76a8a0a
x-ms-traffictypediagnostic: SA2PR10MB4618:
x-microsoft-antispam-prvs: <SA2PR10MB461860FE35F0865F7D7D7F7DF3819@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:4125;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: lCTUoPo56Ap/LQoNPSKm7IGGVJoJ3RbZ7cKwhMZ6U5FOUfPeOA7GZzV4ytaETjOZb4i3/1YR36KqXamBItql1d3LZLWHjVmXLzPkm8jmZZGo6GkHucpOemp+7jDHvW5iML+vnmUxNpVDYpCL8m4RBWZbns7pbJra4KQn2J4X4E1TwgiBJx2ON03PYL4T4gpEI5/yoxXc4DGuYQPaP2jxgT4GakwKM5WuLh1gFelRbZzgypwaHiY0qqWjQZC4Hzes0XVcVO15or1msEDL8K51sDj+/7utrEPkIf7Szi05pW4phOHEwVecuxxoKdzvj9F0vhQc49Pc1sb/P4+Zm4JefgQBBjk5sLt9JoEsf6gqWQ6BboXffTx0cQNKqMRNPOxOFLJmHVaBII8B5Le1eM27x01oc9hxq6slCI0uk31SFGHupcvCeJ8GnsD+YIM+PUiRtnO7+lsZEamkz6jfVwBdsIqdKPgjmnv52KznYKGWwLLFMXggVRm/NUgLXcpb1+sef+AZNqy+2uVqVHDG9n4Tpg==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(396003)(346002)(136003)(366004)(376002)(39860400002)(33656002)(186003)(478600001)(55016002)(9686003)(316002)(110136005)(5660300002)(7696005)(52536014)(26005)(76116006)(64756008)(8936002)(66446008)(8676002)(2906002)(6506007)(66946007)(66476007)(44832011)(86362001)(66556008)(71200400001)(558084003);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?auLxXxfhmcjTVWy0tujB6/SnXkNHdXlPiwBeVvecpd/vGVxqQYZYOiLgmhTy?=
 =?us-ascii?Q?B2mbdM8VSt/PHPP+ernTT3GLU7WQ19SibmMkmk/qR/4sIwTbr9Gt8tQXDwkV?=
 =?us-ascii?Q?yKXoi7TmwnQAtjIyZadkOS1/vgd9hasw37yofrIg1YM0l6wpe9CRn/wKz+gI?=
 =?us-ascii?Q?GiPrHfXchPqJ7wcnKVzna4oL7dF1DcPvbmwQimN/KxMTh/RkgoyNF4KN/Kfk?=
 =?us-ascii?Q?y67AmBzU+R5dZ5199i/luktWUF1uX3OWQMnRgDNFVS9DnFigT1+ipE6Akm+O?=
 =?us-ascii?Q?tutmDiypo3igqC1SepgH2RHANUVVrWDuG5fOQ2KV9bS+ioKomMSBZifmadbO?=
 =?us-ascii?Q?OXouMEx158JXK50ZWe4jJ4Z80hTPrVyi2C6Pd0k/Ng/UhNMssqeIj2IxNb50?=
 =?us-ascii?Q?919/Tev2ISx90vuKCwRL5wuWNCbHeLlT3aRZMTuguZI8umgnTrSyVrzhNQpn?=
 =?us-ascii?Q?0pTemRxTp5MdW0M7gkeiCVjZZ37eloSLE6LQtAVSuCUydi8bxc51hgaUEyki?=
 =?us-ascii?Q?HWIowf5gGSfTVW0Y55/HOW26/MbUBUMzXpkLt8b0vFoAwybn9jxdUMRSAgtu?=
 =?us-ascii?Q?AtdzA+/sW3tJ7wEj+0RfDj9KUldR1vw4yScOn2w/Et9vzgAY2pJ9qq+DT6m2?=
 =?us-ascii?Q?kc3z1MzHqfDlPmsbeaq+hSy0zdGEeezHUalC7O5DvWp0fQjE/0b7i2FCAe3y?=
 =?us-ascii?Q?JsYSXwBafJB5h/7L++Joa8eWbXc77zMKMMCT/5QW0K0rq3Hd44Nlq2sw5tgc?=
 =?us-ascii?Q?xVS5Cj4mGhbIQhQHD62UNkXYcG5GnAaYcSCS4iNRUD7zSz5G6tcJuLCPxK4j?=
 =?us-ascii?Q?dg49ndjMBBSikcaMd+jYF9twp2BSgvYZgrwROQQp11HmG9buS3VPqaLX3yRd?=
 =?us-ascii?Q?DSRZcrA7a51jLEtR2hwEjLqCof8BaLs65GRXXRPHQWRoBkRPuwnMg7b1eHri?=
 =?us-ascii?Q?YbuFczrw1cvpVwa+x/lVDs6cYyTe4hfk4GkrZLpOWm6gYWiHUsbrtYiXwSoM?=
 =?us-ascii?Q?Sh4mHmGEmmKoxovX16o2b4Z2vnZLIH1TgjtpdMMRhXQ6DLT12giYpotTANmo?=
 =?us-ascii?Q?t2XVW371U8i4rEZQFJL5kehBKG0nmqzJCq/cCtmVBh3Gswel+PixmS5ICjAK?=
 =?us-ascii?Q?UGuXDtjiGdotaofp5kSNJqKOUnloAv19POGh8gcxs4OEXKX0qCxjPFsOCT76?=
 =?us-ascii?Q?rCf4kp3Sti/XTI879ITHyZdnzzvNLedtePfMi7WznX0cxI8Cij72JpthcI7r?=
 =?us-ascii?Q?HUWM0D642BnR1Sgq9gILCdTWZJN+s4Fhs/xabe/7//XgWbfzyAZw+m4Hw/8d?=
 =?us-ascii?Q?Fm5ByWEi6klZeiouQ3cZBJrh?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: c9975ce4-4f93-4f84-f830-08d8d76a8a0a
X-MS-Exchange-CrossTenant-originalarrivaltime: 22 Feb 2021 19:46:25.4817 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 08XkVI9fHTdOuUQv+Qyn4i7Ra4cpFqdPQWCe490UnBTjXc519x2jptLxtMr3cqGsV3G3ijQg87okOZXr2sfFFQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4618
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9903
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 mlxscore=0 spamscore=0
 mlxlogscore=999 adultscore=0 bulkscore=0 malwarescore=0 phishscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2102220173
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9903
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 spamscore=0
 priorityscore=1501 impostorscore=0 bulkscore=0 mlxscore=0 malwarescore=0
 clxscore=1015 phishscore=0 mlxlogscore=999 lowpriorityscore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2102220173
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Why on earth is this called `copy-from-above-command'?

"-command"?

Maybe it would help to add a more discoverable alias?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Feb 2021 19:41:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 14:41:20 2021
Received: from localhost ([127.0.0.1]:57595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEH56-0006bq-4n
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 14:41:20 -0500
Received: from lists.gnu.org ([209.51.188.17]:51076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lEH54-0006bj-Q5
 for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 14:41:19 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:58404)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lEH52-00031m-UI
 for bug-gnu-emacs@HIDDEN; Mon, 22 Feb 2021 14:41:18 -0500
Received: from ciao.gmane.io ([116.202.254.214]:54416)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lEH50-0002AH-PJ
 for bug-gnu-emacs@HIDDEN; Mon, 22 Feb 2021 14:41:15 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lEH4x-000AWA-6t
 for bug-gnu-emacs@HIDDEN; Mon, 22 Feb 2021 20:41:11 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Howard Melman <hmelman@HIDDEN>
Subject: Re: bug#46621: Copy line
Date: Mon, 22 Feb 2021 14:41:05 -0500
Message-ID: <ly8s7fevqm.fsf@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
 <m21rd8kqx4.fsf@HIDDEN> <87wnv09gza.fsf@HIDDEN>
 <m2k0r0j6lo.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
Cancel-Lock: sha1:Ct1SotcSOOK5V135UPXdVv2KVpo=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)


>> But you don't need the repeat count for that.  copy-from-above-command
>> will work well for this task.
>
> I didn't know about this.  But if I place point between LogLevel and
> INFO and then execute M-x copy-from-above-command then the result is
>
>  #LogLevelcility AUTH INFO
>
> which is not what is needed in this situation.

I never knew about copy-from-above-command either.  It's not
bound to any keys.  It's not in the emacs manual.  I think
it's also named incorrectly.

In emacs terminology it's not copying the text (like to the
kill-ring) but inserting or yanking it into the buffer (just
not from the kill-ring but from the previous line). It seems
closer in concept to how dabbrev and hippie use the term
"expand".

-- 

Howard





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 18:42:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 13:42:32 2021
Received: from localhost ([127.0.0.1]:57520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEGAC-0005CF-1n
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 13:42:32 -0500
Received: from mail-wm1-f47.google.com ([209.85.128.47]:39822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eller.helmut@HIDDEN>) id 1lEGAB-0005C3-66
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 13:42:31 -0500
Received: by mail-wm1-f47.google.com with SMTP id v62so193129wmg.4
 for <46621 <at> debbugs.gnu.org>; Mon, 22 Feb 2021 10:42:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=xAvtC+z/2BS1PEXHWWBe8UdASnctGWSfNZDTWwdY71M=;
 b=C03lAlk36r/QPwmFNOVIIrUoD3UdL3XXSpn0p1BREhpMWPtm25oqhxMNzQKMMO1nOa
 J3Myu5ZlNVfyf7nLIKOzSt0nkjLGq4IPeALO9BA+5bL9GpY3kSpbltndf8gl8+mth8Tx
 AEz9yxjEOMdcnoMYEUJTQjlVCCf6mcbN0V4WE4xgfXJWeA+I8L/J9+zcAgTvKU5a6TVa
 Ge/+V5V+1+Upyk7pkQ5W2p7n3czw3PpNnGhPTNcmiHbk43GjgZYKNYP18KOk7pIg0AXH
 RETB5Wblvoa8v+vz9iWlweEPU5QZHgdEiKyS4XJuFM9Mkf5wJ23cCU0HXIU8/s7pCOkg
 tVNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=xAvtC+z/2BS1PEXHWWBe8UdASnctGWSfNZDTWwdY71M=;
 b=F2xIlPbLmSTHA5PUpzUzhGLqh1eiCQgOFsnI4zLlNWD8y2Xy3lBei7IpH1N2XkpR8w
 nEQT5PFK6Y5ftGVqwFoECYmmVrYbLVOeFpVBHlyKZSH2TENuxTBrav5KiOGJHc/EFGev
 dCu4b2RxfT16auKXeefZHO4KELdqclU7OoktzJ3x3upvBgU8yzHLej+uc39JU/QJzqE/
 Nut7JvvOKKzp4Ppg8g0h8oaInGZDgKoo+9gnWUR0071wp/Oy5UHw1vIM/55ZwyBo4Uay
 2rK+Obk0yixYCxgUQDNcCXFb77Uji+k0opH40iVqLE/8x0uhneuFJSAayywW8tlcvCN2
 Tcnw==
X-Gm-Message-State: AOAM532b37J8/spI0o2NOlHbsNp4xXQsvjPBC6j7Ql1WH/rRDxvscvVF
 9KVYxJyFV4Nqe+VoiN6u3+K3732O23A=
X-Google-Smtp-Source: ABdhPJzxjppOy5pJ3Y0aX0Hgo1BjNttRSBRKWhw0f3rqOYA/7bk2va/y1G/+4NGCs4WbQN9C91Wd8Q==
X-Received: by 2002:a1c:7301:: with SMTP id d1mr21256553wmb.33.1614019345370; 
 Mon, 22 Feb 2021 10:42:25 -0800 (PST)
Received: from caladan (dialin-231184.rol.raiffeisen.net. [195.254.231.184])
 by smtp.gmail.com with ESMTPSA id y12sm17814433wrm.33.2021.02.22.10.42.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 22 Feb 2021 10:42:24 -0800 (PST)
From: Helmut Eller <eller.helmut@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
 <m21rd8kqx4.fsf@HIDDEN> <83wnv0uj12.fsf@HIDDEN>
Date: Mon, 22 Feb 2021 19:42:23 +0100
In-Reply-To: <83wnv0uj12.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 22 Feb
 2021 19:08:57 +0200")
Message-ID: <m27dn0j65s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Feb 22 2021, Eli Zaretskii wrote:

>> One example where copy-line would be useful is editing configuration
>> files.  E.g. /etc/ssh/sshd_config list many options with the default
>> value but as comments, like so:
>> 
>>   #SyslogFacility AUTH
>>   #LogLevel INFO
>>   ... other options ...
>>   
>> Now, if I want to change LogLevel to say DEBUG, I would copy the line,
>> keep the original, and edit the copied line.
>
> I already mentioned M-/ as the alternative.  In the above case, type
> "#L M-/", and Emacs will complete to "#LogLevel".  IOW, if these cases
> are considered as "repeat a previous word" rather than "copy a
> previous line, then edit it", the solution already exists.  I suspect
> that people who are looking for this command simply don't know about
> M-/ in Emacs, because IME it's still quite a unique feature.

I certainly know about M-/, but in this situation it's pretty far down
the list of alternatives I would consider.  Killing the whole line and
inserting it two times is what I usually end up doing.

Admittedly, I do have my own copy-line command and it's bound to C-x-,.
But I often forget the key binding.

Helmut




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 18:33:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 13:33:01 2021
Received: from localhost ([127.0.0.1]:57505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEG0z-0004xw-HN
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 13:33:01 -0500
Received: from mail-wm1-f47.google.com ([209.85.128.47]:38867)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eller.helmut@HIDDEN>) id 1lEG0x-0004xe-Hc
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 13:32:59 -0500
Received: by mail-wm1-f47.google.com with SMTP id f137so174705wmf.3
 for <46621 <at> debbugs.gnu.org>; Mon, 22 Feb 2021 10:32:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=qid2PHjQf5LHEJpAWM1SxiMLvkR4ghbIezwbBEDJ4nM=;
 b=fG9dwKvkmgrKuXDbOyMm0ZRUjq+3v0YMRrZTTr4tWDSk7Byu/MjLlArHUUJV1wtVMU
 ECzFHDfdTO3EdTDvsbJuq4M6oTic8SP3Lon5KKb0cPBO4syWpzNUBXoA7FCpkXGKUqwM
 8ASkM7vzFvc5/Hw+O1EcAMAD/n7KVNUDypHSvED1HPsKOB857c9x+muw/qbzqgfLpytE
 6+VRYeHdwEgPmcV8k1ZDMgKJYzPrWDHUpZDO+UkxvWxMouY/7gpefUd+lLjW6JkPdRwl
 Lk7KMuH8a+IHM1eYrv2sbWRurjbxd2GhHGyiLvmuiOrlF8l10NFVxKmx2WghUBUTiR3f
 9PDA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=qid2PHjQf5LHEJpAWM1SxiMLvkR4ghbIezwbBEDJ4nM=;
 b=jhUHsalSfidz1PWY4ws/+bVv71Ec7QqpokQ6INO6we1dKN3xGRX8/U5NzJaV1nD7S7
 Ur4u2dV8xEUYkLs5w5KZBkI3WHZmIRrMoDIP18CuuZQnB98KtIwo1GJmbQYnRxhrPb+3
 MMZBg+pPpuwDbF05ilnKlw8Vxy7hWx/IaQB2Ph9rN6E+SNNtbil4M8I+2Q2VnRPv4dJb
 IQEYke1Keq1DZDjKYffOJVr8plo1ZlwEYBRG1+tcLBPq+PCmBMgqtB5/XBkmo2AZO4bI
 yhRRhRiD6LyfVdPOO3AIqWu5rYfmFUBC2C0fw07Ya3YuXmyUo4//ybSg+3qxmmlS0Ohi
 uVFg==
X-Gm-Message-State: AOAM532aDfigJrTyAzXB6pe+OKoDqMtrERwSb2w5xRHpVSDVo+w9b7w7
 h696SRTUmOQemKgspQd/gDZIr1bvYJc=
X-Google-Smtp-Source: ABdhPJxoJfz564xM7PaW25nPylb+ykXzCazgfzsh+bjdRC+X7UJYKQ3iDAGTbMX9GJ0UBwxEk01NSA==
X-Received: by 2002:a05:600c:218b:: with SMTP id
 e11mr15451821wme.106.1614018773715; 
 Mon, 22 Feb 2021 10:32:53 -0800 (PST)
Received: from caladan (dialin-231184.rol.raiffeisen.net. [195.254.231.184])
 by smtp.gmail.com with ESMTPSA id l1sm107559wmi.48.2021.02.22.10.32.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 22 Feb 2021 10:32:53 -0800 (PST)
From: Helmut Eller <eller.helmut@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
 <m21rd8kqx4.fsf@HIDDEN> <87wnv09gza.fsf@HIDDEN>
Date: Mon, 22 Feb 2021 19:32:51 +0100
In-Reply-To: <87wnv09gza.fsf@HIDDEN> (Andreas Schwab's message of "Mon, 22
 Feb 2021 17:58:49 +0100")
Message-ID: <m2k0r0j6lo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Feb 22 2021, Andreas Schwab wrote:

>> One example where copy-line would be useful is editing configuration
>> files.  E.g. /etc/ssh/sshd_config list many options with the default
>> value but as comments, like so:
>>
>>   #SyslogFacility AUTH
>>   #LogLevel INFO
>>   ... other options ...
>>   
>> Now, if I want to change LogLevel to say DEBUG, I would copy the line,
>> keep the original, and edit the copied line.
>
> But you don't need the repeat count for that.  copy-from-above-command
> will work well for this task.

I didn't know about this.  But if I place point between LogLevel and
INFO and then execute M-x copy-from-above-command then the result is

 #LogLevelcility AUTH INFO

which is not what is needed in this situation.

Helmut




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 17:55:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 12:55:00 2021
Received: from localhost ([127.0.0.1]:57475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEFQB-00042U-Ob
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 12:55:00 -0500
Received: from heytings.org ([95.142.160.155]:58732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lEFQ9-00042L-Uy
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 12:54:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1614016496;
 bh=mx++9zPzYrnv8KAYmxieNu4qxZ1kHlV4JH3iSlqfv7I=;
 h=Date:From:To:Subject:In-Reply-To:Message-ID:References:From;
 b=Elf7gFusK86xoyxMExizhdoQbRzXBb95TUw9tEudUf6vd0Fp50ARmvD5XMd2fUi9E
 XqjNmjO0Osl0RMS0g5IfgWA2lcBQbuNh2muIKr8I858ARYmCrB5Hw7WKUdtYXmALHb
 iVH1Tko7yKE5al7quyM7x6cDbQIj9cek5yi8BBzpWLkNVXErwRENtqFCR7S9eaSHmV
 VGYbf3bYImY0FW2u4XPYIGEGe7lDjAx0hbtFksV7DgC5O6puFpMkh4ZbEhox5tT1Xn
 G6WJiB6YPcV5Lxd1dqIC8zv7I/8xpYnjxs2O2B/CgsixRNWcxcOKOZRo5bKNhIO1zf
 DtlozhnuCMP1w==
Date: Mon, 22 Feb 2021 17:54:56 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: 46621 <at> debbugs.gnu.org
Subject: Re: bug#46621: Copy line
In-Reply-To: <83v9akuiog.fsf@HIDDEN>
Message-ID: <a445611c3b86fae2ffea@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
 <a445611c3b0b5c11dceb@HIDDEN> <83v9akuiog.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="Ke9KLbiAVA"
Content-ID: <a445611c3b9aac77224c@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46621
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Ke9KLbiAVA
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
Content-ID: <a445611c3b6b775a93d8@HIDDEN>


>> My 2 cents: a typical case where this could be useful is:
>>
>> switch (foobar)=C2=A0{
>> case long_enum_value_name_a: printf ("a"); break;
>> case long_enum_value_name_b: printf ("b"); break;
>> case long_enum_value_name_c: printf ("c"); break;
>> case long_enum_value_name_d: printf ("d"); break;
>> case long_enum_value_name_e: printf ("e"); break;
>> case long_enum_value_name_f: printf ("f"); break;
>> case long_enum_value_name_g: printf ("g"); break;
>> case long_enum_value_name_h: printf ("h"); break;
>> case long_enum_value_name_i: printf ("i"); break;
>> default: printf ("?"); break;
>> }
>
> Here's how I'd type this:
>
>  case long_enum_value_name_a: printf ("a"); break;
>  c M-/ DEL b : p M-/ ("b"); b M-/
>  c M-/ DEL c : p M-/ ("c"); b M-/
>  c M-/ M-/ DEL d : p M-/ ("d"); b M-/
>
> etc.  (And if the series are indeed longer than a couple of lines, a=20
> rare case indeed, then a keyboard macro is in order.)
>

Yes, that's one way to do it, perhaps the most "emacsish" way to do it.=20
But it takes more keystrokes than what you write:

case long_enum_value_name_a: printf ("a"); break; RET
c M-/ SPC l M-/ DEL DEL b : SPC p M-/ SPC ("b"); b M-/ ; RET
c M-/ SPC l M-/ DEL DEL c : SPC p M-/ SPC ("c"); b M-/ ; RET
=2E..

And yes, keyboard macros can also be used.

That doesn't mean that the proposed feature wouldn't be useful; I'd say=20
it's more intuitive:

case long_enum_value_name_a: printf ("a"); break; RET
C-u 8 C-x r z
C-s a : RET
C-b C-b C-d b
C-n C-b C-d c
C-n C-b C-d d
=2E..
--Ke9KLbiAVA--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 17:16:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 12:16:59 2021
Received: from localhost ([127.0.0.1]:57445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEEpP-00038U-CX
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 12:16:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lEEpM-00038C-UG
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 12:16:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58877)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lEEpH-0004X0-H2; Mon, 22 Feb 2021 12:16:51 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4072
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lEEp7-0006Ne-SA; Mon, 22 Feb 2021 12:16:50 -0500
Date: Mon, 22 Feb 2021 19:16:31 +0200
Message-Id: <83v9akuiog.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <a445611c3b0b5c11dceb@HIDDEN> (message from Gregory
 Heytings on Mon, 22 Feb 2021 17:04:02 +0000)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
 <a445611c3b0b5c11dceb@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Mon, 22 Feb 2021 17:04:02 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> 
> My 2 cents: a typical case where this could be useful is:
> 
> switch (foobar) {
> case long_enum_value_name_a: printf ("a"); break;
> case long_enum_value_name_b: printf ("b"); break;
> case long_enum_value_name_c: printf ("c"); break;
> case long_enum_value_name_d: printf ("d"); break;
> case long_enum_value_name_e: printf ("e"); break;
> case long_enum_value_name_f: printf ("f"); break;
> case long_enum_value_name_g: printf ("g"); break;
> case long_enum_value_name_h: printf ("h"); break;
> case long_enum_value_name_i: printf ("i"); break;
> default: printf ("?"); break;
> }

Here's how I'd type this:

  case long_enum_value_name_a: printf ("a"); break;
  c M-/ DEL b : p M-/ ("b"); b M-/
  c M-/ DEL c : p M-/ ("c"); b M-/
  c M-/ M-/ DEL d : p M-/ ("d"); b M-/

etc.  (And if the series are indeed longer than a couple of lines, a
rare case indeed, then a keyboard macro is in order.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 17:09:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 12:09:19 2021
Received: from localhost ([127.0.0.1]:57426 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEEhy-0002w9-VP
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 12:09:19 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lEEhx-0002vv-Bw
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 12:09:17 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58530)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lEEhr-0003HE-Ma; Mon, 22 Feb 2021 12:09:12 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3611
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lEEho-0005PW-KI; Mon, 22 Feb 2021 12:09:09 -0500
Date: Mon, 22 Feb 2021 19:08:57 +0200
Message-Id: <83wnv0uj12.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Helmut Eller <eller.helmut@HIDDEN>
In-Reply-To: <m21rd8kqx4.fsf@HIDDEN> (message from Helmut Eller on Mon, 22
 Feb 2021 17:28:39 +0100)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
 <m21rd8kqx4.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Helmut Eller <eller.helmut@HIDDEN>
> Date: Mon, 22 Feb 2021 17:28:39 +0100
> 
> One example where copy-line would be useful is editing configuration
> files.  E.g. /etc/ssh/sshd_config list many options with the default
> value but as comments, like so:
> 
>   #SyslogFacility AUTH
>   #LogLevel INFO
>   ... other options ...
>   
> Now, if I want to change LogLevel to say DEBUG, I would copy the line,
> keep the original, and edit the copied line.

I already mentioned M-/ as the alternative.  In the above case, type
"#L M-/", and Emacs will complete to "#LogLevel".  IOW, if these cases
are considered as "repeat a previous word" rather than "copy a
previous line, then edit it", the solution already exists.  I suspect
that people who are looking for this command simply don't know about
M-/ in Emacs, because IME it's still quite a unique feature.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 17:04:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 12:04:07 2021
Received: from localhost ([127.0.0.1]:57421 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEEcx-0002ou-9m
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 12:04:07 -0500
Received: from heytings.org ([95.142.160.155]:58674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lEEcv-0002ol-7d
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 12:04:06 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1614013443;
 bh=+5xUNvVN/R0NDpqLT9dJYInYEgcCKWtQ4KtYYud6zGQ=;
 h=Date:From:To:Subject:In-Reply-To:Message-ID:References:From;
 b=KlCtjfFGnB7yziExkcovMx4HMBXO0YVMDcPVIT3nf4ACVtrhDbaPvlQMHRjeux8Fd
 h5s0X7PvHDPtLw6h7zue4xy9OQ2bI+mfFWtnjTnNygs/oi45StvF2uF/xiFZXpKEw3
 SKVIn+91H0ZzSluV192Kz4OMr6YThm2PWM2RyB0L7x/451Hi7KAXVvio9+Mzibv1ZK
 vdEyX+NZ+fXtsvTUM+3irsv7w2vQMsKWGSJo8dftlF0PMt/r7xRSE3ruiI4L3nLpIP
 VzwoBkWC3IZaiEfC15ksW7P1sE07f5ffSgL5j7m60xwAbsC9vW3lu3f1pJspvLwcUU
 ZP3uW5Y+7exkA==
Date: Mon, 22 Feb 2021 17:04:02 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: 46621 <at> debbugs.gnu.org
Subject: Re: bug#46621: Copy line
In-Reply-To: <83eeh8w1jz.fsf@HIDDEN>
Message-ID: <a445611c3b0b5c11dceb@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="J3cOYPKx8p"
Content-ID: <a445611c3b20b1c7d9c4@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46621
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--J3cOYPKx8p
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
Content-ID: <a445611c3b03d93c47cc@HIDDEN>


>
> Bottom line, if we want to consider this command, we should somehow come=
=20
> up with the relevant use cases, and then weigh them against the added=20
> complexity and maintenance costs.  I therefore urge people who think=20
> they know these details to please speak up and contribute to this=20
> discussion.
>

My 2 cents: a typical case where this could be useful is:

switch (foobar)=C2=A0{
case long_enum_value_name_a: printf ("a"); break;
case long_enum_value_name_b: printf ("b"); break;
case long_enum_value_name_c: printf ("c"); break;
case long_enum_value_name_d: printf ("d"); break;
case long_enum_value_name_e: printf ("e"); break;
case long_enum_value_name_f: printf ("f"); break;
case long_enum_value_name_g: printf ("g"); break;
case long_enum_value_name_h: printf ("h"); break;
case long_enum_value_name_i: printf ("i"); break;
default: printf ("?"); break;
}

Another typical case:

import java.util.Set;
import java.util.TreeSet;
import java.util.HashSet;
import java.util.LinkedHashSet;

I agree with Richard that this can be done with C-a C-k C-k C-y..., which=
=20
is what I've been using in such cases, but that doesn't mean that the=20
proposed command wouldn't be welcome.  I agree with Juri that Richard's=20
solution "pollutes" the kill-ring with something that the user actually=20
did not want to kill.  I would suggest the following (based on Juri's=20
code):

(defun duplicate-line (&optional arg)
   (interactive "p")
   (save-mark-and-excursion
     (dotimes (_ arg)
       (forward-line 1)
       (insert "\n")
       (forward-line -1)
       (copy-from-above-command))))
(global-set-key (kbd "C-x r z") 'duplicate-line)
--J3cOYPKx8p--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 16:58:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 11:58:58 2021
Received: from localhost ([127.0.0.1]:57404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEEXx-0002ef-Pm
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 11:58:57 -0500
Received: from mail-out.m-online.net ([212.18.0.9]:41502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1lEEXt-0002eS-II
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 11:58:57 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4DkpL31Mgxz1qsbb;
 Mon, 22 Feb 2021 17:58:50 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4DkpL26kBtz1qqkQ;
 Mon, 22 Feb 2021 17:58:50 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id I-h_cTJ3j6Jp; Mon, 22 Feb 2021 17:58:50 +0100 (CET)
X-Auth-Info: yvzgD5rbKAYZ2tZJrpTl2pbrpHrX/3Uv38AByX2qM2iUldOF8cxJjW/gJZXZKBmD
Received: from igel.home (ppp-46-244-167-177.dynamic.mnet-online.de
 [46.244.167.177])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon, 22 Feb 2021 17:58:50 +0100 (CET)
Received: by igel.home (Postfix, from userid 1000)
 id A3A8C2C372D; Mon, 22 Feb 2021 17:58:49 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Helmut Eller <eller.helmut@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
 <m21rd8kqx4.fsf@HIDDEN>
X-Yow: ...Just enough time to do my LIBERACE impression...
Date: Mon, 22 Feb 2021 17:58:49 +0100
In-Reply-To: <m21rd8kqx4.fsf@HIDDEN> (Helmut Eller's message of "Mon, 22
 Feb 2021 17:28:39 +0100")
Message-ID: <87wnv09gza.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Feb 22 2021, Helmut Eller wrote:

> On Mon, Feb 22 2021, Eli Zaretskii wrote:
>
>> More importantly, I see no description of the situations where such a
>> copy is needed, so it is hard to analyze reason about the necessity.
>
> One example where copy-line would be useful is editing configuration
> files.  E.g. /etc/ssh/sshd_config list many options with the default
> value but as comments, like so:
>
>   #SyslogFacility AUTH
>   #LogLevel INFO
>   ... other options ...
>   
> Now, if I want to change LogLevel to say DEBUG, I would copy the line,
> keep the original, and edit the copied line.

But you don't need the repeat count for that.  copy-from-above-command
will work well for this task.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Feb 2021 16:29:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 11:29:12 2021
Received: from localhost ([127.0.0.1]:57358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEE5A-0001ut-0L
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 11:29:12 -0500
Received: from lists.gnu.org ([209.51.188.17]:39008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lEE4u-0001uC-7t
 for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 11:29:09 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:58354)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lEE4t-00049N-5j
 for bug-gnu-emacs@HIDDEN; Mon, 22 Feb 2021 11:28:56 -0500
Received: from ciao.gmane.io ([116.202.254.214]:54698)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lEE4r-00057E-Pc
 for bug-gnu-emacs@HIDDEN; Mon, 22 Feb 2021 11:28:54 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lEE4p-0009o0-Ll
 for bug-gnu-emacs@HIDDEN; Mon, 22 Feb 2021 17:28:51 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Helmut Eller <eller.helmut@HIDDEN>
Subject: Re: bug#46621: Copy line
Date: Mon, 22 Feb 2021 17:28:39 +0100
Message-ID: <m21rd8kqx4.fsf@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN> <83eeh8w1jz.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Cancel-Lock: sha1:+pV6/2aAG+GOVUrFUqZVL54Akrs=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, Feb 22 2021, Eli Zaretskii wrote: > More importantly,
 I see no description of the situations where such a > copy is needed, so
 it is hard to analyze reason about the necessity. One example where copy-line
 would be useful is editing configuration files. E.g. /etc/ssh/sshd_config
 list many options with the default value but as comments, like so: 
 Content analysis details:   (2.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.51.188.17 listed in wl.mailspike.net]
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=geb-bug-gnu-emacs%40m.gmane-mx.org; ip=209.51.188.17; r=debbugs.gnu.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (eller.helmut[at]gmail.com)
 1.0 FORGED_GMAIL_RCVD      'From' gmail.com does not match 'Received'
 headers
 0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Mon, Feb 22 2021, Eli Zaretskii wrote:

> More importantly, I see no description of the situations where such a
> copy is needed, so it is hard to analyze reason about the necessity.

One example where copy-line would be useful is editing configuration
files.  E.g. /etc/ssh/sshd_config list many options with the default
value but as comments, like so:

  #SyslogFacility AUTH
  #LogLevel INFO
  ... other options ...
  
Now, if I want to change LogLevel to say DEBUG, I would copy the line,
keep the original, and edit the copied line.

Not hard to do in Emacs, but somehow the vi way of doing this feels more
efficient.

Helmut





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 15:45:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 10:45:52 2021
Received: from localhost ([127.0.0.1]:57244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEDPE-0000iZ-IX
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 10:45:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lEDPC-0000iJ-Ps
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 10:45:51 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56731)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lEDP2-0007MI-2Q; Mon, 22 Feb 2021 10:45:42 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2423
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lEDOq-0006r0-BZ; Mon, 22 Feb 2021 10:45:30 -0500
Date: Mon, 22 Feb 2021 17:45:18 +0200
Message-Id: <83czwsw1gx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87zgzxi33r.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 21 Feb 2021 22:37:28 +0200)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
 <87zgzxi33r.fsf@HIDDEN>
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, rms@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Juri Linkov <juri@HIDDEN>
> Cc: bug-gnu-emacs@HIDDEN, Richard Stallman <rms@HIDDEN>,
>   46621 <at> debbugs.gnu.org, larsi@HIDDEN, mardani29@HIDDEN
> Date: Sun, 21 Feb 2021 22:37:28 +0200
> 
> > Also, let's not forget that Emacs has keyboard macros, and those can
> > be run with a repeat count.
> 
> This is how long it takes with keyboard macros:
> 
>   C-a C-k C-k C-x ( C-y C-x ) C-10 C-x e

But that's a one-time investment.  Thereafter one can bind this to a
key and save it to the init file.

So counting the keystrokes required for defining the macro is not
unlike counting keystrokes required for coding the function you
propose.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 15:43:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 10:43:59 2021
Received: from localhost ([127.0.0.1]:57240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEDNP-0000eo-3B
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 10:43:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lEDNN-0000eY-8F
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 10:43:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56682)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lEDNH-0006UA-Ok; Mon, 22 Feb 2021 10:43:51 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2308
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lEDN6-0006g5-0C; Mon, 22 Feb 2021 10:43:40 -0500
Date: Mon, 22 Feb 2021 17:43:28 +0200
Message-Id: <83eeh8w1jz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87sg5o8nk9.fsf@HIDDEN> (message from Juri Linkov on
 Mon, 22 Feb 2021 11:07:58 +0200)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
 <87sg5o8nk9.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, rms@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Juri Linkov <juri@HIDDEN>
> Date: Mon, 22 Feb 2021 11:07:58 +0200
> Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, mardani29@HIDDEN
> 
> >   > It's not realistic to change the meaning of the numeric arg to C-y.
> >   > People already use the current meaning for decades.
> >
> > We could inquire of the users to see what they think about the issue.
> 
> Every once in a while the lack of such fundamental command sparks very
> long discussions how to reinvent the wheel.  Some recent examples:

Thanks for the links.

However, I don't think they add anything substantial to this
discussion.  For starters, many posters there just wanted to know how
many keystrokes it takes in Emacs to copy a line, and some even said
they wanted to compare the result with Vim.  They don't necessarily
ask for a command or a single short key sequence to do that, at least
not in every post.

More importantly, I see no description of the situations where such a
copy is needed, so it is hard to analyze reason about the necessity.
For example, perhaps some of the posters wanted this because they are
unaware of some existing Emacs features which can do the job
efficiently enough.

This is why I asked here to describe the use cases, i.e. the
situations where such a command would be needed.  I didn't get any
answers to that, AFAIR.  Just one person posted his experiences.

Without knowing what situations necessitate such a command, I don't
see how we will be able to reason whether the needs justify adding the
command.  And reason we must, because we cannot possibly implement
feature after feature just because someone asks about it on
stackexchange.

> The proposed tiny 8-line patch was intended to help people avoid
> wasting their time on such trivial things.

Yes, this command is relatively small.  But we must have some criteria
for adding new commands and features, because otherwise we will add 8
lines, then another 10 lines, then 5 more, etc. etc.  These things add
up, and that's even before you consider the supporting docs and other
consequences.

Bottom line, if we want to consider this command, we should somehow
come up with the relevant use cases, and then weigh them against the
added complexity and maintenance costs.  I therefore urge people who
think they know these details to please speak up and contribute to
this discussion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 09:41:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 04:41:19 2021
Received: from localhost ([127.0.0.1]:55663 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lE7iR-0005wY-95
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 04:41:19 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:41059)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lE7iP-0005wK-Cc
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 04:41:18 -0500
X-Originating-IP: 91.129.96.116
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 96BB41C001A;
 Mon, 22 Feb 2021 09:41:09 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#46621: Copy line
Organization: LINKOV.NET
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN> <E1lE4cZ-0006uo-SH@HIDDEN>
Date: Mon, 22 Feb 2021 11:07:58 +0200
In-Reply-To: <E1lE4cZ-0006uo-SH@HIDDEN> (Richard Stallman's message
 of "Mon, 22 Feb 2021 01:23:03 -0500")
Message-ID: <87sg5o8nk9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>   > It's not realistic to change the meaning of the numeric arg to C-y.
>   > People already use the current meaning for decades.
>
> We could inquire of the users to see what they think about the issue.

Every once in a while the lack of such fundamental command sparks very
long discussions how to reinvent the wheel.  Some recent examples:

https://stackoverflow.com/questions/88399/how-do-i-duplicate-a-whole-line-in-emacs
https://stackoverflow.com/questions/88399/how-do-i-duplicate-a-whole-line-in-emacs?page=2
https://stackoverflow.com/questions/27129147/efficent-way-to-copy-and-paste-a-line
https://stackoverflow.com/questions/12132601/duplicating-the-current-line
https://emacs.stackexchange.com/questions/22705/quickly-duplicate-line-and-increase-number-for-lots-of-lines
https://old.reddit.com/r/emacs/comments/lkyadp/weekly_tipstricketc_thread/gnnniq3/
https://old.reddit.com/r/emacs/comments/jvpccf/weekly_tipstricketc_thread/gcr8h68/
https://old.reddit.com/r/emacs/comments/jwhr6g/batteries_included_with_emacs/gcqdmp9/
with questions like from the last:

  Why does emacs doesn't have a built-in ergonomic way to duplicate a line?
  Genuinely curious, seems like something fundamental.  Guess it is one of
  the reasons evil-mode has rise so much.  Any new comer will feel disgusted
  by having to do C-a C-space C-e M-w and more keystrokes to place it

The proposed tiny 8-line patch was intended to help people avoid
wasting their time on such trivial things.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 06:23:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 01:23:12 2021
Received: from localhost ([127.0.0.1]:55407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lE4ci-0007FH-0k
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 01:23:12 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1lE4cg-0007F3-7f
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 01:23:10 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48425)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1lE4ca-000812-PP; Mon, 22 Feb 2021 01:23:04 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1lE4cZ-0006uo-SH; Mon, 22 Feb 2021 01:23:04 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87im6lls1r.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 21 Feb 2021 10:54:24 +0200)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
Message-Id: <E1lE4cZ-0006uo-SH@HIDDEN>
Date: Mon, 22 Feb 2021 01:23:03 -0500
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Once in a while I want to do that.  It is easy: C-a C-k C-k,
  > > they C-y as many times as needed.

  > Let's compare these two solutions.  Trying to copy 10 lines:

  >   C-a C-k C-k C-y C-y C-y C-y C-y C-y C-y C-y C-y C-y

  > and adds an unrequested entry to the kill ring
  > that the user needs to remove from the kill ring later.

With my proposd change to C-y, it would be

   C-a C-k C-k C-u 12 C-y

and it would not require the user to make a new key binding.

Changing the contents of the kill ring is not a drawback.
It is the normal way you move text around in Emacs.

  > It's not realistic to change the meaning of the numeric arg to C-y.
  > People already use the current meaning for decades.

We could inquire of the users to see what they think about the issue.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 22 Feb 2021 06:22:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 01:22:25 2021
Received: from localhost ([127.0.0.1]:55399 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lE4bt-0007DK-Ql
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 01:22:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1lE4br-0007D6-5x
 for 46621 <at> debbugs.gnu.org; Mon, 22 Feb 2021 01:22:20 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48392)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1lE4bl-0007bw-OX; Mon, 22 Feb 2021 01:22:13 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1lE4bk-0006lF-LE; Mon, 22 Feb 2021 01:22:12 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87czwtlg3w.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 21 Feb 2021 14:12:19 +0100)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN> <87czwtlg3w.fsf@HIDDEN>
Message-Id: <E1lE4bk-0006lF-LE@HIDDEN>
Date: Mon, 22 Feb 2021 01:22:12 -0500
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, eliz@HIDDEN, mardani29@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > What is the use case for an Emacs user to need to copy a line 12
  > > times, and is it frequent enough to justify binding the command to a
  > > key, and to C-c key on top of that?

  > That users are asking about a command like this on stackexchange seems to
  > indicate that some users would find this useful.

Sure, but how much?  Is it enough interest that we should cater to it?

Adding to Emacs every function or command that some users would like
would make it even more bloated.  Of course, we add commands, but we
should make sure each one is substantially useful.



-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Feb 2021 23:04:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 18:04:14 2021
Received: from localhost ([127.0.0.1]:55190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDxlt-0005J0-Mx
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 18:04:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:43744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lDxlq-0005Ip-Hk
 for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 18:04:11 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39860)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lDxlq-0008Lv-B9
 for bug-gnu-emacs@HIDDEN; Sun, 21 Feb 2021 18:04:10 -0500
Received: from ciao.gmane.io ([116.202.254.214]:43138)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lDxlo-0003yV-QY
 for bug-gnu-emacs@HIDDEN; Sun, 21 Feb 2021 18:04:10 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lDxlm-0007tj-Ad
 for bug-gnu-emacs@HIDDEN; Mon, 22 Feb 2021 00:04:06 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Howard Melman <hmelman@HIDDEN>
Subject: Re: bug#46621: Copy line
Date: Sun, 21 Feb 2021 18:04:00 -0500
Message-ID: <lyblcddnvj.fsf@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
Cancel-Lock: sha1:gYtOrIxbydI2vx0jnC+uBnaw7Qw=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Juri Linkov <juri@HIDDEN> writes:

>> Once in a while I want to do that.  It is easy: C-a C-k C-k,
>> they C-y as many times as needed.

I do this occasionally.  Usually it's in something like
markdown-mode.  Typically I'm creating lists and want to
write out a bunch of formatting characters before going back
and filling in text.  So I might want 10-12 lines like:

    - [ ]

which is a markdown list item with a checkbox, before going
back and filing in text without having to type odd
punctuation characters.  Sometimes I might put a date string
in there too or some other prefix string.

It's emacs I can do this many different ways.  I might do
the C-a C-k C-k C-y C-y ... dance.  Typically I'll make 4
lines then kill those 4 lines and yank them 3 times.  I
might just type my text and then go back and use
string-rectangle to insert the markup.  If it were more
involved I might use a macro.

If there were a duplicate-line command that took an arg to
duplicate it arg times I'd probably start using that.  I
probably wouldn't bother to write it myself (I haven't in
30+ years).

>> Instead of a command to duplicate the current line repeatedly,
>> how about a command to yank the current kill repeatedly?
>> That would be useful in a much broader range of situations.
>>
>> I wonder if the current meaning of the numeric argument to C-y (reach
>> back in the kill ring) is actually useful.  Would it be better for
>> it to repeat the yank in this way?
>
> It's not realistic to change the meaning of the numeric arg to C-y.
> People already use the current meaning for decades.

Actually, I'd like that and this is a place where I think
completion systems influence that decision.

I don't use an arg to C-y.  If I want something from the
kill-ring that isn't the last thing, I'll C-y and then M-y
until I get it.  I'm not remembering I want the 3rd to last
thing I killed and if I'm off by one I think it's a pain to
fix.  I might do that if I were writing a complex keyboard
macro and concentrating for it but I'd probably use
registers instead.

But in particular with modern completion systems I'd
definitely like this change to yank's arg.  While I do C-y
M-y for simple stuff, if I want something I've yanked from
longer ago, instead I'll use something like consult-yank or
counsel-yank.  These use the kill-region as completion
candidates and show the candidates, one per line, in the
minibuffer with all the completion tools available (most
have options to cope with multi-line text).  I bind it to
M-y globally so if I want to yank something old I skip C-y
entirely and just type M-y and then might use completion and
narrowing if I don't see it near the top of the list.  As a
result, the current arg to C-y is useless to me because
completion offers a much better experience.

-- 

Howard





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 22:06:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 17:06:21 2021
Received: from localhost ([127.0.0.1]:55112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDwrt-0003tP-FQ
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 17:06:21 -0500
Received: from aserp2130.oracle.com ([141.146.126.79]:38918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lDwrq-0003t7-8k
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 17:06:20 -0500
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11LM5Vpf047209;
 Sun, 21 Feb 2021 22:06:12 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=p1c4QVk4b6QczL1Mnflt9wpCRHoisT3cwCkpQAddhNA=;
 b=G2EU8KaCdald3ta1MvJcsFAQ1pyJ3Fxd/Rt+VFBwSb2D45kVaAtPceqgT2mAnXZDq02L
 z+b1Xahjaph+Gg0svEXeBME9RpVCvcMJIDCGQ9rTwD3bpcWQLyPOgVJ+fFh9pRNI9YoR
 YfA0AjyI9Gxb/vgazHjuU7t6T4pEGnOQzAcOIf4mcQ7p+ClaN1qd5BlsSBVHNyKXwiOG
 Ice0ojxx5xbWgXeqfWUTAOl7BljeVwDbqHw3580zaWoBX2I5GnX0J4/MrjpnCeEHdl/d
 eoZFuPYYZDOlrw9qWKcZQsL6bkY7X1UAtYIBw+AkGtabGi0hYh81L28TuSDQkNW4rnAV 8w== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by aserp2130.oracle.com with ESMTP id 36tqxba2fs-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 21 Feb 2021 22:06:12 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11LM0TEd152488;
 Sun, 21 Feb 2021 22:06:11 GMT
Received: from nam10-bn7-obe.outbound.protection.outlook.com
 (mail-bn7nam10lp2101.outbound.protection.outlook.com [104.47.70.101])
 by aserp3020.oracle.com with ESMTP id 36ucawc15g-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 21 Feb 2021 22:06:11 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Y1M6Bs1JDfMk0WzNbtUBdv5IVr7eUue2NpWKo8cLDVg5mO3rSx4DKZw+GukDCpidlnhvAr0QT6n8hGHvZx311UTMGZK6zVSVGU7G023vJeX0UU9axnvhG5y1VNO4x8YL7JPmzuDR9cznCQc38fU+1Gcqe4oOiUgNYO+HFZQ8gv2Y51fuaCDhZVIpy1gFqWRSNo25yxOvcO1q3MKIaTUBXVe7ngqK0z9Q5lEYCXSn+VYW1VxjvIaoDNCr97xlELiXgJdXYdMw2wQ0Ry58e/0uyoR1uXTKutwulpoBz2GfkrrpCjPQm9FC9zbOhfvJcjj9wbB1lafSSzVasQcwwLXGgQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=p1c4QVk4b6QczL1Mnflt9wpCRHoisT3cwCkpQAddhNA=;
 b=jbcptkE5D5qr/MwZHyPtgJE2RUPCsfLY5cEF6XAYHLMonNl5LSX+3X9m5HeYHlg/3JhAI35WwJSM4P4HCTC7f9d3WyMLXF109kWO2BiFodau6PbJqtGqjfFnduxGRS+MhCXZc02scZ8DVwLk00/LjwJ53aoG2wPSm5nTbOJ7MNikFdSjUob5uznGdG1gdiolmC84fPTqA3qW0NqBA9oZB2GY5mAvsds0QZJJTgnLughALU6LRCAE/8pbgNWIoZWjRmuzQBXfAygH9iKBIdIsDuv4mvVwqnBevOsOZ8xFCuG2ZfwDqMJlKmqCaR4HtSMuySCWdXrbmcTs8bS+GQ2QYA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=p1c4QVk4b6QczL1Mnflt9wpCRHoisT3cwCkpQAddhNA=;
 b=UXVYruqlXpxAFLKJgokwlaQRIAadJJTc6+Cz1EMYbPnv/MK5FPZWzXvxhobFWlBgAThqfGeMhjxe1qSglvDEFYgeWibqPPQpc4Wr16UUUvByrU4gRuhya4vE7FYknVNIbMfi5icF0dOszG+KA+VD0k8Z3iYtN6T2wP4lJYu23xc=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2669.namprd10.prod.outlook.com (2603:10b6:805:40::18)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3846.26; Sun, 21 Feb
 2021 22:06:08 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3868.032; Sun, 21 Feb 2021
 22:06:08 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: [External] : bug#46621: Copy line
Thread-Topic: [External] : bug#46621: Copy line
Thread-Index: AQHXCJaKHFA+NHLuwk2LRZzNUsK0EKpjJ46Q
Date: Sun, 21 Feb 2021 22:06:08 +0000
Message-ID: <SA2PR10MB4474236DAE76690C807B1AABF3829@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
 <87zgzxi33r.fsf@HIDDEN>
In-Reply-To: <87zgzxi33r.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: linkov.net; dkim=none (message not signed)
 header.d=none;linkov.net; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: e6b7160a-ee2f-437f-c2f9-08d8d6b4e469
x-ms-traffictypediagnostic: SN6PR10MB2669:
x-microsoft-antispam-prvs: <SN6PR10MB266972230FD60AE11F07BBF6F3829@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7219;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: FaxCqn1coyo7EdQoOjFE0ue40LRipr/QtXQgx8G3uQXFopP/FsSiLGa1sUqqFpTvlEo8YUuR916NzFKB0m2F1IY2vUaKwMrCWj9gOi+TjV+n7psDmb1RgpVSkxgXWWw9A+TZl48PQJ1Y7hNmGnQkJvovCqaJHeF0B3wg3faSz5schzDyEupPVXZ+yBxY0UZeRjwkIT09UXlvVrO6OqaBeoWYOJj8Rw09K5YydiBtx5X3Fk2SuzPO0GZElcb03YyQZhk/NWuv8WbbKAeIhjwGumvrPd/N8u+a5HLjNMfYggAsVr1qwqyZvuQkIhs6JtWNeW8GS0Afv1ILj5kVmlC/TCJ6fET5M1q/DdENq8PqsW9ljzyjdoFdJhvTwas+9GulrXXu5cgnAsuFMzogaSzLQ7Or/KZ6VOIqpi63e6VjXmPOV/dFgd+6BOhKjUlb8SxGWSvJeBhlgdQauhLyIbvbocO13K68wXE4UamD2PcJ3yEKxyk687YkcBRLTaST6H2Au8J9kauD8zEKNOXKXXjPIQ==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(396003)(376002)(39860400002)(346002)(136003)(366004)(2906002)(4326008)(316002)(26005)(186003)(76116006)(54906003)(7696005)(66446008)(6506007)(66946007)(110136005)(44832011)(86362001)(71200400001)(33656002)(52536014)(64756008)(66556008)(55016002)(9686003)(8936002)(478600001)(83380400001)(66476007)(8676002)(5660300002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?+ht9fWf4EbN66nfeKSS1atHr9bjegSOPte8v8YjvnGIxRrTn5ZyUwuve7br9?=
 =?us-ascii?Q?j1nzckr8qinz/OqSsRzbijjnhvoYN2+8sCwTvLBcIOWsqFEn2T/Rt5QU3QYz?=
 =?us-ascii?Q?gPyfjPtmFg/k52AkDnft/GXuslaXIKiXjeWADWwYJGCVOC77SfJHnkB85Sr9?=
 =?us-ascii?Q?rl74t5QqEPwmh/EEaZ4Xui/QI6B8tyKes8yH6GY+5SO4ZFy8Czfiohji6SMn?=
 =?us-ascii?Q?L045u+JllG/BhM37CzkMK01GLR9vfVITnYhz6+DMjDgzZ+JjZMzFVx1ktT4X?=
 =?us-ascii?Q?3qC3+CMz460vnyb94fG4+d9WLQ1x+N8W+UwZMWyVWIe62v+x89Qd3LAiIBOy?=
 =?us-ascii?Q?B9sMvBG0+3LYf/0Q7YUt/tfLkxSBdVMtrzdtZW2Xp7pEg42i+K3RE3N2D4Xj?=
 =?us-ascii?Q?NqGom+bfSppLXwANlirp7HvZIRXkZTpSA7/aHhsoNyxSvkbvAg06T/qvjEhr?=
 =?us-ascii?Q?/OurRmzIsWRfkFip87xeL6RH+DUGAxM4u1MxPFDQfPLVzp0iuGJcI2d4MCC/?=
 =?us-ascii?Q?b5qz2kUC1wKwD/Hn0nd3VfZq7mjd/z7vJJBhxPk0T483iXc4dxfK6bGlY5V8?=
 =?us-ascii?Q?2oiSQRf2C0HKHlARAphWRLAPQy2f4uKSDQAiBtFPe6WxSBpSsDkWZNZgSwcx?=
 =?us-ascii?Q?L5Rv9z/eksoW/ha76Uw/PBiy4JCyiBTpe7OdxG4j3lGicuw3ZB5wXao0u9OQ?=
 =?us-ascii?Q?sPxPktLyyJPucEqsdIujV35HdahebT0Uh8CQJoCT2zwljSy461rsT91WHie7?=
 =?us-ascii?Q?9CGMpyXFy0bFh4ln/cK5JCbJKWhTX82wrWS0YC6X0oQyzdQjAXSVF19DO/p9?=
 =?us-ascii?Q?982ENcFOfzPw/XaTQUDghGmCunkv2XJYV8/67nl+HHloG4j0DgiFXwTVieH2?=
 =?us-ascii?Q?mZ27fryY19GkyJmtu2yMeG6KFLY+4/JQQ8SVmkMCCKfJ/KceHbw7eqVf9jnH?=
 =?us-ascii?Q?H7zJiQnZ4KM18c/0a8VMCnJv+4RZsRR1ybo9sNg/tpnk3W6KRESsV+QxkcP6?=
 =?us-ascii?Q?vUK9QVbD2FTFEU9FWvhYB8ailmNMpilAmxa6Ln0PUExtfBzttnY4Y7sUYhCb?=
 =?us-ascii?Q?5+DCMUasbloRktgjukDp5/fau9SGqe5XUbJVUBpR1MisKMGzfKjFVtNweu5c?=
 =?us-ascii?Q?K4dU2EaomIHHd7+lYOeybqGjPeUHQGtsDULMgtJFHtONNpF2e6VAAFOeYrWy?=
 =?us-ascii?Q?rb3vtBBWmXRjmq3aYqc8CafbyPWFh9IPE4JwvlJxGpC9cdoiD7zVexOV2SRw?=
 =?us-ascii?Q?k0r4M6yQ7NzJ7hlm9xz1d6QuOSILlWKIyv7IIQOS19qw88/J1aYZlpL5s5Z8?=
 =?us-ascii?Q?AITv8hwmDMUD5Bab+XeWtkj3?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: e6b7160a-ee2f-437f-c2f9-08d8d6b4e469
X-MS-Exchange-CrossTenant-originalarrivaltime: 21 Feb 2021 22:06:08.5906 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: EVmWZraMYO2BNHa9kbhL2edwI7zVX8NL6yhOfy+jbp84YHuTqltCOcWWkeXI1K37tWGAR9XW4T081LAVo8iubg==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2669
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9902
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 suspectscore=0
 malwarescore=0 mlxlogscore=812 adultscore=0 bulkscore=0 mlxscore=0
 phishscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2102210225
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9902
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 impostorscore=0
 phishscore=0
 mlxlogscore=999 malwarescore=0 clxscore=1015 suspectscore=0
 lowpriorityscore=0 bulkscore=0 adultscore=0 priorityscore=1501 mlxscore=0
 spamscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2102210226
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: "46621 <at> debbugs.gnu.org" <46621 <at> debbugs.gnu.org>,
 "larsi@HIDDEN" <larsi@HIDDEN>, "rms@HIDDEN" <rms@HIDDEN>,
 "mardani29@HIDDEN" <mardani29@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> I can't prove if such convention of 'C-c letter' for
> user keys really exists, I can't find it in the manual.

In the Elisp manual, `i key bind TAB':

 key binding
 key binding, conventions for

Or `i conven TAB': (with substring matching):

 buffer display conventions
 coding conventions in Emacs Lisp=20
 comments, Lisp convention for
 conventions for writing major modes=20
 conventions for writing minor modes
 documentation conventions=20
 documentation strings, conventions and tips
 key binding, conventions for=20
 major mode conventions
 minor mode conventions=20
 programming conventions
 set-advertised-calling-convention=20
 typographic conventions

(Yet another advertisement for completion candidates
as an aid to discovery.)

Candidate `key binding, conventions for' takes you
to node `Key Binding Conventions', where you find
this, among other conventions:

  Don't define 'C-c LETTER' as a key in Lisp programs.
  Sequences consisting of 'C-c' and a letter (either
  upper or lower case) are reserved for users; they
  are the *only* sequences reserved for users, so do
  not block them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 21:13:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 16:13:56 2021
Received: from localhost ([127.0.0.1]:55064 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDw3A-0000Ya-IT
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 16:13:56 -0500
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:51477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lDw35-0000YD-Ix
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 16:13:54 -0500
X-Originating-IP: 91.129.96.116
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id DEE451BF204;
 Sun, 21 Feb 2021 21:13:42 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46621: Copy line
Organization: LINKOV.NET
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
Date: Sun, 21 Feb 2021 22:37:28 +0200
In-Reply-To: <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN> (Eli Zaretskii's
 message of "Sun, 21 Feb 2021 12:41:47 +0200")
Message-ID: <87zgzxi33r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, bug-gnu-emacs@HIDDEN,
 Richard Stallman <rms@HIDDEN>, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> > Once in a while I want to do that.  It is easy: C-a C-k C-k,
>> > they C-y as many times as needed.
>>
>> Let's compare these two solutions.  Trying to copy 10 lines:
>>
>>   C-a C-k C-k C-y C-y C-y C-y C-y C-y C-y C-y C-y C-y
>>
>> and adds an unrequested entry to the kill ring
>> that the user needs to remove from the kill ring later.
>>
>> When bound to a short key, it's just
>>
>>   C-12 C-c c
>>
>> and doesn't change the contents of the kill ring.
>
> What is the use case for an Emacs user to need to copy a line 12
> times, and is it frequent enough

Yes, it is frequently used, as these Q&A sites indicate.

> to justify binding the command to a key, and to C-c key on top
> of that?

ISTR, 'C-c letter' keys are reserved for users, so users can bind the
command to 'C-c c' or any other short key.  But I can't prove if such
convention of 'C-c letter' for user keys really exists, I can't find it
in the manual.

Or it could be bound to some short key sequence by default.
Even without a keybinding the key sequence is very short:

  M-10 M-x dup RET

> Also, let's not forget that Emacs has keyboard macros, and those can
> be run with a repeat count.

This is how long it takes with keyboard macros:

  C-a C-k C-k C-x ( C-y C-x ) C-10 C-x e




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Feb 2021 21:13:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 16:13:57 2021
Received: from localhost ([127.0.0.1]:55066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDw3A-0000Yc-PY
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 16:13:57 -0500
Received: from lists.gnu.org ([209.51.188.17]:37984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lDw37-0000YM-4L
 for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 16:13:55 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:49302)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1lDw36-0004ew-R4
 for bug-gnu-emacs@HIDDEN; Sun, 21 Feb 2021 16:13:52 -0500
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:37715)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>)
 id 1lDw34-0005RK-5a; Sun, 21 Feb 2021 16:13:52 -0500
X-Originating-IP: 91.129.96.116
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id DEE451BF204;
 Sun, 21 Feb 2021 21:13:42 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46621: Copy line
Organization: LINKOV.NET
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
Date: Sun, 21 Feb 2021 22:37:28 +0200
In-Reply-To: <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN> (Eli Zaretskii's
 message of "Sun, 21 Feb 2021 12:41:47 +0200")
Message-ID: <87zgzxi33r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=217.70.183.201; envelope-from=juri@HIDDEN;
 helo=relay8-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, bug-gnu-emacs@HIDDEN,
 Richard Stallman <rms@HIDDEN>, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

>> > Once in a while I want to do that.  It is easy: C-a C-k C-k,
>> > they C-y as many times as needed.
>>
>> Let's compare these two solutions.  Trying to copy 10 lines:
>>
>>   C-a C-k C-k C-y C-y C-y C-y C-y C-y C-y C-y C-y C-y
>>
>> and adds an unrequested entry to the kill ring
>> that the user needs to remove from the kill ring later.
>>
>> When bound to a short key, it's just
>>
>>   C-12 C-c c
>>
>> and doesn't change the contents of the kill ring.
>
> What is the use case for an Emacs user to need to copy a line 12
> times, and is it frequent enough

Yes, it is frequently used, as these Q&A sites indicate.

> to justify binding the command to a key, and to C-c key on top
> of that?

ISTR, 'C-c letter' keys are reserved for users, so users can bind the
command to 'C-c c' or any other short key.  But I can't prove if such
convention of 'C-c letter' for user keys really exists, I can't find it
in the manual.

Or it could be bound to some short key sequence by default.
Even without a keybinding the key sequence is very short:

  M-10 M-x dup RET

> Also, let's not forget that Emacs has keyboard macros, and those can
> be run with a repeat count.

This is how long it takes with keyboard macros:

  C-a C-k C-k C-x ( C-y C-x ) C-10 C-x e




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 18:00:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 13:00:21 2021
Received: from localhost ([127.0.0.1]:54774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDt1o-00026X-Tr
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 13:00:21 -0500
Received: from aserp2120.oracle.com ([141.146.126.78]:34728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lDt1l-00026H-RP
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 13:00:18 -0500
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11LI0C5d135506;
 Sun, 21 Feb 2021 18:00:12 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=mmYK0hcOQI5dc/fOFblKtlhVBtxP9TDUAI/F6tHHkk0=;
 b=Mju7Nym7iB4ZaYKmFlU7HQdqmiF9Cted9m6GtdcvimD1p8OcczC5WzCdXC1L1MmNm+Do
 nWtJVKqDrcDRAMO2EJy0a2GiYQnvIUc/rAWt115ENAf1qRJuR9f5C/2XFS2JZbPBVRkj
 LsWn5pWRGet6X7BY4DRBx4iS7MfUp+LBzfLK2hwOTfIqwYU1YAf0n5Gba7qB6/Wd+1FF
 +jb6W6CFAAGlFfOq2Vk3AGFfxES7h9IatKIMdco1FwTqV7iPMLEQv71gNW9+r84XuOM1
 eoGWcM39Bs7DkI3KKu+ocC/ilUDYGMu+LgwG3rdV+NsoMJLafgGAaP/0oFeMMHBhpZb+ Eg== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by aserp2120.oracle.com with ESMTP id 36ttcm1t68-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 21 Feb 2021 18:00:11 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11LI00Y2097572;
 Sun, 21 Feb 2021 18:00:11 GMT
Received: from nam12-mw2-obe.outbound.protection.outlook.com
 (mail-mw2nam12lp2046.outbound.protection.outlook.com [104.47.66.46])
 by userp3020.oracle.com with ESMTP id 36uc6phqe9-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 21 Feb 2021 18:00:10 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=kjK/Mbwj5Kvkbz5eDCatQy+EzoQBsHiDq/eav1Fujy/jF9ownjxSuaPk+FmsN23XxdPa67+Uv/2EyDJOGYTjmfta2SZHw4mJnPmrJcYn5JJY0bWm5L96lWSx//vEQUouUpDO7SIEamKIgYjuFomeWmeDVm/2mckJ9/cI1MAWarFHSw+w9oZmQyIQTJO5ZDWK4PXEhDqtv7AwgxjQSZVPsirH6DjJ0f5qH/qPsTNm1E4rj6OeEAxVSf+KcdulbzsLiL6p9pHQsBn5LY2uZwndcnnxI6LPu+QVPbfgs9Qff9KvP7yYomjiWpN23zsVzebrf6kzVZCW2OZbmAS4soSfVA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=mmYK0hcOQI5dc/fOFblKtlhVBtxP9TDUAI/F6tHHkk0=;
 b=WZ5BlgIWR4fkHpynut37gwhYI3DossEdIYsVUWG/OdOYOF5tvABQS8Hd/1HS4N0TwP5pseVep17x0411lJ0Nqb7M9pAwlQHvcAUfOJKMmv8zliO+fc51Qee87E36ou0q0tQ8uL6t/58cY+trj4Xo8jzkp2uhTD8m/iLMevbgdoaRr8X8gXErLs/scIy8TgdP1BTcnrzpJc++PkPSbUrz1mT+qnBWe1b0BX8qDH6TVvFngz7oeTMKNFYsJeVNxhVtnypwvNPf7rZ5oPY7Y9yIeJmDe6UqAJ4j0pZKddOF3vrHRmo2cBOVBTU/cdvhy9GMBByLEzsGUcMIvzD7q48qZQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=mmYK0hcOQI5dc/fOFblKtlhVBtxP9TDUAI/F6tHHkk0=;
 b=xfLTAxnipeBO4ej9VFPPLlS7TNBU8Bf6bKhSH7Pq00j9L5znOejJFmJLh/d7KeHKHQ6kLqK9UP9MGoM37GDO3rmIMW4X3lS+igrdr1o6aXojXVZNCQqw9QVIEcfF11l7WsLMHbwS4ule+GGsPYZVp7a+5a+K00zQ0VAX6XEoSdw=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4457.namprd10.prod.outlook.com (2603:10b6:806:115::16)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3868.31; Sun, 21 Feb
 2021 18:00:09 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3868.032; Sun, 21 Feb 2021
 18:00:09 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: [External] : bug#46621: Copy line
Thread-Topic: [External] : bug#46621: Copy line
Thread-Index: AQHXCGmIz2bwcoBYQ066HwLjMktBYKpi5UiQ
Date: Sun, 21 Feb 2021 18:00:08 +0000
Message-ID: <SA2PR10MB4474BDBEAF17A2786CB2F59CF3829@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN> <87czwtlg3w.fsf@HIDDEN>
 <ACDF8189-C752-40AF-969B-70DD11D004E6@HIDDEN> <8735xpju61.fsf@HIDDEN>
In-Reply-To: <8735xpju61.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 5f58bbc0-c4fd-4075-b00d-08d8d69286f0
x-ms-traffictypediagnostic: SA2PR10MB4457:
x-microsoft-antispam-prvs: <SA2PR10MB445752B9CB16CFE8CB3927F5F3829@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8273;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: A89OGMRhR9VMq0YJ1qnhQucWpCin11zKIRDL1etjFlQqIyUbNTn67hU44TxDJif6eZsGJ4S3FZ9KmkIvh1+EC5KHouKAE/TfoIH9r0yS0PHIh5eXMz1cQfYn+ni+14AlSy3ZIZIjpIgq/uLwAB+OgBkF1MP9QY1Lb49yp/PeApw5Q5D0AovnoaSunzpEbTJ+YWK96Iypa6DBGMYhd66A7i8JErksIuVcdnvYA13OKVUOT88RR8o+sC9nu34lN7hpwuGSv2K9l/J3RkRMHBSUC7Qs/TzBQ5WdlS56ymzF6Yu+/0/j9y47phTeMSnlMnLk2IXQK92lbrjV/+nhXprPFhrYwuiu0TOFugE6U+dA+2213nGR6HRVVs7M6K+uij4rxgPkI1vVgEO+pIZas88sHzeNQOULANgEVKrFea7VWs2O/WbXROdzeua2Qyr73Qy9RocicAW8IL8J1zhHwr6Sx5dPLaNpAwgNL2ZgBQSZIcn6YPeY+TKI+vZmPaSdYpuZNjEtZVDtUXU5z8etNkQLtw==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(396003)(376002)(39860400002)(136003)(346002)(4744005)(86362001)(76116006)(186003)(52536014)(4326008)(2906002)(6506007)(7696005)(55016002)(9686003)(8676002)(66556008)(64756008)(33656002)(44832011)(66946007)(478600001)(54906003)(5660300002)(66446008)(8936002)(110136005)(316002)(71200400001)(26005)(66476007);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?X4iqrVuMuBxs/F+Jg44Wz9heiCRs2Gli8HMpXjf/iFxoJk7yI7b71gj4w6QE?=
 =?us-ascii?Q?mllsmaTSZzicV6bSgKxOcaSx1SK1cZ6m4TyUv0AP4ifJQGhn8yiuRWOJEtv5?=
 =?us-ascii?Q?c5EF6R+HkAbR6bnb4nB5IbducrzbNb5h2WoiNQGSSE5AktJg/J1bnJgZEvA/?=
 =?us-ascii?Q?hni2PzQgk6PjEHSwmfc3Ml6Xa21EN09MO4YO/ZlvPdLtwCQANy6vP9TMZOYu?=
 =?us-ascii?Q?5GKsveaeSzLcebmSRWhwHuZU/TukBdttYXxe76HgVB9KxvDvLjOPXHa0aLha?=
 =?us-ascii?Q?Y8eIDJ/dWg9EuIrhCElE1IS415yBTIlIF/MJVnihl1gG6E5XAozQnKFtNrta?=
 =?us-ascii?Q?e/GK3GknGJ9Gq4prmmWYbhGH9lbAZuFdjOPrY5JF9w+AJadv2SC0/uUBh+Lh?=
 =?us-ascii?Q?EynViw5ellrO7mFo3U8m2YV42F3OunUBgQGjyAfFzOx4Z6xsmksoa2a5a5Hp?=
 =?us-ascii?Q?Vd6+uYW+dHaAlb87CK4OknYT9qq8diMqlhnNlrupz3SC8RR9zLDk+7OzrM04?=
 =?us-ascii?Q?FmoIPm39mF2cJ1PBnvWk04NRwP6st+uY6vJXczsPR1BCKbiW1tIxRsPTLyit?=
 =?us-ascii?Q?32mX8FvhOM+fUZoMzzu8CttIPyfCmQaYzgjHLD/kRxoHILiB7INhkcPr6RW+?=
 =?us-ascii?Q?oROMwF8jJ4ccGSR4o/74d8MzHqncA0/sGcdB1j1ITpB4HhTq62iqmCvdPsxw?=
 =?us-ascii?Q?yIMsnrSiEIY3WuvcAIcUjZcwg1wlwkGtdYcxRYli/dwPgHbyjviOyJlxtPe0?=
 =?us-ascii?Q?4tca5yv0n/+9pQgbwqEXcrtdsIoTfnw/XG5pN8blhCDv1X20IKmkzM5NIH2d?=
 =?us-ascii?Q?IskwnU2I1EPr5wSze+xj1rV0JdQAT5nPgIanpqfSt3muwA9wNXD5zBIM8Ph6?=
 =?us-ascii?Q?TlRfZF4I7wm1asz7E/xaKNOvt3HyQwmvYgxCnC9Mq1CNtlsCOrYIYhHInXRW?=
 =?us-ascii?Q?oThs2snBqCo1+zUYdypozD0/5z9WKSAR76FtfJLw2hJS7qMJ5U/sjqQ2PX0b?=
 =?us-ascii?Q?tWExZt2BNZLVp3nJFoiMTSjeb5UX078/tm0TQGx+E27qqf9VriZhzU7JVpck?=
 =?us-ascii?Q?vKKWcNlwNnhiYi8KPJ2xXByHceV8QZN8e1bmo/yUaVkIeVENlMKtO72aNsqq?=
 =?us-ascii?Q?rJuoHvJKY/xNfxkQagKg3ncdLSm37v962+v8xtroGlvLDX+ljzNHvgRc/S5L?=
 =?us-ascii?Q?YqhH2i9755yntySQfaP5bYQfO58ifUKFC0Kf0vmVKOTm/FZaBFfZ4iRx1N6Z?=
 =?us-ascii?Q?qnbBNivq167UpHW45keI2Yec3yQwd3rPL8UvvCQCRcYEYMjAOEwuoJgaBGqR?=
 =?us-ascii?Q?9JDTZtRqkFhSl8DSuPcD5U1j?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 5f58bbc0-c4fd-4075-b00d-08d8d69286f0
X-MS-Exchange-CrossTenant-originalarrivaltime: 21 Feb 2021 18:00:08.9419 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: Q4am1Ui7rQDAbTe0JN6D4gBJLmI71DjoaIFd/UcWTtqlY/f2+27DJ7btve9ipd2dcbosn4LVsy1/oxilzTFkWw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4457
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9902
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 mlxscore=0 spamscore=0
 mlxlogscore=672 adultscore=0 bulkscore=0 malwarescore=0 phishscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2102210183
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9902
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=967
 adultscore=0
 lowpriorityscore=0 spamscore=0 mlxscore=0 bulkscore=0 clxscore=1015
 priorityscore=1501 malwarescore=0 impostorscore=0 suspectscore=0
 phishscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2102210183
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: "46621 <at> debbugs.gnu.org" <46621 <at> debbugs.gnu.org>,
 "mardani29@HIDDEN" <mardani29@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> I think we should add the command, but I'm not convinced it deserves a
> default key binding

I'd support that.  Doesn't hurt; anyone can
make use of it.  Not a big deal.

> we can add that later if it turns out that this
> is the break-out most-popular new command in Emacs 28.

I'd hope that we'd hold off for quite a while,
and real, popular acclaim.

It's trivial for users to bind a command.  And
users will let Emacs know if they really, really
want a default binding for some command.  Be
conservative handing out keys by default.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 17:45:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 12:45:57 2021
Received: from localhost ([127.0.0.1]:54758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDsns-0001kn-UE
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 12:45:57 -0500
Received: from userp2120.oracle.com ([156.151.31.85]:43844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lDsno-0001kM-7Y
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 12:45:53 -0500
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11LHj2h5044528;
 Sun, 21 Feb 2021 17:45:46 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=YzssnGZqUJsblEMjcv61OFc2ZLO5DOWp/Q+cphUypog=;
 b=tNrq8boExTjxmkZfOazTscQbTgStFxBfLIbbI1dPR9RhSnkFwAq+VjOJZv3VCpqo94p8
 6oim8VbaT5aeZXplX7rpgtxyTm1xnWnswa4ka7Qp+ouaZtv6zfMUzLhpDzsUn/O9Tv5k
 pyT3q5p2yriNoRHandaRNierfmyABofy10PBeUezz2jkk9tb1vLNbdkKTBCcPmud/vT2
 iaqL1+gvMC11/RzJp28Tz/SQ6SGspU+ClGJIHvwuCQg2TUUEj3Mnsrox0xRCs9uOmCP1
 G/fIG6cfe/oAxRdoFmAHkFj2l23dSu/3rQ1cbGfRWuaV0PecK5shYXct9Bw0+4+maY0Y jQ== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2120.oracle.com with ESMTP id 36ugq38pct-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 21 Feb 2021 17:45:46 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11LHZxHE031468;
 Sun, 21 Feb 2021 17:45:45 GMT
Received: from nam10-bn7-obe.outbound.protection.outlook.com
 (mail-bn7nam10lp2101.outbound.protection.outlook.com [104.47.70.101])
 by userp3020.oracle.com with ESMTP id 36uc6phh0k-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 21 Feb 2021 17:45:45 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=n760zRoJUumx1LKCaf9yBcviU2UDudYbXbEw5JaaRvuLrAP9qAVw8+3eg7MXeatzK8DW8NUxxVHtBvxmLSKXGIF1KWVtQ2kYQz+fyIQIHinm7mhy5R/I7Teh4hBI6Nxo/s5986fa14GR3ufAXY5/deKtnz94nJpg1epkTompTxXNO8HWuASWVe0F4UnnVPoiBWyLyuRL9wI635LYx6TZJNT4b7ROKP32VcejLi+ZTugiC4xAx9rZNZk60H/GYNT5qMDujw+07pR356RJUJIPbq8TUQjCCEBsE6trKAStgJibwgrnxJy6hEcsA/jqz9zc9w7rnj4MRoCstqkEg9GDhw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=YzssnGZqUJsblEMjcv61OFc2ZLO5DOWp/Q+cphUypog=;
 b=cq446tUVzEqvdAmvIc7gpFbpoEo6/Yo3HmMV6hZgkHbq3HIuUM10q3Uw5iO/2aLB02vQAFSnt/XQWVpe2h940biaS1FtSWKkAF8EsA7mgisCWOgmaJ1s6XcAlReF/9ir29gio+cpy9wPhyo0S82VzO24xCYVvocLPJT2CJRKpT3UbWQgpAHlBLUUL8+7s6fFUUrXWqMoN52Ga3o4iQIwp9RByTftBMuCLeKNndgaFR5X2I3W+dIpG08crvhvxUmo2b6iY+IoD1ayXluX2uu/p3HkP48CoZTavcOLXa68rzk6dp5lQa9MNjN7l4sWvLQwliW3Ziud8OdwBtisvKNwNg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=YzssnGZqUJsblEMjcv61OFc2ZLO5DOWp/Q+cphUypog=;
 b=wlFbG1EyqhVkghqJQTKt2iJpCNOkpLV1gAoWebpuQ4XtyZ29RZwEix/oDgHkw9Pns80HsAMgsD1VVr1FokRDjAiqM5tHdwVRmZhojCPlK3wxASBCl1CB97YolDVQLdygdDIbxQN0V0COJFo7hZcTEYSah2nI4jQdqFOK41ljzx4=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4444.namprd10.prod.outlook.com (2603:10b6:806:11f::14)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3868.32; Sun, 21 Feb
 2021 17:45:42 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3868.032; Sun, 21 Feb 2021
 17:45:42 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: [External] : bug#46621: Copy line
Thread-Topic: [External] : bug#46621: Copy line
Thread-Index: AQHXCFNUaQ9OksWK3EeNUCkpxtvmQKpi4RJQ
Date: Sun, 21 Feb 2021 17:45:42 +0000
Message-ID: <SA2PR10MB4474EEEC61F2F16D4E1E5F1CF3829@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN> <87czwtlg3w.fsf@HIDDEN>
In-Reply-To: <87czwtlg3w.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 3c0e5213-5aad-4b00-bf6f-08d8d6908275
x-ms-traffictypediagnostic: SA2PR10MB4444:
x-microsoft-antispam-prvs: <SA2PR10MB4444ECF089E41D10D76B06C8F3829@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:1923;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: w8T06l9ZsU4vFjbkz350ZL+IqUYYy3439BxIBMmFX8YaZyJbGF7m1FxoHRqPxrVyG3bHHdyiVJnPih+bsFf3wcL5iA8ui5b9XuMxXPfenHyBV/Fd9GQuB5NWEfMZIKogLDSSdOJR4cUmulxmoaXzyUIJnRCLcKrXkx7uxGZCUWtKcPzz4/YdxXTSC6vChZ6gp3CNpcUwNCpKuUezrx5t71PfYkEQsPPaS/30PfFv3JDFhpvxoVK3KQUT2P/AZnTiHhN8pk6jFATVgwjwKpLplrrIcwb0v4UrUPtZwuY6eOa9bEMCkPMwK8hm0OQhJORsv3Xu7iTVZjJb9qqpJ1tmwW3AbJskr45fJGnMlw48Msw0Oshp04ljPw3/iD248hkshPnabEbtObY24IFEQCDsApydWo+e+Pa5Qs2JUXHa+Psi9CgOpMrpJ6p6Q9Rnkjq95acinNUGRFmH1t65wDDU9gjvaDRw8vr2ZSnA/8Te3rgp4ovtAxeqZtyH9rfkKQpSB1/PKaUm4i352NmGkhOxFA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(376002)(39860400002)(396003)(366004)(136003)(346002)(44832011)(5660300002)(186003)(26005)(52536014)(9686003)(4744005)(55016002)(8936002)(8676002)(54906003)(110136005)(33656002)(66556008)(7696005)(64756008)(86362001)(316002)(66446008)(6506007)(76116006)(66476007)(66946007)(4326008)(71200400001)(2906002)(478600001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?OJzNIVCho7qjvSM4o5/F1pxi1UcuN5zRxxAGqTnYnVJPWzU5ZXiPaJXL7azu?=
 =?us-ascii?Q?wwgk4iRqhG9Sf1iA5DuHUwzwD5TNPBnaw3RcZJt50alZ0YYZQI1frXwF8mgR?=
 =?us-ascii?Q?eObF838ccjkDNtNhmL0cXmLIisVzfQ23xY2klU66tX6OGFpfohFvYczb7v5Z?=
 =?us-ascii?Q?RXzHEPJ1prVjlS8rKzBQz62FDgt31ucsBRQGwnZrFQT2c7fajXQR5HjuToNk?=
 =?us-ascii?Q?S8OiSyFXMnonKOOTB0lIe4yIv/NckXquEoW7uymyJ4TjwZo3ymPywoJSuuMF?=
 =?us-ascii?Q?wePEWWd6YV3kkQ29D4TQ49tZdL3/KlFYks2Of3sJAHjTmqAuBnI7Ezczdo3d?=
 =?us-ascii?Q?3/C7LiKjLxr2KdVZMumHi1+3XslK5GrDEU9dNTFeVMHWDyL7pVeyFKCTcyh9?=
 =?us-ascii?Q?ysaUkVX9Af0/of4bQm8f5HJou+NuSfL0uiMdxMslpQSvlsQMYv3drQ7kmaLi?=
 =?us-ascii?Q?rHCfh19gX5Eir3g5gBjJ+r35F73jbOWS6JV6BpwYEGY2Peh85IzuaO6kDHct?=
 =?us-ascii?Q?iC0i6JsVRgzFQeY7aYbdvvaT4cFTCt4g8Xze+DKj2E33w4892E/hLQWJWhzB?=
 =?us-ascii?Q?n3w1sMm7I4zIIqrAT721wcKIii9jpxNxg3XKYSLatYztooWDguVhmlhAUbBx?=
 =?us-ascii?Q?P4nQKnRz2PVmvbr2VWr3mWK5PkfcWlnyh47EDoIcz+WispSWtEe/2/L1V0Ux?=
 =?us-ascii?Q?fWISk1n+N8cae557josTZWTG12LRHJrDmzkuzwwUEI8SDAnxnPtROJJGRo6f?=
 =?us-ascii?Q?jYAK3rNZMjPVhdbR4bvWSW0EAgT8PVlLA3TxPoaOL9RBaAKT03ACpQCx0CiT?=
 =?us-ascii?Q?0f63abvKz9BOpneEM7RFtjQrmMKI0nHWyTcua7S/KPZBCUGZ8dfWY+jQy+tG?=
 =?us-ascii?Q?/sMSpGN4jlBgnxWfJK4ykT2nNRKUi804LRQsM6Y6NbPqluQiX90xyNJQp3Gv?=
 =?us-ascii?Q?Otj3Ppc7fN0Ff4kmCUO2WRQi1VgKIoGYA09KGFYiHaMrD5FO+SSrb12v3/0s?=
 =?us-ascii?Q?UFKq0uo7we4GWeg9ZsN91Ql31Kf82BZsnjN+O+0vRHxqRanQkKw6B5Ur1/t5?=
 =?us-ascii?Q?n2Qkci2MA0m+cZVFP7/Ogr6uhMWLBxT6H2DVLuq7I98KDEfthoYuibwIZcvT?=
 =?us-ascii?Q?DskFeE+XNnCDlwu6kgwEh9g2y61c9ab6UaE1hgdhgeabYk5Sqj5lynkeb+F3?=
 =?us-ascii?Q?TFEqGzyedzE+KTdbwy+zBZmEiLdgEYQtlqByFwcUpdWtfcH1Lv8L4h+HPShq?=
 =?us-ascii?Q?RROOWEkxbXXFKJQ+42rx1YY5W3plzOqn7/T2z7fMgddTdgTnwLFmc9nrZH4Y?=
 =?us-ascii?Q?NjslCSbRcTFIwObK0rHWitOV?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 3c0e5213-5aad-4b00-bf6f-08d8d6908275
X-MS-Exchange-CrossTenant-originalarrivaltime: 21 Feb 2021 17:45:42.4557 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: YaqflS6tJViY+xJJUPj5Qzv4n60fYgF3cGdz5DFqkFRecmlv/o7W4qNBws0hwdX4YdJG53RkJ44k/gpu22LFxA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4444
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9902
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 mlxscore=0 spamscore=0
 mlxlogscore=847 adultscore=0 bulkscore=0 malwarescore=0 phishscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2102210179
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9902
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 phishscore=0
 malwarescore=0 spamscore=0 mlxscore=0 suspectscore=0 priorityscore=1501
 clxscore=1015 impostorscore=0 lowpriorityscore=0 mlxlogscore=999
 bulkscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2102210180
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: "46621 <at> debbugs.gnu.org" <46621 <at> debbugs.gnu.org>,
 "mardani29@HIDDEN" <mardani29@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> That users are asking about a command like this
> on stackexchange seems to indicate that some
> users would find this useful.

Not necessarily.  Which users?  Sometimes newbies
to Emacs are looking for what they're used to in
some other editor, and not seeing that in Emacs
they think "missing feature".

And answers on emacs.SE often set newbies straight
in this regard, saying "this is how you use Emacs
to do what you want".

The first response by us shouldn't be a knee-jerk
reaction to add what someone says is missing.  We
should first check what people who use Emacs do,
i.e., see if what seems to be missing really
represents a problem to be fixed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 17:41:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 12:41:15 2021
Received: from localhost ([127.0.0.1]:54750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDsjK-0001e0-WB
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 12:41:15 -0500
Received: from userp2130.oracle.com ([156.151.31.86]:38984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lDsjI-0001dm-8J
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 12:41:13 -0500
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11LHf521084033;
 Sun, 21 Feb 2021 17:41:05 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=nCKrPAdas1L4ODr86BalG98Xa6CBy4UsxEVF0skFOEA=;
 b=CTn5O7KdxXk+GlGON3/JOkZmRSmvZy73ccW47XaaDaTOFkHHf6OaCg2XG8mcee51SsEZ
 RPqr59KIa+xI7NIoADlWr4OvWAT4V0/DaGQiP1WsDPthjNmwLyQSvysj8Jc6kx3AgOj8
 +nHAFpczdPObj9IU4HNbZGGDZ9bh10OSNos9mj/dj7P6bkS022WOai3ROHkx5HZUuciO
 bfGYbOGECsZ58b7sEr9CG2WratJOgy1oRk32sFYtCBBqkvB9UluSr/2UnkOkQKCNjlgx
 cGb6ZlNR4hZ7g3SKYLeu24cUUirmeL3MjLFuiOBac4ruUNaBpA1qNh5+1RdXtQF0fmCA VA== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by userp2130.oracle.com with ESMTP id 36tsuqstkk-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 21 Feb 2021 17:41:04 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11LHaRoj044117;
 Sun, 21 Feb 2021 17:41:03 GMT
Received: from nam11-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam11lp2177.outbound.protection.outlook.com [104.47.58.177])
 by aserp3020.oracle.com with ESMTP id 36ucaw8k5p-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 21 Feb 2021 17:41:03 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=TVOvl9no9vWLCQJSI+HY2uNMgZG6bV6NxWJCX2BOTWF/i+1p00qjhapPNc722R75Gvn81TTa25VTBWUDuRMlgORR96WWwMckdZhVeTBBuCG2Az5kgXskEa3tuhTBH9AiGj2MOd0ypBrJRbVq/otXMpsAaBQo/dEiiVTzM1NTdaSyttSI23UrxJaUDJ/igFPTmjpcWiwKF8+mqt/pMLYXMbqT12DwpqoXb7qdAj3Rs8UxKP1MejCD0aGWWfFiybwj0HQ2KhFJ69WHllYYTSiT+76mdjpIwVfFq42bfgXxynYXCYxz1hhGouRyKONkcGrmD0S2Fu/1sfgsm9TqFXQNJQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=nCKrPAdas1L4ODr86BalG98Xa6CBy4UsxEVF0skFOEA=;
 b=kIaw9IWutaOdY5Fd2QD9gKdgvWtou2zBQVdt7UJ0lbIqmVW+mXGhpbxLjagzQTxu9gxQbTuGlTlmhZxOQrzSa8I2e2VegF4l/epY4kv3DMx+OrPcUEij5Ri3lVyyBeIQ5rzkkoRDsNPDmf0LBnkpbXxfW5EmKgmK/Xp2Kb4oQtC7dCDgu1+QRyoUk8QlhI2yCEwL5yg68Dl0TlRL00ykFJtoXDtTHhS2m7pS3/PVk27863HFyZD1buBgG7/AHWVCibzZ4A3J57ok2r2VTLGPJqw3OaZrCbo3zeg3TrbgPwNp3ZmDpgh5tNmBWQJ2Wj0GTjqVpwgYjeRUChyrbxVffw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=nCKrPAdas1L4ODr86BalG98Xa6CBy4UsxEVF0skFOEA=;
 b=ClRyRD829w5/jbFBfuLUhhCsnsSehR4xOoRflUhfhPp5OjmoDvUTELqoadeKag+e54MJNhQmz8EHDp/NzFCD9hyQfaBF1pqrfs7HQ1Y2PHAlURoZwUcGuLQ6gDY+6EQik9eS6WUOcR8PIvb7qWvEKAUjyWJSbx1xF2WL2j8WM8c=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB3071.namprd10.prod.outlook.com (2603:10b6:805:da::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3868.30; Sun, 21 Feb
 2021 17:41:01 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3868.032; Sun, 21 Feb 2021
 17:41:01 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, "46621 <at> debbugs.gnu.org"
 <46621 <at> debbugs.gnu.org>, "juri@HIDDEN" <juri@HIDDEN>, "rms@HIDDEN"
 <rms@HIDDEN>
Subject: RE: [External] : bug#46621: Copy line
Thread-Topic: [External] : bug#46621: Copy line
Thread-Index: AQHXCD412mvQSfgB102jkfA5rHEIjKpi34xw
Date: Sun, 21 Feb 2021 17:41:01 +0000
Message-ID: <SA2PR10MB4474615BAC05698C68297818F3829@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
In-Reply-To: <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 0668297c-bf6b-47a9-bf83-08d8d68fdb12
x-ms-traffictypediagnostic: SN6PR10MB3071:
x-microsoft-antispam-prvs: <SN6PR10MB3071A0D22F336C6CFEE0B19BF3829@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8882;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: Sxr91JBTtuynUMz632EAyF4GTm6TldoqDMaBeo9tWbVxT0boLwMlXP/AfRfcQyNIFJsVGm2IjR1SLU75FJ47vMon1AYrwhjg4n7oPJDCA6RyrVkI8n3A+C7JnMEGmEHmw72eI2psc43EIqEOVdUPClmeakFV35Sm2qDz8NDfWfBSbnpTgZyuUKDheOPnACij1N2yLgQMj9SlN5pDuHHjvvc9Xp+CZLyzcoSaUp1T8pa4U9MNBu/lJl7mYZSVy4lA5BMQ508tSzKoc74vR2sxsVAq/YYYGNqJBC6gG+C1v8Sl6dIb+pJ5lioOn4GDM35LSK9BthF1QiwS6TzA49tkrXGONS82n9A4WUp/FAp5Id0ORkbH0XcHtYfpmeexd3Sqt6TRHaWu7tkSziP5E8y8qWIB/TBfkpigcs2B3nUcE9CnOfwCvbSEcWnuC74H1prE5QS54vMJFCOcesO4sVo5dIXo6sS0gfb1yLssB3qaBOI3sU62jJv2P8KAibs+04xlXhybWL5wKmAiDXTdA4v66A==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(136003)(366004)(376002)(396003)(39860400002)(346002)(110136005)(54906003)(55016002)(8936002)(52536014)(316002)(4744005)(26005)(4326008)(33656002)(76116006)(66556008)(478600001)(66476007)(64756008)(66446008)(7696005)(6506007)(66946007)(186003)(86362001)(5660300002)(9686003)(2906002)(44832011)(71200400001)(8676002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?Nld4R0xYZVM3YWZXcGlXdnFsMGxrVVcwWk9JY2VtNDdUb0tPYlFEYko1aXRW?=
 =?utf-8?B?T2FjRFFYb1ZqQkZQNHVRM3dLM3QyUFE1bWE5cTU5eVZZL3BwNlRQOVBIemwv?=
 =?utf-8?B?aDdCelhDM2tFbzc0ajd2Vjl4SXcwSHU4aGlLSTdZMTdCMkR2RE1nZVhzYjlt?=
 =?utf-8?B?TjZ4S0t5R0NsSnc3dmxkM2gxVzNOeVpDYk5zcDF1NE1OVVBTUG1wcFRLY05D?=
 =?utf-8?B?S1FrbEVYa1VOZmM5YXY2ZHNJQWlqRkFCQWFvY2VZOWdoZzNJK0pYbWJUblpW?=
 =?utf-8?B?d21zU0tRZllMMjYvYzhJY1ZRRmNMNSt3YXkvWXJkMWFMczlEc1FWNXlIVlZV?=
 =?utf-8?B?UlJzREU4UE95QzMwR0hWZ2dzSWgvUlRwMzVOeEF6bWFoVmZkY0FURW9HNHdI?=
 =?utf-8?B?dGJwS0M4aGZwdUZUdGRzeEE3MkluYkZjbXNHcUxWdEVRMFRoeSs3VEVDa2Zi?=
 =?utf-8?B?VGVOUjViRnJYenJHV0N4MHByMUVSS01Id2RXTFgyemROZHlsdEx1WW4vSWox?=
 =?utf-8?B?TnE3TmVac0lQamFTQXk2RHZIQnpjV3UzaFpnWVFkNTBjM3ZSUUIzcHZrV3hx?=
 =?utf-8?B?ZExxZVVBS2cvR1JSVy9iZ0tFSGZyWDltZU5KeFNFVUpKUVlaeUplM0kyTlk3?=
 =?utf-8?B?MmdDRFRyTkVBc3JWcXRha04xNVpXelRsRkxkMnJFZklhTzhVOXR4TlFPN2lt?=
 =?utf-8?B?cEcxQmI0dUd1UVhBQk13ZnFzaDM0UFJJdkJNZXV4UExFdytJWXoxcXR4R0xw?=
 =?utf-8?B?SjU5aWlyZTZDcFZqanlvL054WHdHN3BRUC9kQkhHNXNXeUNWTEppZ0xGbFNm?=
 =?utf-8?B?a3B2OFgrb2pxbkEvV3Z6a3NmcW5PcUd0V1hEZE9BajZVckdCR1BEZ1VGS0tT?=
 =?utf-8?B?bjZuOVViTTFKWVJneE9sK1FqaFZ2VHNLOG9CR29WTVNUaGcrbzI2TkwwL0pK?=
 =?utf-8?B?UDdHK3N3TnVJOVRFZmVTbFdCbUgxNXBzTENMVk5lSVlRbnRod28xWWNKemtD?=
 =?utf-8?B?S0pEcmx0bjVYL2dNYms2V2gvQUpCQ04xTnNQcnZnOFM2amk5SGlwSnFNbDVU?=
 =?utf-8?B?TlpYTVFaczQ3R3FKelRqVmp1MmFkRVpkLzNqZXNxam5iVHZFNklVUW9RVmov?=
 =?utf-8?B?SjgrNDZhTzJOK2ZvNUx6alBucG1TUEZyLzNnU3pwQjgzcWNkL0Z3RGdTSXdw?=
 =?utf-8?B?QURFSmozS3JGTGpDcnUwRnRRamdnbUp0cDZIM2QwS3JhZ3hwcmQ3Zk9vQnFF?=
 =?utf-8?B?aWtkNkwyZTM0WHJmN2ZGQ3dRQm1QdnI1OTdITGRBZHQ1ckFkeTRVZDh6eWpQ?=
 =?utf-8?B?bzBhR0tYQ2YwL3VUamhpWEZiVitmcGYzUlRwZm16d0FsRlFaM1Fwa2VhY1hE?=
 =?utf-8?B?UzQvcy8zOFdEY25Sd21xWXBvdnk1SXI2UFM1SEZUZmZvNzFrMTJZVHZIVi9H?=
 =?utf-8?B?VXRsb21BMDB6ajcvaXVMWGpwR2hVekNOM1U3RGhBUWdiSHliY2hjTElYTHE1?=
 =?utf-8?B?VFE0NzIxY1hOTE5qd1pycXNMdllhMk10dkZ4T0I5VU9YQUhwZ0gzV0xzWUk1?=
 =?utf-8?B?d0x0bmE3OVBELzJZcUxicmxVbkprNHdUWUIrN01qWHlab0VnYnFEeVJDeFJZ?=
 =?utf-8?B?N2NtVGttR0R6QzRYSG5PWDJ0aWlBSUMwbklja25kMEtVUXQ2dEhkK1VueS96?=
 =?utf-8?B?YTQyb3laZEQ0NUxSTkRWTGlVK3FZbzBPZzZsQXBlS0UxNjhDbnBrWFBkZWdv?=
 =?utf-8?Q?vGNOXfByU0R0CusSfywlZ2pTmNUAvywkndhrVrt?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 0668297c-bf6b-47a9-bf83-08d8d68fdb12
X-MS-Exchange-CrossTenant-originalarrivaltime: 21 Feb 2021 17:41:01.6364 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: QATPiw5iV/2oeDQi0LQ4NVPy6Fs6N7Z9YM9kHVLRLHpL//LlNa/c84U2g2/zfJk0iBHndkz3wAbuUEVROXt7IQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB3071
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9902
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 suspectscore=0
 malwarescore=0 mlxlogscore=899 adultscore=0 bulkscore=0 mlxscore=0
 phishscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2102210179
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9902
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 spamscore=0
 priorityscore=1501 impostorscore=0 bulkscore=0 mlxscore=0 malwarescore=0
 clxscore=1011 phishscore=0 mlxlogscore=999 lowpriorityscore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2102210179
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
Cc: "larsi@HIDDEN" <larsi@HIDDEN>,
 "mardani29@HIDDEN" <mardani29@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

PiBBbHNvLCBsZXQncyBub3QgZm9yZ2V0IHRoYXQgRW1hY3MgaGFzIGtleWJvYXJkDQo+IG1hY3Jv
cywgYW5kIHRob3NlIGNhbiBiZSBydW4gd2l0aCBhIHJlcGVhdCBjb3VudC4NCg0KKzEgZm9yIGVt
cGhhc2l6aW5nIHRoaXMuDQoNCldlIHNob3VsZCBtYXliZSBlbXBoYXNpemUgaXQgbW9yZSwgcGFy
dGljdWxhcmx5DQp3aGVuIHNvbWVvbmUgdXNlZCB0byBhbm90aGVyIGVkaXRvciBhc2tzIHdoeQ0K
RW1hY3MgZG9lc24ndCBoYXZlIHRoaXMgb3IgdGhhdCBrZXkvYWN0aW9uLg0KDQpJbnN0ZWFkLCB3
ZSB0b28gb2Z0ZW4sIEkgdGhpbmssIHN0YXJ0IHRoaW5raW5nDQphYm91dCB3aGV0aGVyIEVtYWNz
IHNob3VsZCBpbmRlZWQgYWRkIHN1Y2ggYQ0KY29tbWFuZCAoYW5kIGtleSkuDQoNCk5ld2JpZXMs
IGluIHBhcnRpY3VsYXIsIGNvdWxkIGRvIHdlbGwgdG8gbGVhcm4NCmFib3V0IHVzaW5nIGtleWJv
YXJkIG1hY3JvcyBlYXJseS4NCg0KKEkgaGF2ZW4ndCB1c2VkIHRoZSB0dXRvcmlhbCBpbiBhZ2Vz
LiAgRG8gd2UNCmludHJvZHVjZSByZWNvcmRpbmcgYW5kIHBsYXlpbmcgYmFjayBtYWNyb3M/KQ0K
DQpTcGVha2luZyBvZiB3aGljaCwgaXQgbWlnaHQgYmUgZ29vZCB0byBzcGVhaw0KbW9yZSBvZiAi
cmVjb3JkaW5nIiBhbmQgInBsYXlpbmcgYmFjayIgYQ0Kc2VxdWVuY2Ugb2YgYWN0aW9ucywgYW5k
IGxlc3Mgb2YgIm1hY3JvcyIgaW4NCnRoaXMgY29udGV4dC4NCg0KSSB0aGluayB0aGF0IG1hbnkg
cGVvcGxlIGFyZSB1c2VkIHRvIHR1cm5pbmcNCm9uICJyZWNvcmRpbmciIGluIHZhcmlvdXMgY29u
dGV4dHMgLSBpdCdzIG5vdA0KYSBiaWcgZGVhbCBhcyBhIG5vdGlvbiwgd2hlcmVhcyAibWFjcm8i
IHNvdW5kcw0KZXhvdGljIGFuZCBjYW4gc291bmQgY29tcGxpY2F0ZWQvaW50aW1pZGF0aW5nLg0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 17:39:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 12:39:28 2021
Received: from localhost ([127.0.0.1]:54745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDshc-0001b0-I8
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 12:39:28 -0500
Received: from quimby.gnus.org ([95.216.78.240]:37940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lDshZ-0001al-P5
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 12:39:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=H7VHKUEQn31yPGP6Tpt0Nzr6Mg5QLvO9db3MlIo9wFU=; b=bl6HuJ63EeDRfFtsGrwjnIck/k
 P+mLbM0CNvIh7jsm3O0wH0nmvnCRydRvHWLYOLNCnso1MeuHG7cT6vW3/Wh1gpXq9Me4WAThSTieY
 Dyslf3k578zBnFsaMg518/MnsnV9yFAmx3ht4Bh5YoFs5XvOjXSjRZ63f1KFAmYlmEC8=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lDshP-0002fP-Vo; Sun, 21 Feb 2021 18:39:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
 <87czwtlg3w.fsf@HIDDEN>
 <ACDF8189-C752-40AF-969B-70DD11D004E6@HIDDEN>
 <8735xpju61.fsf@HIDDEN> <83czwtxse1.fsf@HIDDEN>
X-Now-Playing: Ryuichi Sakamoto's _Hidari Ude No Yume (1)_: "Living In The
 Dark"
Date: Sun, 21 Feb 2021 18:39:14 +0100
In-Reply-To: <83czwtxse1.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 21 Feb
 2021 19:06:14 +0200")
Message-ID: <87lfbhiam5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Richard's arguments
 still stand, and I'd prefer to seriously consider > rather than dismiss them.
 Richard said that he didn't see the point of this command since we have `C-a
 C-k C-k'. Nevertheless, it has been demonstrated that this is a command that
 users do ask about, so I didn't see any point [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, juri@HIDDEN, rms@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Richard's arguments still stand, and I'd prefer to seriously consider
> rather than dismiss them.

Richard said that he didn't see the point of this command since we have
`C-a C-k C-k'.  Nevertheless, it has been demonstrated that this is a
command that users do ask about, so I didn't see any point in repeating
that.

But in the interest of non-dismissal, I've now done so.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 17:06:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 12:06:50 2021
Received: from localhost ([127.0.0.1]:54711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDsC1-0000ox-QV
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 12:06:50 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lDsBz-0000oj-CI
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 12:06:48 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37777)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lDsBt-0003Wj-R8; Sun, 21 Feb 2021 12:06:41 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2344
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lDsBe-0002fU-G8; Sun, 21 Feb 2021 12:06:27 -0500
Date: Sun, 21 Feb 2021 19:06:14 +0200
Message-Id: <83czwtxse1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <8735xpju61.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 21 Feb 2021 16:51:34 +0100)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
 <87czwtlg3w.fsf@HIDDEN>
 <ACDF8189-C752-40AF-969B-70DD11D004E6@HIDDEN> <8735xpju61.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, mardani29@HIDDEN, rms@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Juri Linkov <juri@HIDDEN>, Richard Stallman <rms@HIDDEN>,
>  46621 <at> debbugs.gnu.org, mardani29@HIDDEN
> Date: Sun, 21 Feb 2021 16:51:34 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > They asked about making a dozen copies of a line?
> 
> I don't think anybody asked for a dozen copies in particular.

Then why did Juri decide to countermand Richard's arguments by a
strawman?

> I think we should add the command, but I'm not convinced it deserves a
> default key binding -- we can add that later if it turns out that this
> is the break-out most-popular new command in Emacs 28.

Richard's arguments still stand, and I'd prefer to seriously consider
rather than dismiss them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 15:51:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 10:51:47 2021
Received: from localhost ([127.0.0.1]:54640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDr1P-0007Kn-OJ
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 10:51:47 -0500
Received: from quimby.gnus.org ([95.216.78.240]:37000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lDr1N-0007KX-Rb
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 10:51:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Cem0qmeDx7VmHVBZyW++o74P8STZOxq6e5bnadOYnOQ=; b=iWmY8F7EHM2mGNTYd4Z7vKMEUC
 isNgnAFXbLJb3yHJuoPB2GEx7PhSguxgQsRYNV25ivfuVkhAG4Ojvx7qzTXzp58aRawyL5YklFUYi
 +0VMjSK3Ph0kta4EK+pwOhbWI5FgjcaHzPiMQmFwn0pB0hRdx/y5fNkDKHVR6XpTE5I8=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lDr1D-0001iQ-RC; Sun, 21 Feb 2021 16:51:39 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
 <87czwtlg3w.fsf@HIDDEN>
 <ACDF8189-C752-40AF-969B-70DD11D004E6@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUhHB0oIyNYSEKT
 dmzjwrX////3c5ssAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UCFQ8sElaOiYcAAAFFSURBVDjL7ZPh
 bcQwCIXNTQB0gfDcAXomG8T7z1Sw3bu0jdRK/VtOFyl8BgyPlHJlwuXaSMofTAFI2DdQ3f0SqAzj
 XyT/tx+ML710OfdYgXTnP8LOnEiWJlyIP503WDxSrdOarNOCIOf9mWmYxA3plJM/VDeOCLV0LL/O
 3RmXUqOP4jRyR4DyAEyrUeJ05i+upYZIJLMBEpjFKlbPEmChBVQRx3MZ3SoQd5gg8uDFsPfevakA
 PCOyYByrPS2BzlneMi2g+wCe5SdQgjzB0eS2gJDlxzEzRa54m7PPHgBf/n4sMMYaAfsJTCGjmczU
 H2a2FA5Qqz/Bm+W1hh9fQCqQSg/wqNE3HaCMtmtbId59yxnLECmLj0aOBm+sdcgrCWq8x6c+RN1C
 A1iqB7Qo0kAcJ2L+CVA4tikmu+/Nt839db/fQ2boO+f/RiO2cVKPAAAAJXRFWHRkYXRlOmNyZWF0
 ZQAyMDIxLTAyLTIxVDE1OjQ0OjE3KzAwOjAwJUu6GAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0w
 Mi0yMVQxNTo0NDoxNyswMDowMFQWAqQAAAAASUVORK5CYII=
X-Now-Playing: Console's _Herself_: "A Homeless Ghost"
Date: Sun, 21 Feb 2021 16:51:34 +0100
In-Reply-To: <ACDF8189-C752-40AF-969B-70DD11D004E6@HIDDEN> (Eli Zaretskii's
 message of "Sun, 21 Feb 2021 15:19:24 +0200")
Message-ID: <8735xpju61.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > They asked about
 making
 a dozen copies of a line? I don't think anybody asked for a dozen copies
 in particular. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, mardani29@HIDDEN, Richard Stallman <rms@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> They asked about making a dozen copies of a line?

I don't think anybody asked for a dozen copies in particular.

I think we should add the command, but I'm not convinced it deserves a
default key binding -- we can add that later if it turns out that this
is the break-out most-popular new command in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 13:19:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 08:19:55 2021
Received: from localhost ([127.0.0.1]:53689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDoeR-0002nf-6U
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 08:19:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lDoeN-0002nQ-PQ
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 08:19:53 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34279)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lDoeH-0003wn-NV; Sun, 21 Feb 2021 08:19:45 -0500
Received: from [2a02:14f:1fd:b59e::1116:7df2] (port=53034)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lDodz-0005cf-0m; Sun, 21 Feb 2021 08:19:28 -0500
Date: Sun, 21 Feb 2021 15:19:24 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <87czwtlg3w.fsf@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN> <87czwtlg3w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#46621: Copy line
To: Lars Ingebrigtsen <larsi@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <ACDF8189-C752-40AF-969B-70DD11D004E6@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, mardani29@HIDDEN, Richard Stallman <rms@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On February 21, 2021 3:12:19 PM GMT+02:00, Lars Ingebrigtsen <larsi@gnus=2E=
org> wrote:
> Eli Zaretskii <eliz@gnu=2Eorg> writes:
>=20
> > What is the use case for an Emacs user to need to copy a line 12
> > times, and is it frequent enough to justify binding the command to a
> > key, and to C-c key on top of that?
>=20
> That users are asking about a command like this on stackexchange seems
> to
> indicate that some users would find this useful=2E

They asked about making a dozen copies of a line?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 13:13:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 08:13:14 2021
Received: from localhost ([127.0.0.1]:53683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDoXy-0000Wl-Fw
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 08:13:14 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lDoXw-0000WY-GC
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 08:13:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4oRh3vf3kyXvFZ1uLkl/nSAPbwuorBumhHnSlIMk3Rg=; b=c+0z1dNW19AsNfjk8TuWrtnoK5
 265sf75NWUzxlvGJsDB/FghnPT5QFYSyVy0IYeGwUQLcSirLA43cnNBVYaIZ8euJ4Ol2W6ofr7yfg
 wFa41GPvhO8D8s4RU/jkzpXwUejRyVurBZfB9JGbj1b3E+LfdETN5G+7T7dwSDsesiS0=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lDoXo-0008Hz-8W; Sun, 21 Feb 2021 14:13:06 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEXv4c/BtaeJgHdW
 UUv///8yXQ++AAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UCFQ0GEaNowHsAAAGkSURBVDjLXVOLFcMg
 CARdAM0Cigsksv9uBVFjw2sT4/HxDgQkWPauzAIXoJgpI3aCYlv6wAKx9atH5tYqCzexVe9sgDTO
 7elcxX79ynLxUzQVdw5Xy5wSM+tf/TgXQC7wb+wvZPoA8zvKnedOhUBNhukBMZkHU7jVFfWTrdLK
 glBj13c7I4pXiY+7vBGEZdcAnBHiuRK8iqVh80MgllVsPGlTCWU40wSS5wlSNIKm/1eIZfhApnEO
 1S2xBX7aFYQly/Axf+V+H+G2OwlaLlxAdD5pSTTkmQz/0jsPTw4ZPoYzrGn9UHDEBTribWvL+Q7X
 0V6smGmxul4ghUe73eaR0Iu3fp6NVI84glD7gy9j2sSCSBkk0oiqWz0HtlVY/QVvtbWW1hC4DJcK
 WbFOgKgeco23Z3cyx8XawNgKe2UAvnyS8qDBIi2JNJWuaaiiRUdOnBkZkRC+VnVa3EXnzC+FF692
 13CfzP+7M/j3pIR2o+Zs6+CmCaRzNHbxHBIvtUuU0uwI8pxOCgQ2HhkcsI7Q8tKhhUsB624sKDek
 GT5AB3S8uPwAvKgswflmujsAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDItMjFUMTM6MDY6MTcr
 MDA6MDAxgsZ6AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTAyLTIxVDEzOjA2OjE3KzAwOjAwQN9+
 xgAAAABJRU5ErkJggg==
X-Now-Playing: Ezra Collective's _Blue Note Re:imagined (1)_: "Footprints"
Date: Sun, 21 Feb 2021 14:13:02 +0100
In-Reply-To: <87o8ge8ugr.fsf@HIDDEN> (Juri Linkov's message of "Sat, 
 20 Feb 2021 20:28:20 +0200")
Message-ID: <878s7hlg2p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > `duplicate-line' is
 a better name, but the problem is that is based on the > existing command
 `copy-from-above-command'. Should they share > the same name prefix? Please
 decide, I have no opinion on [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> `duplicate-line' is a better name, but the problem is that is based on the
> existing command `copy-from-above-command'.  Should they share
> the same name prefix?  Please decide, I have no opinion on this. :-)

I think it's fine to go with `duplicate-line', even if it's conceptually
similar to `copy-from-above-command'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 13:12:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 08:12:33 2021
Received: from localhost ([127.0.0.1]:53679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDoXJ-0000VU-6g
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 08:12:33 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35414)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lDoXF-0000VG-Pg
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 08:12:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WH4g9b99FYAAfP4JUvuCm8uOpPV0Zu5O9fipyPu97uk=; b=P88cv2L4hoV3g0Tum6a75uMe14
 gHL9/oBICslNmTOn+JmR2wTNGNub7xWOO6nd58ogs5e4nTv/luIiJnGgJ8+RFkpy/Qyh/I+T80YY2
 6AWmIu8se+vZPCH91pVdEwHYUqzEMJX5BfyOzTZWBTVBWDS44qtrWC1eZCx8jS3yfUlM=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lDoX6-0008He-UW; Sun, 21 Feb 2021 14:12:23 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
 <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEXv4c/BtaeJgHdW
 UUv///8yXQ++AAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UCFQ0GEaNowHsAAAGkSURBVDjLXVOLFcMg
 CARdAM0Cigsksv9uBVFjw2sT4/HxDgQkWPauzAIXoJgpI3aCYlv6wAKx9atH5tYqCzexVe9sgDTO
 7elcxX79ynLxUzQVdw5Xy5wSM+tf/TgXQC7wb+wvZPoA8zvKnedOhUBNhukBMZkHU7jVFfWTrdLK
 glBj13c7I4pXiY+7vBGEZdcAnBHiuRK8iqVh80MgllVsPGlTCWU40wSS5wlSNIKm/1eIZfhApnEO
 1S2xBX7aFYQly/Axf+V+H+G2OwlaLlxAdD5pSTTkmQz/0jsPTw4ZPoYzrGn9UHDEBTribWvL+Q7X
 0V6smGmxul4ghUe73eaR0Iu3fp6NVI84glD7gy9j2sSCSBkk0oiqWz0HtlVY/QVvtbWW1hC4DJcK
 WbFOgKgeco23Z3cyx8XawNgKe2UAvnyS8qDBIi2JNJWuaaiiRUdOnBkZkRC+VnVa3EXnzC+FF692
 13CfzP+7M/j3pIR2o+Zs6+CmCaRzNHbxHBIvtUuU0uwI8pxOCgQ2HhkcsI7Q8tKhhUsB624sKDek
 GT5AB3S8uPwAvKgswflmujsAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDItMjFUMTM6MDY6MTcr
 MDA6MDAxgsZ6AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTAyLTIxVDEzOjA2OjE3KzAwOjAwQN9+
 xgAAAABJRU5ErkJggg==
X-Now-Playing: Ezra Collective's _Blue Note Re:imagined (1)_: "Footprints"
Date: Sun, 21 Feb 2021 14:12:19 +0100
In-Reply-To: <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN> (Eli Zaretskii's
 message of "Sun, 21 Feb 2021 12:41:47 +0200")
Message-ID: <87czwtlg3w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > What is the use case
 for an Emacs user to need to copy a line 12 > times, and is it frequent enough
 to justify binding the command to a > key, and to C-c key on top of that?
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, mardani29@HIDDEN, Richard Stallman <rms@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> What is the use case for an Emacs user to need to copy a line 12
> times, and is it frequent enough to justify binding the command to a
> key, and to C-c key on top of that?

That users are asking about a command like this on stackexchange seems to
indicate that some users would find this useful.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 10:42:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 05:42:06 2021
Received: from localhost ([127.0.0.1]:53561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDmBi-0002yG-6x
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 05:42:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34372)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lDmBg-0002xM-HC
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 05:42:04 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60898)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lDmBa-0004mL-2j; Sun, 21 Feb 2021 05:41:58 -0500
Received: from [2a02:14f:1fd:b59e::1116:7df2] (port=52868)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lDmBS-0004cW-IR; Sun, 21 Feb 2021 05:41:50 -0500
Date: Sun, 21 Feb 2021 12:41:47 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <87im6lls1r.fsf@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#46621: Copy line
To: bug-gnu-emacs@HIDDEN, Juri Linkov <juri@HIDDEN>,
 Richard Stallman <rms@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On February 21, 2021 10:54:24 AM GMT+02:00, Juri Linkov <juri@linkov=2Enet>=
 wrote:
> >   > >> In programming modes, if you need to declare a bunch of
> variables, you
> >   > >> may duplicate the current line several times and then proceed
> to rename
> >   > >> them=2E  I see the proposed new command may be useful in that
> scenario=2E
> >
> > Once in a while I want to do that=2E  It is easy: C-a C-k C-k,
> > they C-y as many times as needed=2E
>=20
> Let's compare these two solutions=2E  Trying to copy 10 lines:
>=20
>   C-a C-k C-k C-y C-y C-y C-y C-y C-y C-y C-y C-y C-y
>=20
> and adds an unrequested entry to the kill ring
> that the user needs to remove from the kill ring later=2E
>=20
> When bound to a short key, it's just
>=20
>   C-12 C-c c
>=20
> and doesn't change the contents of the kill ring=2E

What is the use case for an Emacs user to need to copy a line 12 times, an=
d is it frequent enough to justify binding the command to a key, and to C-c=
 key on top of that?

Also, let's not forget that Emacs has keyboard macros, and those can be ru=
n with a repeat count=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Feb 2021 10:42:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 05:42:01 2021
Received: from localhost ([127.0.0.1]:53557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDmBc-0002xU-VM
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 05:42:01 -0500
Received: from lists.gnu.org ([209.51.188.17]:52762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lDmBb-0002xN-O2
 for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 05:42:00 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52230)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1lDmBb-0000Xq-Gn
 for bug-gnu-emacs@HIDDEN; Sun, 21 Feb 2021 05:41:59 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60898)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lDmBa-0004mL-2j; Sun, 21 Feb 2021 05:41:58 -0500
Received: from [2a02:14f:1fd:b59e::1116:7df2] (port=52868)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lDmBS-0004cW-IR; Sun, 21 Feb 2021 05:41:50 -0500
Date: Sun, 21 Feb 2021 12:41:47 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <87im6lls1r.fsf@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
 <87im6lls1r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#46621: Copy line
To: bug-gnu-emacs@HIDDEN, Juri Linkov <juri@HIDDEN>,
 Richard Stallman <rms@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <189946C1-8CC9-4F7E-BAE6-FC19D2377D39@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On February 21, 2021 10:54:24 AM GMT+02:00, Juri Linkov <juri@linkov=2Enet>=
 wrote:
> >   > >> In programming modes, if you need to declare a bunch of
> variables, you
> >   > >> may duplicate the current line several times and then proceed
> to rename
> >   > >> them=2E  I see the proposed new command may be useful in that
> scenario=2E
> >
> > Once in a while I want to do that=2E  It is easy: C-a C-k C-k,
> > they C-y as many times as needed=2E
>=20
> Let's compare these two solutions=2E  Trying to copy 10 lines:
>=20
>   C-a C-k C-k C-y C-y C-y C-y C-y C-y C-y C-y C-y C-y
>=20
> and adds an unrequested entry to the kill ring
> that the user needs to remove from the kill ring later=2E
>=20
> When bound to a short key, it's just
>=20
>   C-12 C-c c
>=20
> and doesn't change the contents of the kill ring=2E

What is the use case for an Emacs user to need to copy a line 12 times, an=
d is it frequent enough to justify binding the command to a key, and to C-c=
 key on top of that?

Also, let's not forget that Emacs has keyboard macros, and those can be ru=
n with a repeat count=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 08:56:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 03:56:04 2021
Received: from localhost ([127.0.0.1]:53491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDkX6-0000Qq-0q
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 03:56:04 -0500
Received: from relay12.mail.gandi.net ([217.70.178.232]:51927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lDkX2-0000QK-Vc
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 03:56:02 -0500
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 41C2F200007;
 Sun, 21 Feb 2021 08:55:52 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#46621: Copy line
Organization: LINKOV.NET
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN> <E1lDi7C-0005pz-FN@HIDDEN>
Date: Sun, 21 Feb 2021 10:54:24 +0200
In-Reply-To: <E1lDi7C-0005pz-FN@HIDDEN> (Richard Stallman's message
 of "Sun, 21 Feb 2021 01:21:10 -0500")
Message-ID: <87im6lls1r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>   > >> In programming modes, if you need to declare a bunch of variables, you
>   > >> may duplicate the current line several times and then proceed to rename
>   > >> them.  I see the proposed new command may be useful in that scenario.
>
> Once in a while I want to do that.  It is easy: C-a C-k C-k,
> they C-y as many times as needed.

Let's compare these two solutions.  Trying to copy 10 lines:

  C-a C-k C-k C-y C-y C-y C-y C-y C-y C-y C-y C-y C-y

and adds an unrequested entry to the kill ring
that the user needs to remove from the kill ring later.

When bound to a short key, it's just

  C-12 C-c c

and doesn't change the contents of the kill ring.

> Instead of a command to duplicate the current line repeatedly,
> how about a command to yank the current kill repeatedly?
> That would be useful in a much broader range of situations.
>
> I wonder if the current meaning of the numeric argument to C-y (reach
> back in the kill ring) is actually useful.  Would it be better for
> it to repeat the yank in this way?

It's not realistic to change the meaning of the numeric arg to C-y.
People already use the current meaning for decades.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 06:21:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 01:21:20 2021
Received: from localhost ([127.0.0.1]:53400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDi7M-0002nW-F6
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 01:21:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1lDi7J-0002nJ-R3
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 01:21:18 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58298)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1lDi7E-0006oa-B9; Sun, 21 Feb 2021 01:21:12 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1lDi7C-0005pz-FN; Sun, 21 Feb 2021 01:21:10 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87o8ge8ugr.fsf@HIDDEN> (message from Juri Linkov on
 Sat, 20 Feb 2021 20:28:20 +0200)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN>
Message-Id: <E1lDi7C-0005pz-FN@HIDDEN>
Date: Sun, 21 Feb 2021 01:21:10 -0500
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > >> In programming modes, if you need to declare a bunch of variables, you
  > >> may duplicate the current line several times and then proceed to rename
  > >> them.  I see the proposed new command may be useful in that scenario.

Once in a while I want to do that.  It is easy: C-a C-k C-k,
they C-y as many times as needed.

Instead of a command to duplicate the current line repeatedly,
how about a command to yank the current kill repeatedly?
That would be useful in a much broader range of situations.

I wonder if the current meaning of the numeric argument to C-y (reach
back in the kill ring) is actually useful.  Would it be better for
it to repeat the yank in this way?


-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 21 Feb 2021 06:17:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 01:17:06 2021
Received: from localhost ([127.0.0.1]:53384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDi3G-0002gF-5X
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 01:17:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1lDi3E-0002fg-Aq
 for 46621 <at> debbugs.gnu.org; Sun, 21 Feb 2021 01:17:04 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58173)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1lDi37-0004Ji-Iq; Sun, 21 Feb 2021 01:16:58 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1lDi32-00055a-IY; Sun, 21 Feb 2021 01:16:53 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87o8ge8ugr.fsf@HIDDEN> (message from Juri Linkov on
 Sat, 20 Feb 2021 20:28:20 +0200)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
 <87o8ge8ugr.fsf@HIDDEN>
Message-Id: <E1lDi32-00055a-IY@HIDDEN>
Date: Sun, 21 Feb 2021 01:16:52 -0500
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > >> In programming modes, if you need to declare a bunch of variables, you
  > >> may duplicate the current line several times and then proceed to rename
  > >> them.  I see the proposed new command may be useful in that scenario.

Once in a while I want to do that.  It is easy: C-a C-k C-k,
they C-y as many times as needed.

Instead of a command to duplicate the current line repeatedly,
how about a command to yank the current kill repeatedly?
That would be useful in a much broader range of situations.

I wonder if the current meaning of the numeric argument to C-y (reach
back in the kill ring) is actually useful.  Would it be better for
it to repeat the yank in this way?


-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 20 Feb 2021 18:36:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 13:36:12 2021
Received: from localhost ([127.0.0.1]:52829 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDX6y-0000WD-K9
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 13:36:12 -0500
Received: from relay11.mail.gandi.net ([217.70.178.231]:59507)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lDX6v-0000Vy-9O
 for 46621 <at> debbugs.gnu.org; Sat, 20 Feb 2021 13:36:10 -0500
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 30A1F100004;
 Sat, 20 Feb 2021 18:36:00 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#46621: Copy line
Organization: LINKOV.NET
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <87ft1qq4b6.fsf@HIDDEN>
Date: Sat, 20 Feb 2021 20:28:20 +0200
In-Reply-To: <87ft1qq4b6.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 20 Feb 2021 14:03:41 +0100")
Message-ID: <87o8ge8ugr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org,
 Daniel =?iso-8859-1?Q?Mart=EDn?= <mardani29@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> In programming modes, if you need to declare a bunch of variables, you
>> may duplicate the current line several times and then proceed to rename
>> them.  I see the proposed new command may be useful in that scenario.
>
> Right; makes sense.
>
>> This has been a hot topic in Q&A sites:
>> https://stackoverflow.com/questions/88399/how-do-i-duplicate-a-whole-line-in-emacs
>
> OK, so there seems to be some general demand for this command, so I
> think we should go ahead and add it, unless somebody strongly objects.

Also tired of reading endless discussions on Q&A sites about reinventing
such fundamental feature as duplicating a line.

>> Also, why not name the command `duplicate-line'? I think it's a more
>> descriptive name and more discoverable via apropos (along with
>> `delete-duplicate-lines', for example).
>
> That does seem like an even better name for the command.  What do you
> think, Juri?

`duplicate-line' is a better name, but the problem is that is based on the
existing command `copy-from-above-command'.  Should they share
the same name prefix?  Please decide, I have no opinion on this. :-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 20 Feb 2021 14:35:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 09:35:44 2021
Received: from localhost ([127.0.0.1]:51317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDTMG-0002no-Gf
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 09:35:44 -0500
Received: from mail-wm1-f42.google.com ([209.85.128.42]:38256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lDTME-0002na-KA
 for 46621 <at> debbugs.gnu.org; Sat, 20 Feb 2021 09:35:43 -0500
Received: by mail-wm1-f42.google.com with SMTP id m25so889373wmi.3
 for <46621 <at> debbugs.gnu.org>; Sat, 20 Feb 2021 06:35:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=HCXtW5yV9j1AAnDoHYjR2/IoFEA+hzoaFvERC4so2jE=;
 b=bY5dgUtpOn/xFuGeD+r3+B0lKUrmbvoVHJc9yZL35iVjWtwGypHPpvodzpZzcQbzzw
 5dWiuoPdoqhFIzzm1PD7uFUsAQRYONTG9/Ls8uoOqq7vQNgHaE8Sn1wrW9PuI1GU1sHp
 S1pbjMkCDuA0+gds+/7dCns7YcF+qPsbvTH5FWTuohihoi3tZkd5f8+b1tu0KvE4fcse
 0U8ou5knW4ty2OUrOWaIWSPC5hlHacW8pqRjlY494xtG/MssR187t7u+BwyqJnOygtDQ
 /+ChprzSYyxsPQ/asqH8ON3n9C0g8+DQXU43vWE48HDhCwrZhh9roJRdpxivrfWM5Lle
 rZyg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=HCXtW5yV9j1AAnDoHYjR2/IoFEA+hzoaFvERC4so2jE=;
 b=CzLrEmNz9ZZSHy2qfuBqTb5++9TDkBlSvxFbjgPdpSrCVgPlGQlkJOsYeZJUqf1GBb
 QfBex9+FtMGllMJ5nm87flfpdq4YKntb3NWtNOGnaZyGfAvXVI/EqM5b/iQe0KhQn+Iq
 h9/efPhmcF7pEo9W4cSWoeVYNvjAPk7ggBhVspZsj6QxzatOH/2Pduoe2/Bdrp4nJc6K
 cff0l4TwPxe0rOifFc3yi4yA+4MyEtISevNT3sNH6qONfK8j1R0iCmNlj+PBezR5HNuV
 ZQ9gqrxJ1NXlg1LJNK0fq9H/Ro5VI/fQQPR9W4U9p82ZszVlUMbRBszxmHEn10Wem02J
 rEwA==
X-Gm-Message-State: AOAM533TYVU/OlQRbBMDe91oNIjG8ymNajZW2cT5QH1biJNOyqD7TsOO
 VRMN3RbnKE2apRnYuakRxcU=
X-Google-Smtp-Source: ABdhPJydoj9DpJ5ZapiP0DIV0YgRZQipAi8Gp7OkhFxbMeGsQQP7i9mSM4YsS2HxkqpMH4sugNTTVg==
X-Received: by 2002:a1c:f312:: with SMTP id q18mr12685400wmq.79.1613831736782; 
 Sat, 20 Feb 2021 06:35:36 -0800 (PST)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id q2sm19286100wrx.79.2021.02.20.06.35.34
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 20 Feb 2021 06:35:36 -0800 (PST)
Subject: Re: bug#46621: Copy line
To: Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <83o8gf1b6t.fsf@HIDDEN> <87blceq47r.fsf@HIDDEN>
 <83sg5qzxus.fsf@HIDDEN> <871rdaq3n5.fsf@HIDDEN> <83r1lazuyg.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <a7a325cb-460e-3ac9-c95e-7f8eb151f88c@HIDDEN>
Date: Sat, 20 Feb 2021 16:35:33 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <83r1lazuyg.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, juri@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 20.02.2021 16:15, Eli Zaretskii wrote:
> Which is not to say I object to adding it, just that at
> least some people may think they need it because they aren't aware of
> some Emacs feature.  Because I_never_  in all the years of writing
> code felt the need to have such a command.

FWIW, I routinely use copy-from-above-command, most often when writing 
tests, when a lot of lines look similar to each other, with minor 
variations.

Never felt a need for another variation of it, though.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 20 Feb 2021 14:16:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 09:16:05 2021
Received: from localhost ([127.0.0.1]:51309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDT3E-0002LK-Pc
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 09:16:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lDT3A-0002KZ-0e
 for 46621 <at> debbugs.gnu.org; Sat, 20 Feb 2021 09:16:03 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44253)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lDT34-0005fp-7P; Sat, 20 Feb 2021 09:15:54 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1661
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lDT33-0001yd-I8; Sat, 20 Feb 2021 09:15:53 -0500
Date: Sat, 20 Feb 2021 16:15:35 +0200
Message-Id: <83r1lazuyg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <871rdaq3n5.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 20 Feb 2021 14:18:06 +0100)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <83o8gf1b6t.fsf@HIDDEN>
 <87blceq47r.fsf@HIDDEN> <83sg5qzxus.fsf@HIDDEN> <871rdaq3n5.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, juri@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: mardani29@HIDDEN,  46621 <at> debbugs.gnu.org,  juri@HIDDEN
> Date: Sat, 20 Feb 2021 14:18:06 +0100
> 
> >   b M-/
> >   f M-/
> >   f M-/ M-/ M-/
> >
> > etc.
> 
> Ah, I see.  I've never used that command before.

It's a great means to type much less, and not just in programming
modes.  When writing email as well, for example.

> However, this just copies a single word, and not a line?

I mentioned M-/ because of this rationale:

> > In programming modes, if you need to declare a bunch of variables, you
> > may duplicate the current line several times and then proceed to rename
> > them.

> In programming modes, if you need to declare a bunch of variables, you
> may duplicate the current line several times and then proceed to rename
> them.

So assume you have this:

  ptrdiff_t foobar;

and you want to add this:

  ptrdiff_t bazquux;

Instead of copying the "foobar" line and then editing "foobar" into
"bazquux", you can do

  p M-/ bazquux;

IOW, instead of copying lines, it usually makes more sense in PL modes
to be able to easily repeat what has been typed recently, because
source lines are rarely exact copies of some other line.

So that use case I think is not the best one to justify this new
command.  Which is not to say I object to adding it, just that at
least some people may think they need it because they aren't aware of
some Emacs feature.  Because I _never_ in all the years of writing
code felt the need to have such a command.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 20 Feb 2021 13:18:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 08:18:19 2021
Received: from localhost ([127.0.0.1]:51255 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDS9L-0000wZ-BQ
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 08:18:19 -0500
Received: from quimby.gnus.org ([95.216.78.240]:43082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lDS9J-0000wL-Be
 for 46621 <at> debbugs.gnu.org; Sat, 20 Feb 2021 08:18:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=k01B2UvjEv4yCikbOBUe7F/j+Qkw60oVc6iUrB+Bl8o=; b=XKakG3ziz+dZ1upX9wH/dKmg6i
 +QZx0aONSKsFq1NorZFA7VJzz0nf4wlj0lsE4QhzVByrzP4tC1QkQcv8q+yMcDI0SRZYzXXqixD4D
 UZI2jXxN/hHzboywtxiv9KyHGW9NL3kCBnEzuFlRLK5yibg9e00Z5W/BxBndskhtZ2b4=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lDS9A-0005zy-8i; Sat, 20 Feb 2021 14:18:10 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <83o8gf1b6t.fsf@HIDDEN>
 <87blceq47r.fsf@HIDDEN> <83sg5qzxus.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAABVQTFRF
 rY92W0xALCYhDQwKi3NfnYFr////pUJmeQAAAAFiS0dEBmFmuH0AAAAHdElNRQflAhQNATVoltUI
 AAAA6ElEQVQ4y83UQQ6DIBAFUNqUfTEcoMIJCheQBPYsnPtfpcwMWKuS1KSL/sSF88aBBFWIH+Zi
 DnIvcPUHefwvOHsWvOlBd1RvcXMaursyxrv6lLHelMvbBx+Uw7NxWKxp4LcHWMF69y0YBt8B3E3n
 LVnu1dCDkj2Mo1JNGHjpWqYMqyfwXocmC3B7jCQ6hgpqUFxACTq8gdp1mmPLxIvzmAgQmy1QpiSA
 DAnW8MT+REBZgcZ+kABNKugynj67Uswiw1xhjElkBkkNcs4EZT+bDxYYEmyBgvBZkQ2m3g+gDJRx
 m6q33Ut6Hl74Mpq2QplZ5wAAABBlWElmSUkqAAgAAAAAAAAAAAAAAJw8uSgAAAAldEVYdGRhdGU6
 Y3JlYXRlADIwMjEtMDItMjBUMTM6MDE6NTIrMDA6MDCrRG3PAAAAJXRFWHRkYXRlOm1vZGlmeQAy
 MDIxLTAyLTIwVDEzOjAxOjUyKzAwOjAw2hnVcwAAADh0RVh0aWNjOmNvcHlyaWdodABDb3B5cmln
 aHQgKGMpIDE5OTggSGV3bGV0dC1QYWNrYXJkIENvbXBhbnn5V3k3AAAAIXRFWHRpY2M6ZGVzY3Jp
 cHRpb24Ac1JHQiBJRUM2MTk2Ni0yLjFXrdpHAAAAJnRFWHRpY2M6bWFudWZhY3R1cmVyAElFQyBo
 dHRwOi8vd3d3LmllYy5jaBx/AEwAAAA3dEVYdGljYzptb2RlbABJRUMgNjE5NjYtMi4xIERlZmF1
 bHQgUkdCIGNvbG91ciBzcGFjZSAtIHNSR0JEU0ipAAAAAElFTkSuQmCC
X-Now-Playing: David Allred's _Felt The Transition_: "For Only All (Solo
 Piano)"
Date: Sat, 20 Feb 2021 14:18:06 +0100
In-Reply-To: <83sg5qzxus.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 20 Feb
 2021 15:12:59 +0200")
Message-ID: <871rdaq3n5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > You need to type the
 beginning of what you want it to complete before > M-/. Try > > b M-/ > f
 M-/ > f M-/ M-/ M-/ > > etc. Ah, I see. I've never used that command before.
 However, this just copies a single word, and not a line? So a line-copying
 command still sounds somewhat useful. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, juri@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> You need to type the beginning of what you want it to complete before
> M-/.  Try
>
>   b M-/
>   f M-/
>   f M-/ M-/ M-/
>
> etc.

Ah, I see.  I've never used that command before.  However, this just
copies a single word, and not a line?  So a line-copying command still
sounds somewhat useful.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 20 Feb 2021 13:13:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 08:13:30 2021
Received: from localhost ([127.0.0.1]:51250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDS4f-0000oT-NU
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 08:13:29 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lDS4e-0000oG-0B
 for 46621 <at> debbugs.gnu.org; Sat, 20 Feb 2021 08:13:28 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43200)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lDS4X-0003Os-DJ; Sat, 20 Feb 2021 08:13:21 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1815
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lDS4T-0001GD-Rs; Sat, 20 Feb 2021 08:13:18 -0500
Date: Sat, 20 Feb 2021 15:12:59 +0200
Message-Id: <83sg5qzxus.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87blceq47r.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 20 Feb 2021 14:05:44 +0100)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <83o8gf1b6t.fsf@HIDDEN> <87blceq47r.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, juri@HIDDEN, mardani29@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Daniel Martín <mardani29@HIDDEN>,
>   46621 <at> debbugs.gnu.org,
>   juri@HIDDEN
> Date: Sat, 20 Feb 2021 14:05:44 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I usually use M-/ for that.  It makes typing something that you just
> > typed very easy: just a single character followed by M-/ usually does
> > the job.  This allows me to type just what is needed, without
> > redundant "renaming".
> 
> `dabbrev-expand'?  I just tried "emacs -Q" and then `M-/' and Emacs just
> beeped at me:

You need to type the beginning of what you want it to complete before
M-/.  Try

  b M-/
  f M-/
  f M-/ M-/ M-/

etc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 20 Feb 2021 13:05:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 08:05:57 2021
Received: from localhost ([127.0.0.1]:51245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDRxM-0000eB-RN
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 08:05:57 -0500
Received: from quimby.gnus.org ([95.216.78.240]:42916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lDRxL-0000dy-Af
 for 46621 <at> debbugs.gnu.org; Sat, 20 Feb 2021 08:05:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=rIN1BU/eTgewxidgdpCVSV1prKmu1WWCWPYSJLbjbKQ=; b=jcPw/j3smJQLK8HWmvKrsbdlYq
 1DMmG+xJ6YwU6xPR8SbKKpIIYecU6n9l6Yj0XayeIcGIzT1bpDQugZMLQij+ureWOFjWcE7+hEjXF
 l2RlPKjq9kQwGqf27R9lSxB/oWjsR5zn3D7lR/k2mp+SemAxfVoLiJR/KHUZHH14Uqlw=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lDRxC-0005sO-PP; Sat, 20 Feb 2021 14:05:49 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN> <83o8gf1b6t.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAABVQTFRF
 rY92W0xALCYhDQwKi3NfnYFr////pUJmeQAAAAFiS0dEBmFmuH0AAAAHdElNRQflAhQNATVoltUI
 AAAA6ElEQVQ4y83UQQ6DIBAFUNqUfTEcoMIJCheQBPYsnPtfpcwMWKuS1KSL/sSF88aBBFWIH+Zi
 DnIvcPUHefwvOHsWvOlBd1RvcXMaursyxrv6lLHelMvbBx+Uw7NxWKxp4LcHWMF69y0YBt8B3E3n
 LVnu1dCDkj2Mo1JNGHjpWqYMqyfwXocmC3B7jCQ6hgpqUFxACTq8gdp1mmPLxIvzmAgQmy1QpiSA
 DAnW8MT+REBZgcZ+kABNKugynj67Uswiw1xhjElkBkkNcs4EZT+bDxYYEmyBgvBZkQ2m3g+gDJRx
 m6q33Ut6Hl74Mpq2QplZ5wAAABBlWElmSUkqAAgAAAAAAAAAAAAAAJw8uSgAAAAldEVYdGRhdGU6
 Y3JlYXRlADIwMjEtMDItMjBUMTM6MDE6NTIrMDA6MDCrRG3PAAAAJXRFWHRkYXRlOm1vZGlmeQAy
 MDIxLTAyLTIwVDEzOjAxOjUyKzAwOjAw2hnVcwAAADh0RVh0aWNjOmNvcHlyaWdodABDb3B5cmln
 aHQgKGMpIDE5OTggSGV3bGV0dC1QYWNrYXJkIENvbXBhbnn5V3k3AAAAIXRFWHRpY2M6ZGVzY3Jp
 cHRpb24Ac1JHQiBJRUM2MTk2Ni0yLjFXrdpHAAAAJnRFWHRpY2M6bWFudWZhY3R1cmVyAElFQyBo
 dHRwOi8vd3d3LmllYy5jaBx/AEwAAAA3dEVYdGljYzptb2RlbABJRUMgNjE5NjYtMi4xIERlZmF1
 bHQgUkdCIGNvbG91ciBzcGFjZSAtIHNSR0JEU0ipAAAAAElFTkSuQmCC
X-Now-Playing: David Allred's _Felt The Transition_: "Randy and Susan (Solo
 Piano)"
Date: Sat, 20 Feb 2021 14:05:44 +0100
In-Reply-To: <83o8gf1b6t.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 20 Feb
 2021 08:54:18 +0200")
Message-ID: <87blceq47r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > I usually use M-/ for
 that. It makes typing something that you just > typed very easy: just a single
 character followed by M-/ usually does > the job. This allows me to type
 just what is needed, wit [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, juri@HIDDEN,
 Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I usually use M-/ for that.  It makes typing something that you just
> typed very easy: just a single character followed by M-/ usually does
> the job.  This allows me to type just what is needed, without
> redundant "renaming".

`dabbrev-expand'?  I just tried "emacs -Q" and then `M-/' and Emacs just
beeped at me:

---
user-error: No dynamic expansion for =E2=80=98buffer.

=E2=80=99 found
---

(Because "buffer." was the previous word in the *scratch* buffer.)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 20 Feb 2021 13:03:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 08:03:55 2021
Received: from localhost ([127.0.0.1]:51241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDRvP-0000b8-Dx
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 08:03:55 -0500
Received: from quimby.gnus.org ([95.216.78.240]:42864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lDRvM-0000at-ID
 for 46621 <at> debbugs.gnu.org; Sat, 20 Feb 2021 08:03:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=r2JWVZQQ/ia40Z4GOhw99LUHWnbc0E5ssJAAumWCFsM=; b=jUHZDvmm2TS8Sv+gF0BVifGUVp
 /SrjdTJ9Acu7DM32ULF17dhdo6IKbyZkHFXH79B32DiUVeVGoBvvRwSPzITTVp/Z5Qe1I0GcKzGyB
 DqvX3rdIOsIXdPyS6Ytf9TYPLnHvaQ/KHvgsGrh8CC1SDtUb9PbhrZHeY7rRzD0jiKfU=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lDRvC-0005rN-Vq; Sat, 20 Feb 2021 14:03:46 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAABVQTFRF
 rY92W0xALCYhDQwKi3NfnYFr////pUJmeQAAAAFiS0dEBmFmuH0AAAAHdElNRQflAhQNATVoltUI
 AAAA6ElEQVQ4y83UQQ6DIBAFUNqUfTEcoMIJCheQBPYsnPtfpcwMWKuS1KSL/sSF88aBBFWIH+Zi
 DnIvcPUHefwvOHsWvOlBd1RvcXMaursyxrv6lLHelMvbBx+Uw7NxWKxp4LcHWMF69y0YBt8B3E3n
 LVnu1dCDkj2Mo1JNGHjpWqYMqyfwXocmC3B7jCQ6hgpqUFxACTq8gdp1mmPLxIvzmAgQmy1QpiSA
 DAnW8MT+REBZgcZ+kABNKugynj67Uswiw1xhjElkBkkNcs4EZT+bDxYYEmyBgvBZkQ2m3g+gDJRx
 m6q33Ut6Hl74Mpq2QplZ5wAAABBlWElmSUkqAAgAAAAAAAAAAAAAAJw8uSgAAAAldEVYdGRhdGU6
 Y3JlYXRlADIwMjEtMDItMjBUMTM6MDE6NTIrMDA6MDCrRG3PAAAAJXRFWHRkYXRlOm1vZGlmeQAy
 MDIxLTAyLTIwVDEzOjAxOjUyKzAwOjAw2hnVcwAAADh0RVh0aWNjOmNvcHlyaWdodABDb3B5cmln
 aHQgKGMpIDE5OTggSGV3bGV0dC1QYWNrYXJkIENvbXBhbnn5V3k3AAAAIXRFWHRpY2M6ZGVzY3Jp
 cHRpb24Ac1JHQiBJRUM2MTk2Ni0yLjFXrdpHAAAAJnRFWHRpY2M6bWFudWZhY3R1cmVyAElFQyBo
 dHRwOi8vd3d3LmllYy5jaBx/AEwAAAA3dEVYdGljYzptb2RlbABJRUMgNjE5NjYtMi4xIERlZmF1
 bHQgUkdCIGNvbG91ciBzcGFjZSAtIHNSR0JEU0ipAAAAAElFTkSuQmCC
X-Now-Playing: David Allred's _Felt The Transition_: "Randy and Susan (Solo
 Piano)"
Date: Sat, 20 Feb 2021 14:03:41 +0100
In-Reply-To: <m15z2n6bxe.fsf@HIDDEN> ("Daniel =?utf-8?Q?Mart=C3=ADn=22's?=
 message of "Fri, 19 Feb 2021 21:27:09 +0100")
Message-ID: <87ft1qq4b6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Daniel Martín <mardani29@HIDDEN> writes: > In programming
    modes, if you need to declare a bunch of variables, you > may duplicate the
    current line several times and then proceed to rename > them. I see the proposed
    new command may be useful [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Daniel Mart=C3=ADn <mardani29@HIDDEN> writes:

> In programming modes, if you need to declare a bunch of variables, you
> may duplicate the current line several times and then proceed to rename
> them.  I see the proposed new command may be useful in that scenario.

Right; makes sense.

> This has been a hot topic in Q&A sites:
> https://stackoverflow.com/questions/88399/how-do-i-duplicate-a-whole-line=
-in-emacs

OK, so there seems to be some general demand for this command, so I
think we should go ahead and add it, unless somebody strongly objects.

> Also, why not name the command `duplicate-line'? I think it's a more
> descriptive name and more discoverable via apropos (along with
> `delete-duplicate-lines', for example).

That does seem like an even better name for the command.  What do you
think, Juri?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 20 Feb 2021 06:58:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 01:58:39 2021
Received: from localhost ([127.0.0.1]:50850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDMDv-0003iV-FL
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 01:58:39 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1lDMDu-0003iK-9k
 for 46621 <at> debbugs.gnu.org; Sat, 20 Feb 2021 01:58:38 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39920)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1lDMDp-0005TI-19; Sat, 20 Feb 2021 01:58:33 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1lDMDm-0007Vl-P7; Sat, 20 Feb 2021 01:58:31 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-Reply-To: <SA2PR10MB447470D707958494183D4107F3859@HIDDEN>
 (message from Drew Adams on Thu, 18 Feb 2021 19:30:25 +0000)
Subject: Re: bug#46621: [External] : bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
 <SA2PR10MB447470D707958494183D4107F3859@HIDDEN>
Message-Id: <E1lDMDm-0007Vl-P7@HIDDEN>
Date: Sat, 20 Feb 2021 01:58:30 -0500
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > We seem to be adding this & that simple command
  > more & more - perhaps just because it's available
  > in other editors?

I agree.  Just because we don't need any longer to struggle
to keep Emacs down to 8 megabytes is no reason to add commands
without real demand.


-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 20 Feb 2021 06:54:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 01:54:41 2021
Received: from localhost ([127.0.0.1]:50827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDMA5-0003bw-Es
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 01:54:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lDMA2-0003bj-Uz
 for 46621 <at> debbugs.gnu.org; Sat, 20 Feb 2021 01:54:39 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39835)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lDM9x-0003dC-DW; Sat, 20 Feb 2021 01:54:33 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1923
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lDM9w-0005jm-7K; Sat, 20 Feb 2021 01:54:32 -0500
Date: Sat, 20 Feb 2021 08:54:18 +0200
Message-Id: <83o8gf1b6t.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Daniel =?iso-8859-1?Q?Mart=EDn?= <mardani29@HIDDEN>
In-Reply-To: <m15z2n6bxe.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
 <m15z2n6bxe.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Cc: 46621 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
> Date: Fri, 19 Feb 2021 21:27:09 +0100
> From:  Daniel Martn via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> > Well, I don't object to adding it, but I'm not sure what the use case is
> > here?  The only time I can remember wanting something like that is when
> > I'm filling a buffer with text for test purposes, which is perhaps not a
> > compelling use case.
> 
> In programming modes, if you need to declare a bunch of variables, you
> may duplicate the current line several times and then proceed to rename
> them.

I usually use M-/ for that.  It makes typing something that you just
typed very easy: just a single character followed by M-/ usually does
the job.  This allows me to type just what is needed, without
redundant "renaming".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 19 Feb 2021 20:27:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 15:27:26 2021
Received: from localhost ([127.0.0.1]:50471 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDCN4-0005bH-Bf
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 15:27:26 -0500
Received: from sonic305-21.consmr.mail.ir2.yahoo.com ([77.238.177.83]:46818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1lDCN1-0005av-Ii
 for 46621 <at> debbugs.gnu.org; Fri, 19 Feb 2021 15:27:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1613766436; bh=erDKv6Oj6LysyXO3JbDD2EukDF3ttieHugo/xIgpW38=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=lNwEgyHQk7D1sbY7fUJcrhzHhmO53cbeSYMsEwBJIslC7E3qY3K1zLMhVfWj7z4e8modokiY6la6nUCHzCNl8rwQZ7Hgw4/W5AGx+LtUt1C2Rt9+I570BOijxZQkNFfEXbWH0Jo3zvyWqq/udfMbgeA5IdFFC7X7raSY0Y3/2kXRnZXLmshCw3t4bOJD+uRdlOqX0dZCekGeEcXIUZMPNUek1KfMAyBkoCsRddwm1RW3Yc4uTWLa87fWGldT1AOZNrnKgqFZS/MAZ3ZKkQaiCf01vQo7vkabrW5UQudJ2T/6MqNY3mc7JMpodKVAN8r3wgflDpVANlrLC6NZcZbuXg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1613766436; bh=b8/6jPHiRbZBWJXSADi44ZeAx9UM2s0i5X7wKom+wKd=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=W9JCNj6IiYw2dkIo7VgNraK9Pywu/vvHkmSUUsW8kAYk+zILFwU1SiheUmIslfA1bXzByS4P+q6dHF6TWFX9gP+KGfwfZmnlp5uraquEA8MWxxK5mOiuRxZT1rr54TXbBNNtHzpiV80CYPODaJ0bWYni6lxlB8iOcy98x3nIfHSHjmLtYL6LBnF+GE8Ei/zKBHzoidtO9X7DxoU7AIl3syJw4JJRneRoIINjcOm/9vclsNwH7KVTtezGoH6S/hHLpgEFaHOxU3DEWOsJJ8TxOxx9WTAinEZNBvGMf7bHhVaDaGVGRxIWWCIBG27FUZgqxemq/Jdm+m1euV0+OrOyGA==
X-YMail-OSG: 1Sk2OrQVM1kv16kyvK4JbJvIA9ET0uNukV2l7BixEWRoSmbJUjU0_nHluQPelqO
 HeHDKZjgNV7doWPJhBX7IPpWrEsVtw4oRa5PI4qsuI3CoJbpiklILvan5KvZFGsORNE74Fqm_6MH
 mSkNdnPQYWxQR6e7EvP7zv.6bVir1UQmxnZQ44c7xv.GpNG4AT.ZSD3YL8JHxwfjkdJ2A0hXiD1D
 sm4AFh3oNbmrxpxpAXXW5UHi_RYnQfl1MAhxtASidvDvJpPd7bwXZy7NlgmJPAOhdMixYURPjxL.
 9cN29i_dXUa48H_XPBrnj6GoFwNVjDfj_F7wg5VNbb_2H9JEvelk.uvDeBlbNa4mvchww5yQDZaQ
 96jEZUEOgoiSrZQlF8RmMg71BQjNxodvhmXC4b0pk4bjzZtSpJq_7uQM1Hj5BRbJejR4WeEwmub9
 72KWXnp_P6C4G6rfrbIf3S4RbO.ZgiChjW4e7JInklAoCOsxwEHdb_FWKGLZhDaYgWM5e3t_1tqQ
 XtuAnLhXDCl38IgAoBpMTxVHr3dN4YzguWH3wjWo857Jx.UtJH7hQ7N.ycvYnlGtNSl6XfOzx7Tb
 KXlvl_M.9JHc_oGnb_TJG8yPuFGLnyGQ5_xdYHa6BZhISsLsmV_9URa_f0bam39rz_PB1dWiEfiQ
 r5KtQXNfcft.UJRrzY_z54poWmGUbYFmFQW1CsT0i3tAG1AF.WM2iXQkIo.oMgvg6jhftdHpx94Q
 FXCfbQJ2akmbZaklYbHc4sVXchd9aTHHFWeMj9si99P6zh1H81Elx10MW6jIpTbJb3LTMG58nGUj
 dZUzA2TuWvsrRxxar0N9_kbDZ1I1QamyK29jaQm9W3PrZAsGi6wDhQ.LUDOZ3NJ2KKN.h2nLbhRD
 Dg9.qBWU.bezN2TEGDQiP3UqLIvJK.RLeYi89sE5qCbo8H9HN1edcNKPu97gCDpSGo5zLtUHzJhY
 k0AG6A.0mBUdctyE1pm7JrvwvRcqCi1MzQb5My9UrmrqG4ecutmcr4aywqcWua7yZ.QucCOMM1Vj
 M4NEV7EGUBYTxsZba35qCa54babt2OfvrOXiHBot0CYPqVg83wsP5oTs_OREMumCdNmfhh6z.gEw
 zykSw_62DbpQjK8W3PHUWE62PtkAgw60_ZJ7zsh4hAzq7QyDUPTLyp8Te35DiqUzy..GmzOOVuh0
 Kq8zWe1PkPfq2pMOyzO8GApoBnbEdDCCVmJK6zM.QQINlR34ATxcey0vcgtnRKoCwMYwW_JRgLQz
 ed5FbPAmLf5XWbh7vfmkSK3.pHLkDvSQ8W5ld3GWlfh7Y1Fq0dhOCX4TmpA4tqvVjPN3XW0aNog_
 s2kQ2_ql6ZogrDzOR62PNqb1uYeoRY1KpApmMw3dSMxUr4UIAX7zZlOGwHttjaAfhl6Aawpa2oix
 x63YuCARcu4OsYzf.dtmsyxua0slFP3V8BmmyNESyTRoDU5zPSS5Uad_PQDD7jzNw3h32vsWumE8
 ve.AkmqsnP9hQz_D4AnU5GFtd4xFjIkbnEslusPZnDOMwHLdFA07b3uP9T44Ya_9hS.HdKWDvvkx
 Ffj0SAx8C.T.BNj7U8ZLBnxbSa1EB8CJ3wguwENClVox1vWTRDFr4ymGf0LsjpMIbFa3tymTl2Co
 GyOPEQniH0hMTUm6jXFfzCZfJOKZPRu2jn7TaBn1fkrxG9uz7W44O_4d76HMzyLxLFEPHdJbjqBT
 t14otNzXwkSQc4cT7BBoyACoTLrldg2mOxF7ngl2n5W9cTSenD1gmsN6Lw47eEl7toPm2t0vcu93
 TJSKSTF_fCy_PL3lCa1rTr8saJ5t0PtzJbDhqp4o2y24WrSt_eo1ak3u1HvF_KgBbu.LWlUcNZdx
 _Q.cXJi3.j1YQrrN10m20gw7qMy.SikgYepXw6SQ7SWSSA00a6Q9GxBGpXeXRHjZ29dFqyuDb.d_
 84o6dVduKsiKR1Pvf2UYZJ1_ZfG6Ta9AQJ2d84zhMOedD7kNJFdhRE6C4hGDuVlpoWpaiYlo.4So
 PX7fT4vAGDFa5Ls9AmabV7ZoOvRFHy65E7in2aTUMyLUJ8tqvOOjemP8QskI.KfiDpm77KJL_aJ3
 9N_DTwZzJr7f5xqIOWoQFsLX65uHzmBBovk3ctUairbCCDz3D_4hHAqRVo14PygJFVS1Bbg1WUL3
 8EeJ7WU5uRibuFflEKHxrwALmD93rhJ8t1TmpUUbcQAUMbTb.TBFahrUn2LiDdicPpNx37YI4dmv
 1MLs49FGclNqoROhaHL8KH.5QtguDIyDy1GhxW2rPXv1dvZOxmMwAfL8lZVOeDl1ZoECnso1oNYW
 KjXPegNWQZGvgy30ePzbQ3qhMljhyL05iOA_eWrHe4K6E.36WmpVZiu4VTT7zeuAQUaQwil7IdRW
 qL.7nNi9wou0INpOxYBYZJoupfk1nmywXRqBkncDuXR4KvE_eDUWs78uvjT7Ky3zhaNYx9FU0_HJ
 xqBrmMrr_aA2KqciK_Qrnt9uGljRU1L1rYSrt1j5KQUhhwwYRRpyuTPp5kuH8TwNjR.ker6hNUqf
 s
X-Sonic-MF: <mardani29@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic305.consmr.mail.ir2.yahoo.com with HTTP; Fri, 19 Feb 2021 20:27:16 +0000
Received: by smtp414.mail.ir2.yahoo.com (VZM Hermes SMTP Server) with ESMTPA
 ID 7f344950a8a8c7747c3b3034eb8a77e3; 
 Fri, 19 Feb 2021 20:27:10 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN> <87y2fkrypp.fsf@HIDDEN>
Date: Fri, 19 Feb 2021 21:27:09 +0100
In-Reply-To: <87y2fkrypp.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 19 Feb 2021 14:09:22 +0100")
Message-ID: <m15z2n6bxe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.17712
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
 Apache-HttpAsyncClient/4.1.4 (Java/11.0.9.1)
Content-Length: 804
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>
> Well, I don't object to adding it, but I'm not sure what the use case is
> here?  The only time I can remember wanting something like that is when
> I'm filling a buffer with text for test purposes, which is perhaps not a
> compelling use case.

In programming modes, if you need to declare a bunch of variables, you
may duplicate the current line several times and then proceed to rename
them.  I see the proposed new command may be useful in that scenario.

Also, why not name the command `duplicate-line'? I think it's a more
descriptive name and more discoverable via apropos (along with
`delete-duplicate-lines', for example).

This has been a hot topic in Q&A sites:
https://stackoverflow.com/questions/88399/how-do-i-duplicate-a-whole-line-in-emacs




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 19 Feb 2021 13:09:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 08:09:37 2021
Received: from localhost ([127.0.0.1]:48919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lD5XN-0000nn-8b
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 08:09:37 -0500
Received: from quimby.gnus.org ([95.216.78.240]:59596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lD5XM-0000nZ-1j
 for 46621 <at> debbugs.gnu.org; Fri, 19 Feb 2021 08:09:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Kurh+5dSg17l7LXF63uMcYuyj/NDTwIo/QVUE/5yD0A=; b=bEC2foqNVxrO2J0IU5Lxspk0lG
 r8DSKuzmefwNpPjvfc5+5UQO8SrTx2MSHhIVB4+L1hNUY/r1OMGkxTzZ4D37f6jdSvBDyyrD0yz12
 1kLxW9jUFgilQhxdoPg9IopiI9Hq7/TGz9k59m0ez9f3DKsVs6Yrt0wCIzrBK5fjzHgs=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lD5X9-0002GI-Pr; Fri, 19 Feb 2021 14:09:29 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#46621: Copy line
References: <87tuq99ova.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEUgGBVVQCm1h0vv
 4cT////s5sKAAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UCEwwxAQpxRcAAAAGRSURBVDjLbZPrtYQw
 CITBCiA2IKSCNf33dnnl4TnXH7uaz8xMAAEAsIn9AjMyw3Eh9wKEDOR3BdoIgLaBQZDJ/oPfJ2i2
 yOKaxD2BaXHK4VQaTwEXweC2A+8CyGoGBfx5jEG5VdRWiVam8eadqmaeiGuZxi/f0TEkSJhbpvIG
 2/vDPIKDaQFw2e0GyyJjCM969WWR91z1gG0RJ3rnKRwQHFoLhAWmLpWJnZHALWaD6E4TO4mDB+du
 vMokpF5aIA4lFSuVKiL1qWXgyQa5LM/AXmF1JR+By6LwtQOrKYVMc4+qiu8Q4Gyy2C/BNiGoqE9j
 XFUJANlYUdlVyaVg1thnlz7Lh16rpiJqD1mVnCxL64MgTTna+M5emXbTvJ4yqbGpfo/omQdOb5QP
 uANQpTpAaO2vZ4NoNq+utr5ABC4hYNUFIvAcj8baJ/iYYEx9jdgxajndb43YpfkZz01mo1k8AviA
 PlSir1Yg+uzwZa+lnsA+yvjU2qzmAiy+IJxgudsMqb/tYmvgC5BNGCH8d+GR5Q+YxUi4JPu+VAAA
 ACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wMi0xOVQxMjo0OTowMSswMDowMCI1xp8AAAAldEVYdGRh
 dGU6bW9kaWZ5ADIwMjEtMDItMTlUMTI6NDk6MDErMDA6MDBTaH4jAAAAAElFTkSuQmCC
X-Now-Playing: Kate Bush's _Lionheart_: "Kashka From Baghdad"
Date: Fri, 19 Feb 2021 14:09:22 +0100
In-Reply-To: <87tuq99ova.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 18 Feb 2021 21:07:05 +0200")
Message-ID: <87y2fkrypp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > Why there is still
 no such fundamental command as duplicating the current > line? This command
 slightly extends the existing copy-from-above-command: Hm... So this would
 basically just allow you to get X number of the line? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46621
Cc: 46621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> Why there is still no such fundamental command as duplicating the current
> line?  This command slightly extends the existing copy-from-above-command:

Hm...  So this would basically just allow you to get X number of the
line?

Well, I don't object to adding it, but I'm not sure what the use case is
here?  The only time I can remember wanting something like that is when
I'm filling a buffer with text for test purposes, which is perhaps not a
compelling use case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at 46621 <at> debbugs.gnu.org:


Received: (at 46621) by debbugs.gnu.org; 18 Feb 2021 19:30:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 18 14:30:35 2021
Received: from localhost ([127.0.0.1]:48013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lCp0V-0000z9-AV
	for submit <at> debbugs.gnu.org; Thu, 18 Feb 2021 14:30:35 -0500
Received: from userp2130.oracle.com ([156.151.31.86]:43276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lCp0U-0000yw-Aj
 for 46621 <at> debbugs.gnu.org; Thu, 18 Feb 2021 14:30:34 -0500
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11IJP0N7048808;
 Thu, 18 Feb 2021 19:30:28 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=IkwZ+EzAQSzd1RXYzGj9pjoBsBRcwm21eJ6fMzMCWNs=;
 b=E8U0BhY3asl4UVaHs0DNywV38/cOefV8cJG27YRoPcVdGbq0pRWjfRrJUEly8QY+09de
 EofUYKdrRELSC8wZFGggkGKvJxVoVVM75LbePZ/TIAE4a1MLRrbW0LLQ7ITobLJxC97R
 C5vQyFPkxa3webbXJaGpSJdNt1/UMCoq78AhrQ7EDKX9W4bTPkF/s2g5TwWyAagbPp4D
 EsWWIGLeYaCatY+WxYhT9cjh8hUvQ7uS63v8pHWGkdat3k1YvGBjS+gkgWyCoPiRLzpM
 ZPwMVla9Q+uFZnk41WRpr2j52o6xGKm2bqdTIwevSNDigjryKxdDKq79KFgePmBpn5dm Sg== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 36p66r75fh-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 18 Feb 2021 19:30:28 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 11IJTi2v004918;
 Thu, 18 Feb 2021 19:30:27 GMT
Received: from nam04-mw2-obe.outbound.protection.outlook.com
 (mail-mw2nam08lp2173.outbound.protection.outlook.com [104.47.73.173])
 by userp3020.oracle.com with ESMTP id 36prhundvu-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 18 Feb 2021 19:30:27 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=AkFSTCOnke6b1TamqAqU0zcfbc3r9+5gEc2zofc603fduVdYmZX2afhZZZFWwD8x8KVqMLKZ0GN5yrIu3h++GHZIXbqKoHvUSXYB1bClmv7SjtBgbgYjvICcjHY9SwiVPG6DuffxAZM68AiuYkB1srOxCGXD5xHWNvTdQwCA1Igarc/I6upyk49oV6JyaOhySsjDpTLAnkZNp/BzoC3BKbfmUwGyqciI4BVTfFK+t5ybIab4uhF0TljDBAbW65VsFCJdYrtoqVVgHft4VAlpJM7XOvZC98AzEDfHS+xuIb7b3/SkRYKQ969gPZrfesfo3G2imSeRWfWO3j2qp2kbOA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=IkwZ+EzAQSzd1RXYzGj9pjoBsBRcwm21eJ6fMzMCWNs=;
 b=dZ/ZeLTELy1WkKT5Mnxm5mvQ+y/1bHnBkwqP7Ra54JlyECAMtIMzjHaz5129O/Giyjya1zP2ppgJyE6rqbLw5zCmdTOG3RZ1DOmKapWlQAMj84qEjxFMfBs1wVuhK4EJBS6qbS+el0l6nBJVSrn60KEzlcmoVRTXmx7zSMcXZG9b8PhL1MXlEE+/Cf0941mVwOz4Lj048VCOK/hfpcTJ8E50YOmM3n1csM09SDWy56gUY77T5XBGfId5tjM9zS1KDac1eyyu6dzQJElOrhlkt+YfHNWfQLNbRZyBVqOT5VSejJtCMkDyhklXn2I6NoYKEqLU520lw8xnpW1pmp0zgw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=IkwZ+EzAQSzd1RXYzGj9pjoBsBRcwm21eJ6fMzMCWNs=;
 b=f/9qAkePN8Q1rcpf+LuDvV+1OVTwaitUA/3sXfHiRvS6fqfDUw0plh5qqWNQ6HDEyvmma2tk+DiqpscARfOYCSpLaBjG8mV3FumvKR9sFvVTNVKayHuxaXrHZLsVG3fYdLI7fT/X95WOHC+zr8tvFO16njQsoFWraEkipnNeMc4=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2797.namprd10.prod.outlook.com (2603:10b6:805:cb::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3846.29; Thu, 18 Feb
 2021 19:30:25 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3846.043; Thu, 18 Feb 2021
 19:30:25 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, "46621 <at> debbugs.gnu.org"
 <46621 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#46621: Copy line
Thread-Topic: [External] : bug#46621: Copy line
Thread-Index: AQHXBiqgL3ASmBBGvUKuFrk3lAIlM6peSaYw
Date: Thu, 18 Feb 2021 19:30:25 +0000
Message-ID: <SA2PR10MB447470D707958494183D4107F3859@HIDDEN>
References: <87tuq99ova.fsf@HIDDEN>
In-Reply-To: <87tuq99ova.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: linkov.net; dkim=none (message not signed)
 header.d=none;linkov.net; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 8cb3bb9c-f5cd-41d6-1de0-08d8d443a422
x-ms-traffictypediagnostic: SN6PR10MB2797:
x-microsoft-antispam-prvs: <SN6PR10MB27977643F5278F8749C89225F3859@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 5nDox0biHQPoF3Rl+YW4prDAg8MO4t9WdHyd1KE0U/sFgNqCiJjDCL6drwci8Un8Fxx/yfsdbNB/Xag+DrOJOWGj5k1ElR552unMZJJ2wMwMpV9E3vXCpzl2InKs6ZnBGtBbFOkiJD+QffEqtCgZh2RZ1/viBYHP3u1DusE/XQlp+flEy2BzRMemSnvv2BFoGpHLeK+UDW8U319ZqRBcDWuKGaL5KYccx3pCPMGojK/doJX6pSl+Cv+2bLjFYEQ2V/DW8SzjZNojUFSHzwMlS6S+cFNzAP/XDNpl0zMqRW7FAxX5zwzfeTJ1BaDEdX9TOBKF1RdKlSe2yivZTBW84oErnR6jV5ggzqgjiXLwAEymZQ8PecDSGL0QKKM+Z0BTVBJAWEYV5Grwb2Ax/72jkdcM0+mBKnE77YSiYQdSlKYWfb2GFbJ7iyA0/5Pem/kXpRyTrMNiyhavZ1J4T0ky5O4XSaqODalqdENhOeRKvTZswjDxhHCFwMq/i/orZYp7JXHC9vfxYhfCJbgwZP83pA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(39860400002)(136003)(396003)(346002)(366004)(376002)(478600001)(33656002)(6506007)(7696005)(52536014)(2906002)(316002)(8936002)(83380400001)(66946007)(8676002)(9686003)(64756008)(66476007)(66556008)(5660300002)(44832011)(55016002)(66446008)(71200400001)(76116006)(4744005)(110136005)(86362001)(186003)(26005);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?tkjsLusCcGTHHjEvzbjfplgsaKHwOh7+jIARurmghnAuRyJt+ASm0b+5ELVx?=
 =?us-ascii?Q?BSp0LHU4MlPRklTUa/zzRVieV5q73M11JDk/uDab5opcIacyagnttKmTXcS8?=
 =?us-ascii?Q?uOYrfcAqdJOTXhsWOQWcroCbEyBaLEchGMK4OHa5cEoNLnHp6lfbnjpTNwa8?=
 =?us-ascii?Q?N6nsrDcBTslbqC9i8VYudnpasiMhAAvGoZTiHerE/WaS9LCD8zBJYHb2uF/u?=
 =?us-ascii?Q?QoMFf8w/jbFZKAdeoFyO+930op/MJdVM1MosQsiT8VdQCG7Vvw8C2dhlVFyw?=
 =?us-ascii?Q?Z1RdY7wAhVz4zdBXvFCW7EYUrddmUQxu5Y0z3+kzK7VO5ukiueyR/1EFzaz6?=
 =?us-ascii?Q?f8OxXhpLxyP9qjp/5fnuCbBcTXc/HIoHs1OxBdwYYLhWpWxR05Q3f27ieBGe?=
 =?us-ascii?Q?nbOdQ0EiNPIouD+D7Y0Hj0DiDH+UPqWHk+d3M0TU/A5t4XVquh8Y8F0Rdn5J?=
 =?us-ascii?Q?3iQQL78K+KkjlAPCuka996aci7shv6X2ClVFWPQDvJMvmLd/x9/lFFxfRioo?=
 =?us-ascii?Q?a3eBpOBrWdxsG0Jd/szsowZFe95H3yD3YSEVZnVyGzLsnoPbVAUK3EfibXyT?=
 =?us-ascii?Q?WlG07PJFbRuj8yh9WXZtTMoYmjdtycehUcXwIffj7cy0TAor0jKkFq4S1Jbu?=
 =?us-ascii?Q?4ifJTU25itLGgNQtf5zL5DjHKHKM1JrdjoLDce92Au3WVhebxuNwqKBsxZ7V?=
 =?us-ascii?Q?0bPsoSLtxcMmRPh1AWEzFtpKO5EZ+4W+AaXYLmjgw8zihPGkkehm5+FLqjlu?=
 =?us-ascii?Q?1XjUYf5Q6Dosi8ZtOnFAFZpAEP5nhgc6fLTsxw5cyuvb1fsAXONWv2zOcK4X?=
 =?us-ascii?Q?WlvO70CfamlNMwnAbLQEErcwEkE4tadEf9h4V9yhxI/KS+0MERrD5rV+Y4AB?=
 =?us-ascii?Q?YBo6s6a30ZKnz1UiYGTVOXTsFxsFvXuJMzVn/RV5mjEqZ6CqbyuDHkaTOtOi?=
 =?us-ascii?Q?wxFy6bsNcmrkNj94HXlvsSJtChSXSpgCLplOI00NOazCwa6B9SXUI0fODLEO?=
 =?us-ascii?Q?Bx2W/MB5pOHrKYDVvoXaM+e8CjdYaodi27943V6NOMJMdNwYBEtc4Gb5hjbF?=
 =?us-ascii?Q?1IlePXQPBwhlwVHoi9nV4UjuCLKZJ634VUYhvh+rjhV4aaekro27+RfwEHJB?=
 =?us-ascii?Q?y6XA5H1TGQnE3VZCyMMHIjnEAFEvm72xhH27Z2GK2oViMDab/vuUvjx4CGJo?=
 =?us-ascii?Q?8sV2YSBUw0P9nbtnU0s5XZpBgJMwuJPouHc7hwBSyoo/OxL98VOcEtqXeUkV?=
 =?us-ascii?Q?MQ9ZYWvbJJ1gfnA8OpTyH2KMf8broAQDUTejGk8zN1GpK+vvybz8VfOt7wjj?=
 =?us-ascii?Q?0K2ULSPsPaZQ1MjjRC+PMKVs?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 8cb3bb9c-f5cd-41d6-1de0-08d8d443a422
X-MS-Exchange-CrossTenant-originalarrivaltime: 18 Feb 2021 19:30:25.3695 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: wYrHxyB7J6SfZRZ9rBpdyjPA+gnEJ+2eEJd3bB91/35wOtL2zTA0vqfd/+l8hFeEKsIq8kg4y8yiLZ5mGsY3hg==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2797
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9899
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=828
 adultscore=0 mlxscore=0
 bulkscore=0 suspectscore=0 malwarescore=0 spamscore=0 phishscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2102180162
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9899
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 lowpriorityscore=0 suspectscore=0
 impostorscore=0 priorityscore=1501 clxscore=1011 spamscore=0 mlxscore=0
 phishscore=0 malwarescore=0 bulkscore=0 adultscore=0 mlxlogscore=999
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2102180161
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46621
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Why there is still no such fundamental command as duplicating the
> current line?  This command slightly extends the existing
> copy-from-above-command:

 "still"?
 "fundamental command"?

In the 35+ years of Emacs, has anyone actually
requested/missed this?

We seem to be adding this & that simple command
more & more - perhaps just because it's available
in other editors?

(Next, we'll dedicate a default key for this...)

The right approach for this kind of thing, IMO, is
for users to create and use such a command.  Then
after a while they start asking for it by default,
and we maybe add it, if it's a real lack.

I've nothing against such a command.  But I've
also never felt the need for it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Feb 2021 19:13:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 18 14:13:02 2021
Received: from localhost ([127.0.0.1]:48004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lCojV-0000YZ-Mo
	for submit <at> debbugs.gnu.org; Thu, 18 Feb 2021 14:13:01 -0500
Received: from lists.gnu.org ([209.51.188.17]:45104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1lCojU-0000YB-11
 for submit <at> debbugs.gnu.org; Thu, 18 Feb 2021 14:13:00 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:59096)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1lCojQ-00040C-5w
 for bug-gnu-emacs@HIDDEN; Thu, 18 Feb 2021 14:12:57 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:54787)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1lCojJ-0004zz-R2
 for bug-gnu-emacs@HIDDEN; Thu, 18 Feb 2021 14:12:55 -0500
X-Originating-IP: 91.129.96.116
Received: from mail.gandi.net (m91-129-96-116.cust.tele2.ee [91.129.96.116])
 (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id A00D2E0004
 for <bug-gnu-emacs@HIDDEN>; Thu, 18 Feb 2021 19:12:45 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Copy line
Organization: LINKOV.NET
Date: Thu, 18 Feb 2021 21:07:05 +0200
Message-ID: <87tuq99ova.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=217.70.183.196; envelope-from=juri@HIDDEN;
 helo=relay4-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain

Why there is still no such fundamental command as duplicating the current
line?  This command slightly extends the existing copy-from-above-command:

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=copy-line.patch

diff --git a/lisp/misc.el b/lisp/misc.el
index 09f6011f98..b3b7d8355f 100644
--- a/lisp/misc.el
+++ b/lisp/misc.el
@@ -61,6 +61,16 @@ copy-from-above-command
 				 (+ n (point)))))))
     (insert string)))
 
+;;;###autoload
+(defun copy-line (&optional arg)
+  "Duplicate the current line ARG times."
+  (interactive "p")
+  (dotimes (_ arg)
+    (forward-line 1)
+    (insert "\n")
+    (forward-line -1)
+    (copy-from-above-command)))
+
 ;; Variation of `zap-to-char'.
 
 ;;;###autoload

--=-=-=--




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46621; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 23 Jun 2022 17:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.